"""
Returns a list of holidays in the "YYYY-MM-DD" format from January 1, 2000 to 
December 31, 2050 for the following countries:
    US, Canada, Mexico, Brazil, China, India, South Korea, Russia, Japan, UK, 
    France, Germany, Italy, and Australia.
"""


def getholidays(country):
    if country in ("US", "USA", "United States"):
        return __getholidaysUS__()
    elif country == "Canada":
        return __getholidaysCanada__()
    elif country == "Mexico":
        return __getholidaysMexico__()
    elif country == "Brazil":
        return __getholidaysBrazil__()
    elif country == "China":
        return __getholidaysChina__()
    elif country == "India":
        return __getholidaysIndia__()
    elif country == "South Korea":
        return __getholidaysSouthKorea__()
    elif country == "Russia":
        return __getholidaysRussia__()
    elif country == "Japan":
        return __getholidaysJapan__()
    elif country in ("UK", "United Kingdom"):
        return __getholidaysUK__()
    elif country == "France":
        return __getholidaysFrance__()
    elif country == "Germany":
        return __getholidaysGermany__()
    elif country == "Italy":
        return __getholidaysItaly__()
    elif country == "Australia":
        return __getholidaysAustralia__()
    else:
        return []


def __getholidaysUS__():
    return [
        "2000-01-01",
        "2000-01-17",
        "2000-02-21",
        "2000-05-29",
        "2000-07-04",
        "2000-09-04",
        "2000-10-09",
        "2000-11-10",
        "2000-11-11",
        "2000-11-23",
        "2000-12-25",
        "2001-01-01",
        "2001-01-15",
        "2001-02-19",
        "2001-05-28",
        "2001-07-04",
        "2001-09-03",
        "2001-10-08",
        "2001-11-11",
        "2001-11-12",
        "2001-11-22",
        "2001-12-25",
        "2002-01-01",
        "2002-01-21",
        "2002-02-18",
        "2002-05-27",
        "2002-07-04",
        "2002-09-02",
        "2002-10-14",
        "2002-11-11",
        "2002-11-28",
        "2002-12-25",
        "2003-01-01",
        "2003-01-20",
        "2003-02-17",
        "2003-05-26",
        "2003-07-04",
        "2003-09-01",
        "2003-10-13",
        "2003-11-11",
        "2003-11-27",
        "2003-12-25",
        "2004-01-01",
        "2004-01-19",
        "2004-02-16",
        "2004-05-31",
        "2004-07-04",
        "2004-07-05",
        "2004-09-06",
        "2004-10-11",
        "2004-11-11",
        "2004-11-25",
        "2004-12-24",
        "2004-12-25",
        "2004-12-31",
        "2005-01-01",
        "2005-01-17",
        "2005-02-21",
        "2005-05-30",
        "2005-07-04",
        "2005-09-05",
        "2005-10-10",
        "2005-11-11",
        "2005-11-24",
        "2005-12-25",
        "2005-12-26",
        "2006-01-01",
        "2006-01-02",
        "2006-01-16",
        "2006-02-20",
        "2006-05-29",
        "2006-07-04",
        "2006-09-04",
        "2006-10-09",
        "2006-11-10",
        "2006-11-11",
        "2006-11-23",
        "2006-12-25",
        "2007-01-01",
        "2007-01-15",
        "2007-02-19",
        "2007-05-28",
        "2007-07-04",
        "2007-09-03",
        "2007-10-08",
        "2007-11-11",
        "2007-11-12",
        "2007-11-22",
        "2007-12-25",
        "2008-01-01",
        "2008-01-21",
        "2008-02-18",
        "2008-05-26",
        "2008-07-04",
        "2008-09-01",
        "2008-10-13",
        "2008-11-11",
        "2008-11-27",
        "2008-12-25",
        "2009-01-01",
        "2009-01-19",
        "2009-02-16",
        "2009-05-25",
        "2009-07-03",
        "2009-07-04",
        "2009-09-07",
        "2009-10-12",
        "2009-11-11",
        "2009-11-26",
        "2009-12-25",
        "2010-01-01",
        "2010-01-18",
        "2010-02-15",
        "2010-05-31",
        "2010-07-04",
        "2010-07-05",
        "2010-09-06",
        "2010-10-11",
        "2010-11-11",
        "2010-11-25",
        "2010-12-24",
        "2010-12-25",
        "2010-12-31",
        "2011-01-01",
        "2011-01-17",
        "2011-02-21",
        "2011-05-30",
        "2011-07-04",
        "2011-09-05",
        "2011-10-10",
        "2011-11-11",
        "2011-11-24",
        "2011-12-25",
        "2011-12-26",
        "2012-01-01",
        "2012-01-02",
        "2012-01-16",
        "2012-02-20",
        "2012-05-28",
        "2012-07-04",
        "2012-09-03",
        "2012-10-08",
        "2012-11-11",
        "2012-11-12",
        "2012-11-22",
        "2012-12-25",
        "2013-01-01",
        "2013-01-21",
        "2013-02-18",
        "2013-05-27",
        "2013-07-04",
        "2013-09-02",
        "2013-10-14",
        "2013-11-11",
        "2013-11-28",
        "2013-12-25",
        "2014-01-01",
        "2014-01-20",
        "2014-02-17",
        "2014-05-26",
        "2014-07-04",
        "2014-09-01",
        "2014-10-13",
        "2014-11-11",
        "2014-11-27",
        "2014-12-25",
        "2015-01-01",
        "2015-01-19",
        "2015-02-16",
        "2015-05-25",
        "2015-07-03",
        "2015-07-04",
        "2015-09-07",
        "2015-10-12",
        "2015-11-11",
        "2015-11-26",
        "2015-12-25",
        "2016-01-01",
        "2016-01-18",
        "2016-02-15",
        "2016-05-30",
        "2016-07-04",
        "2016-09-05",
        "2016-10-10",
        "2016-11-11",
        "2016-11-24",
        "2016-12-25",
        "2016-12-26",
        "2017-01-01",
        "2017-01-02",
        "2017-01-16",
        "2017-02-20",
        "2017-05-29",
        "2017-07-04",
        "2017-09-04",
        "2017-10-09",
        "2017-11-10",
        "2017-11-11",
        "2017-11-23",
        "2017-12-25",
        "2018-01-01",
        "2018-01-15",
        "2018-02-19",
        "2018-05-28",
        "2018-07-04",
        "2018-09-03",
        "2018-10-08",
        "2018-11-11",
        "2018-11-12",
        "2018-11-22",
        "2018-12-25",
        "2019-01-01",
        "2019-01-21",
        "2019-02-18",
        "2019-05-27",
        "2019-07-04",
        "2019-09-02",
        "2019-10-14",
        "2019-11-11",
        "2019-11-28",
        "2019-12-25",
        "2020-01-01",
        "2020-01-20",
        "2020-02-17",
        "2020-05-25",
        "2020-07-03",
        "2020-07-04",
        "2020-09-07",
        "2020-10-12",
        "2020-11-11",
        "2020-11-26",
        "2020-12-25",
        "2021-01-01",
        "2021-01-18",
        "2021-02-15",
        "2021-05-31",
        "2021-06-18",
        "2021-06-19",
        "2021-07-04",
        "2021-07-05",
        "2021-09-06",
        "2021-10-11",
        "2021-11-11",
        "2021-11-25",
        "2021-12-24",
        "2021-12-25",
        "2021-12-31",
        "2022-01-01",
        "2022-01-17",
        "2022-02-21",
        "2022-05-30",
        "2022-06-19",
        "2022-06-20",
        "2022-07-04",
        "2022-09-05",
        "2022-10-10",
        "2022-11-11",
        "2022-11-24",
        "2022-12-25",
        "2022-12-26",
        "2023-01-01",
        "2023-01-02",
        "2023-01-16",
        "2023-02-20",
        "2023-05-29",
        "2023-06-19",
        "2023-07-04",
        "2023-09-04",
        "2023-10-09",
        "2023-11-10",
        "2023-11-11",
        "2023-11-23",
        "2023-12-25",
        "2024-01-01",
        "2024-01-15",
        "2024-02-19",
        "2024-05-27",
        "2024-06-19",
        "2024-07-04",
        "2024-09-02",
        "2024-10-14",
        "2024-11-11",
        "2024-11-28",
        "2024-12-25",
        "2025-01-01",
        "2025-01-20",
        "2025-02-17",
        "2025-05-26",
        "2025-06-19",
        "2025-07-04",
        "2025-09-01",
        "2025-10-13",
        "2025-11-11",
        "2025-11-27",
        "2025-12-25",
        "2026-01-01",
        "2026-01-19",
        "2026-02-16",
        "2026-05-25",
        "2026-06-19",
        "2026-07-03",
        "2026-07-04",
        "2026-09-07",
        "2026-10-12",
        "2026-11-11",
        "2026-11-26",
        "2026-12-25",
        "2027-01-01",
        "2027-01-18",
        "2027-02-15",
        "2027-05-31",
        "2027-06-18",
        "2027-06-19",
        "2027-07-04",
        "2027-07-05",
        "2027-09-06",
        "2027-10-11",
        "2027-11-11",
        "2027-11-25",
        "2027-12-24",
        "2027-12-25",
        "2027-12-31",
        "2028-01-01",
        "2028-01-17",
        "2028-02-21",
        "2028-05-29",
        "2028-06-19",
        "2028-07-04",
        "2028-09-04",
        "2028-10-09",
        "2028-11-10",
        "2028-11-11",
        "2028-11-23",
        "2028-12-25",
        "2029-01-01",
        "2029-01-15",
        "2029-02-19",
        "2029-05-28",
        "2029-06-19",
        "2029-07-04",
        "2029-09-03",
        "2029-10-08",
        "2029-11-11",
        "2029-11-12",
        "2029-11-22",
        "2029-12-25",
        "2030-01-01",
        "2030-01-21",
        "2030-02-18",
        "2030-05-27",
        "2030-06-19",
        "2030-07-04",
        "2030-09-02",
        "2030-10-14",
        "2030-11-11",
        "2030-11-28",
        "2030-12-25",
        "2031-01-01",
        "2031-01-20",
        "2031-02-17",
        "2031-05-26",
        "2031-06-19",
        "2031-07-04",
        "2031-09-01",
        "2031-10-13",
        "2031-11-11",
        "2031-11-27",
        "2031-12-25",
        "2032-01-01",
        "2032-01-19",
        "2032-02-16",
        "2032-05-31",
        "2032-06-18",
        "2032-06-19",
        "2032-07-04",
        "2032-07-05",
        "2032-09-06",
        "2032-10-11",
        "2032-11-11",
        "2032-11-25",
        "2032-12-24",
        "2032-12-25",
        "2032-12-31",
        "2033-01-01",
        "2033-01-17",
        "2033-02-21",
        "2033-05-30",
        "2033-06-19",
        "2033-06-20",
        "2033-07-04",
        "2033-09-05",
        "2033-10-10",
        "2033-11-11",
        "2033-11-24",
        "2033-12-25",
        "2033-12-26",
        "2034-01-01",
        "2034-01-02",
        "2034-01-16",
        "2034-02-20",
        "2034-05-29",
        "2034-06-19",
        "2034-07-04",
        "2034-09-04",
        "2034-10-09",
        "2034-11-10",
        "2034-11-11",
        "2034-11-23",
        "2034-12-25",
        "2035-01-01",
        "2035-01-15",
        "2035-02-19",
        "2035-05-28",
        "2035-06-19",
        "2035-07-04",
        "2035-09-03",
        "2035-10-08",
        "2035-11-11",
        "2035-11-12",
        "2035-11-22",
        "2035-12-25",
        "2036-01-01",
        "2036-01-21",
        "2036-02-18",
        "2036-05-26",
        "2036-06-19",
        "2036-07-04",
        "2036-09-01",
        "2036-10-13",
        "2036-11-11",
        "2036-11-27",
        "2036-12-25",
        "2037-01-01",
        "2037-01-19",
        "2037-02-16",
        "2037-05-25",
        "2037-06-19",
        "2037-07-03",
        "2037-07-04",
        "2037-09-07",
        "2037-10-12",
        "2037-11-11",
        "2037-11-26",
        "2037-12-25",
        "2038-01-01",
        "2038-01-18",
        "2038-02-15",
        "2038-05-31",
        "2038-06-18",
        "2038-06-19",
        "2038-07-04",
        "2038-07-05",
        "2038-09-06",
        "2038-10-11",
        "2038-11-11",
        "2038-11-25",
        "2038-12-24",
        "2038-12-25",
        "2038-12-31",
        "2039-01-01",
        "2039-01-17",
        "2039-02-21",
        "2039-05-30",
        "2039-06-19",
        "2039-06-20",
        "2039-07-04",
        "2039-09-05",
        "2039-10-10",
        "2039-11-11",
        "2039-11-24",
        "2039-12-25",
        "2039-12-26",
        "2040-01-01",
        "2040-01-02",
        "2040-01-16",
        "2040-02-20",
        "2040-05-28",
        "2040-06-19",
        "2040-07-04",
        "2040-09-03",
        "2040-10-08",
        "2040-11-11",
        "2040-11-12",
        "2040-11-22",
        "2040-12-25",
        "2041-01-01",
        "2041-01-21",
        "2041-02-18",
        "2041-05-27",
        "2041-06-19",
        "2041-07-04",
        "2041-09-02",
        "2041-10-14",
        "2041-11-11",
        "2041-11-28",
        "2041-12-25",
        "2042-01-01",
        "2042-01-20",
        "2042-02-17",
        "2042-05-26",
        "2042-06-19",
        "2042-07-04",
        "2042-09-01",
        "2042-10-13",
        "2042-11-11",
        "2042-11-27",
        "2042-12-25",
        "2043-01-01",
        "2043-01-19",
        "2043-02-16",
        "2043-05-25",
        "2043-06-19",
        "2043-07-03",
        "2043-07-04",
        "2043-09-07",
        "2043-10-12",
        "2043-11-11",
        "2043-11-26",
        "2043-12-25",
        "2044-01-01",
        "2044-01-18",
        "2044-02-15",
        "2044-05-30",
        "2044-06-19",
        "2044-06-20",
        "2044-07-04",
        "2044-09-05",
        "2044-10-10",
        "2044-11-11",
        "2044-11-24",
        "2044-12-25",
        "2044-12-26",
        "2045-01-01",
        "2045-01-02",
        "2045-01-16",
        "2045-02-20",
        "2045-05-29",
        "2045-06-19",
        "2045-07-04",
        "2045-09-04",
        "2045-10-09",
        "2045-11-10",
        "2045-11-11",
        "2045-11-23",
        "2045-12-25",
        "2046-01-01",
        "2046-01-15",
        "2046-02-19",
        "2046-05-28",
        "2046-06-19",
        "2046-07-04",
        "2046-09-03",
        "2046-10-08",
        "2046-11-11",
        "2046-11-12",
        "2046-11-22",
        "2046-12-25",
        "2047-01-01",
        "2047-01-21",
        "2047-02-18",
        "2047-05-27",
        "2047-06-19",
        "2047-07-04",
        "2047-09-02",
        "2047-10-14",
        "2047-11-11",
        "2047-11-28",
        "2047-12-25",
        "2048-01-01",
        "2048-01-20",
        "2048-02-17",
        "2048-05-25",
        "2048-06-19",
        "2048-07-03",
        "2048-07-04",
        "2048-09-07",
        "2048-10-12",
        "2048-11-11",
        "2048-11-26",
        "2048-12-25",
        "2049-01-01",
        "2049-01-18",
        "2049-02-15",
        "2049-05-31",
        "2049-06-18",
        "2049-06-19",
        "2049-07-04",
        "2049-07-05",
        "2049-09-06",
        "2049-10-11",
        "2049-11-11",
        "2049-11-25",
        "2049-12-24",
        "2049-12-25",
        "2049-12-31",
    ]


def __getholidaysCanada__():
    return [
        "2000-01-01",
        "2000-01-03",
        "2000-04-21",
        "2000-04-24",
        "2000-05-22",
        "2000-07-01",
        "2000-07-03",
        "2000-08-07",
        "2000-09-04",
        "2000-10-09",
        "2000-12-25",
        "2000-12-26",
        "2001-01-01",
        "2001-04-13",
        "2001-04-16",
        "2001-05-21",
        "2001-07-01",
        "2001-07-02",
        "2001-08-06",
        "2001-09-03",
        "2001-10-08",
        "2001-12-25",
        "2001-12-26",
        "2002-01-01",
        "2002-03-29",
        "2002-04-01",
        "2002-05-20",
        "2002-07-01",
        "2002-08-05",
        "2002-09-02",
        "2002-10-14",
        "2002-12-25",
        "2002-12-26",
        "2003-01-01",
        "2003-04-18",
        "2003-04-21",
        "2003-05-19",
        "2003-07-01",
        "2003-08-04",
        "2003-09-01",
        "2003-10-13",
        "2003-12-25",
        "2003-12-26",
        "2004-01-01",
        "2004-04-09",
        "2004-04-12",
        "2004-05-24",
        "2004-07-01",
        "2004-08-02",
        "2004-09-06",
        "2004-10-11",
        "2004-12-25",
        "2004-12-26",
        "2004-12-27",
        "2004-12-28",
        "2005-01-01",
        "2005-01-03",
        "2005-03-25",
        "2005-03-28",
        "2005-05-23",
        "2005-07-01",
        "2005-08-01",
        "2005-09-05",
        "2005-10-10",
        "2005-12-25",
        "2005-12-26",
        "2005-12-27",
        "2006-01-01",
        "2006-01-02",
        "2006-04-14",
        "2006-04-17",
        "2006-05-22",
        "2006-07-01",
        "2006-07-03",
        "2006-08-07",
        "2006-09-04",
        "2006-10-09",
        "2006-12-25",
        "2006-12-26",
        "2007-01-01",
        "2007-04-06",
        "2007-04-09",
        "2007-05-21",
        "2007-07-01",
        "2007-07-02",
        "2007-08-06",
        "2007-09-03",
        "2007-10-08",
        "2007-12-25",
        "2007-12-26",
        "2008-01-01",
        "2008-02-18",
        "2008-03-21",
        "2008-03-24",
        "2008-05-19",
        "2008-07-01",
        "2008-08-04",
        "2008-09-01",
        "2008-10-13",
        "2008-12-25",
        "2008-12-26",
        "2009-01-01",
        "2009-02-16",
        "2009-04-10",
        "2009-04-13",
        "2009-05-18",
        "2009-07-01",
        "2009-08-03",
        "2009-09-07",
        "2009-10-12",
        "2009-12-25",
        "2009-12-26",
        "2009-12-28",
        "2010-01-01",
        "2010-02-15",
        "2010-04-02",
        "2010-04-05",
        "2010-05-24",
        "2010-07-01",
        "2010-08-02",
        "2010-09-06",
        "2010-10-11",
        "2010-12-25",
        "2010-12-26",
        "2010-12-27",
        "2010-12-28",
        "2011-01-01",
        "2011-01-03",
        "2011-02-21",
        "2011-04-22",
        "2011-04-25",
        "2011-05-23",
        "2011-07-01",
        "2011-08-01",
        "2011-09-05",
        "2011-10-10",
        "2011-12-25",
        "2011-12-26",
        "2011-12-27",
        "2012-01-01",
        "2012-01-02",
        "2012-02-20",
        "2012-04-06",
        "2012-04-09",
        "2012-05-21",
        "2012-07-01",
        "2012-07-02",
        "2012-08-06",
        "2012-09-03",
        "2012-10-08",
        "2012-12-25",
        "2012-12-26",
        "2013-01-01",
        "2013-02-18",
        "2013-03-29",
        "2013-04-01",
        "2013-05-20",
        "2013-07-01",
        "2013-08-05",
        "2013-09-02",
        "2013-10-14",
        "2013-12-25",
        "2013-12-26",
        "2014-01-01",
        "2014-02-17",
        "2014-04-18",
        "2014-04-21",
        "2014-05-19",
        "2014-07-01",
        "2014-08-04",
        "2014-09-01",
        "2014-10-13",
        "2014-12-25",
        "2014-12-26",
        "2015-01-01",
        "2015-02-16",
        "2015-04-03",
        "2015-04-06",
        "2015-05-18",
        "2015-07-01",
        "2015-08-03",
        "2015-09-07",
        "2015-10-12",
        "2015-12-25",
        "2015-12-26",
        "2015-12-28",
        "2016-01-01",
        "2016-02-15",
        "2016-03-25",
        "2016-03-28",
        "2016-05-23",
        "2016-07-01",
        "2016-08-01",
        "2016-09-05",
        "2016-10-10",
        "2016-12-25",
        "2016-12-26",
        "2016-12-27",
        "2017-01-01",
        "2017-01-02",
        "2017-02-20",
        "2017-04-14",
        "2017-04-17",
        "2017-05-22",
        "2017-07-01",
        "2017-07-03",
        "2017-08-07",
        "2017-09-04",
        "2017-10-09",
        "2017-12-25",
        "2017-12-26",
        "2018-01-01",
        "2018-02-19",
        "2018-03-30",
        "2018-04-02",
        "2018-05-21",
        "2018-07-01",
        "2018-07-02",
        "2018-08-06",
        "2018-09-03",
        "2018-10-08",
        "2018-12-25",
        "2018-12-26",
        "2019-01-01",
        "2019-02-18",
        "2019-04-19",
        "2019-04-22",
        "2019-05-20",
        "2019-07-01",
        "2019-08-05",
        "2019-09-02",
        "2019-10-14",
        "2019-12-25",
        "2019-12-26",
        "2020-01-01",
        "2020-02-17",
        "2020-04-10",
        "2020-04-13",
        "2020-05-18",
        "2020-07-01",
        "2020-08-03",
        "2020-09-07",
        "2020-10-12",
        "2020-12-25",
        "2020-12-26",
        "2020-12-28",
        "2021-01-01",
        "2021-02-15",
        "2021-04-02",
        "2021-04-05",
        "2021-05-24",
        "2021-07-01",
        "2021-08-02",
        "2021-09-06",
        "2021-10-11",
        "2021-12-25",
        "2021-12-26",
        "2021-12-27",
        "2021-12-28",
        "2022-01-01",
        "2022-01-03",
        "2022-02-21",
        "2022-04-15",
        "2022-04-18",
        "2022-05-23",
        "2022-07-01",
        "2022-08-01",
        "2022-09-05",
        "2022-10-10",
        "2022-12-25",
        "2022-12-26",
        "2022-12-27",
        "2023-01-01",
        "2023-01-02",
        "2023-02-20",
        "2023-04-07",
        "2023-04-10",
        "2023-05-22",
        "2023-07-01",
        "2023-07-03",
        "2023-08-07",
        "2023-09-04",
        "2023-10-09",
        "2023-12-25",
        "2023-12-26",
        "2024-01-01",
        "2024-02-19",
        "2024-03-29",
        "2024-04-01",
        "2024-05-20",
        "2024-07-01",
        "2024-08-05",
        "2024-09-02",
        "2024-10-14",
        "2024-12-25",
        "2024-12-26",
        "2025-01-01",
        "2025-02-17",
        "2025-04-18",
        "2025-04-21",
        "2025-05-19",
        "2025-07-01",
        "2025-08-04",
        "2025-09-01",
        "2025-10-13",
        "2025-12-25",
        "2025-12-26",
        "2026-01-01",
        "2026-02-16",
        "2026-04-03",
        "2026-04-06",
        "2026-05-18",
        "2026-07-01",
        "2026-08-03",
        "2026-09-07",
        "2026-10-12",
        "2026-12-25",
        "2026-12-26",
        "2026-12-28",
        "2027-01-01",
        "2027-02-15",
        "2027-03-26",
        "2027-03-29",
        "2027-05-24",
        "2027-07-01",
        "2027-08-02",
        "2027-09-06",
        "2027-10-11",
        "2027-12-25",
        "2027-12-26",
        "2027-12-27",
        "2027-12-28",
        "2028-01-01",
        "2028-01-03",
        "2028-02-21",
        "2028-04-14",
        "2028-04-17",
        "2028-05-22",
        "2028-07-01",
        "2028-07-03",
        "2028-08-07",
        "2028-09-04",
        "2028-10-09",
        "2028-12-25",
        "2028-12-26",
        "2029-01-01",
        "2029-02-19",
        "2029-03-30",
        "2029-04-02",
        "2029-05-21",
        "2029-07-01",
        "2029-07-02",
        "2029-08-06",
        "2029-09-03",
        "2029-10-08",
        "2029-12-25",
        "2029-12-26",
        "2030-01-01",
        "2030-02-18",
        "2030-04-19",
        "2030-04-22",
        "2030-05-20",
        "2030-07-01",
        "2030-08-05",
        "2030-09-02",
        "2030-10-14",
        "2030-12-25",
        "2030-12-26",
        "2031-01-01",
        "2031-02-17",
        "2031-04-11",
        "2031-04-14",
        "2031-05-19",
        "2031-07-01",
        "2031-08-04",
        "2031-09-01",
        "2031-10-13",
        "2031-12-25",
        "2031-12-26",
        "2032-01-01",
        "2032-02-16",
        "2032-03-26",
        "2032-03-29",
        "2032-05-24",
        "2032-07-01",
        "2032-08-02",
        "2032-09-06",
        "2032-10-11",
        "2032-12-25",
        "2032-12-26",
        "2032-12-27",
        "2032-12-28",
        "2033-01-01",
        "2033-01-03",
        "2033-02-21",
        "2033-04-15",
        "2033-04-18",
        "2033-05-23",
        "2033-07-01",
        "2033-08-01",
        "2033-09-05",
        "2033-10-10",
        "2033-12-25",
        "2033-12-26",
        "2033-12-27",
        "2034-01-01",
        "2034-01-02",
        "2034-02-20",
        "2034-04-07",
        "2034-04-10",
        "2034-05-22",
        "2034-07-01",
        "2034-07-03",
        "2034-08-07",
        "2034-09-04",
        "2034-10-09",
        "2034-12-25",
        "2034-12-26",
        "2035-01-01",
        "2035-02-19",
        "2035-03-23",
        "2035-03-26",
        "2035-05-21",
        "2035-07-01",
        "2035-07-02",
        "2035-08-06",
        "2035-09-03",
        "2035-10-08",
        "2035-12-25",
        "2035-12-26",
        "2036-01-01",
        "2036-02-18",
        "2036-04-11",
        "2036-04-14",
        "2036-05-19",
        "2036-07-01",
        "2036-08-04",
        "2036-09-01",
        "2036-10-13",
        "2036-12-25",
        "2036-12-26",
        "2037-01-01",
        "2037-02-16",
        "2037-04-03",
        "2037-04-06",
        "2037-05-18",
        "2037-07-01",
        "2037-08-03",
        "2037-09-07",
        "2037-10-12",
        "2037-12-25",
        "2037-12-26",
        "2037-12-28",
        "2038-01-01",
        "2038-02-15",
        "2038-04-23",
        "2038-04-26",
        "2038-05-24",
        "2038-07-01",
        "2038-08-02",
        "2038-09-06",
        "2038-10-11",
        "2038-12-25",
        "2038-12-26",
        "2038-12-27",
        "2038-12-28",
        "2039-01-01",
        "2039-01-03",
        "2039-02-21",
        "2039-04-08",
        "2039-04-11",
        "2039-05-23",
        "2039-07-01",
        "2039-08-01",
        "2039-09-05",
        "2039-10-10",
        "2039-12-25",
        "2039-12-26",
        "2039-12-27",
        "2040-01-01",
        "2040-01-02",
        "2040-02-20",
        "2040-03-30",
        "2040-04-02",
        "2040-05-21",
        "2040-07-01",
        "2040-07-02",
        "2040-08-06",
        "2040-09-03",
        "2040-10-08",
        "2040-12-25",
        "2040-12-26",
        "2041-01-01",
        "2041-02-18",
        "2041-04-19",
        "2041-04-22",
        "2041-05-20",
        "2041-07-01",
        "2041-08-05",
        "2041-09-02",
        "2041-10-14",
        "2041-12-25",
        "2041-12-26",
        "2042-01-01",
        "2042-02-17",
        "2042-04-04",
        "2042-04-07",
        "2042-05-19",
        "2042-07-01",
        "2042-08-04",
        "2042-09-01",
        "2042-10-13",
        "2042-12-25",
        "2042-12-26",
        "2043-01-01",
        "2043-02-16",
        "2043-03-27",
        "2043-03-30",
        "2043-05-18",
        "2043-07-01",
        "2043-08-03",
        "2043-09-07",
        "2043-10-12",
        "2043-12-25",
        "2043-12-26",
        "2043-12-28",
        "2044-01-01",
        "2044-02-15",
        "2044-04-15",
        "2044-04-18",
        "2044-05-23",
        "2044-07-01",
        "2044-08-01",
        "2044-09-05",
        "2044-10-10",
        "2044-12-25",
        "2044-12-26",
        "2044-12-27",
        "2045-01-01",
        "2045-01-02",
        "2045-02-20",
        "2045-04-07",
        "2045-04-10",
        "2045-05-22",
        "2045-07-01",
        "2045-07-03",
        "2045-08-07",
        "2045-09-04",
        "2045-10-09",
        "2045-12-25",
        "2045-12-26",
        "2046-01-01",
        "2046-02-19",
        "2046-03-23",
        "2046-03-26",
        "2046-05-21",
        "2046-07-01",
        "2046-07-02",
        "2046-08-06",
        "2046-09-03",
        "2046-10-08",
        "2046-12-25",
        "2046-12-26",
        "2047-01-01",
        "2047-02-18",
        "2047-04-12",
        "2047-04-15",
        "2047-05-20",
        "2047-07-01",
        "2047-08-05",
        "2047-09-02",
        "2047-10-14",
        "2047-12-25",
        "2047-12-26",
        "2048-01-01",
        "2048-02-17",
        "2048-04-03",
        "2048-04-06",
        "2048-05-18",
        "2048-07-01",
        "2048-08-03",
        "2048-09-07",
        "2048-10-12",
        "2048-12-25",
        "2048-12-26",
        "2048-12-28",
        "2049-01-01",
        "2049-02-15",
        "2049-04-16",
        "2049-04-19",
        "2049-05-24",
        "2049-07-01",
        "2049-08-02",
        "2049-09-06",
        "2049-10-11",
        "2049-12-25",
        "2049-12-26",
        "2049-12-27",
        "2049-12-28",
    ]


def __getholidaysMexico__():
    return [
        "2000-01-01",
        "2000-02-05",
        "2000-03-21",
        "2000-05-01",
        "2000-09-16",
        "2000-11-20",
        "2000-12-01",
        "2000-12-25",
        "2001-01-01",
        "2001-02-05",
        "2001-03-21",
        "2001-05-01",
        "2001-09-16",
        "2001-11-20",
        "2001-12-25",
        "2002-01-01",
        "2002-02-05",
        "2002-03-21",
        "2002-05-01",
        "2002-09-16",
        "2002-11-20",
        "2002-12-25",
        "2003-01-01",
        "2003-02-05",
        "2003-03-21",
        "2003-05-01",
        "2003-09-16",
        "2003-11-20",
        "2003-12-25",
        "2004-01-01",
        "2004-02-05",
        "2004-03-21",
        "2004-05-01",
        "2004-09-16",
        "2004-11-20",
        "2004-12-25",
        "2005-01-01",
        "2005-02-05",
        "2005-03-21",
        "2005-05-01",
        "2005-09-16",
        "2005-11-20",
        "2005-12-25",
        "2006-01-01",
        "2006-02-06",
        "2006-03-21",
        "2006-05-01",
        "2006-09-16",
        "2006-11-20",
        "2006-12-01",
        "2006-12-25",
        "2007-01-01",
        "2007-02-05",
        "2007-03-19",
        "2007-05-01",
        "2007-09-16",
        "2007-11-19",
        "2007-12-25",
        "2008-01-01",
        "2008-02-04",
        "2008-03-17",
        "2008-05-01",
        "2008-09-16",
        "2008-11-17",
        "2008-12-25",
        "2009-01-01",
        "2009-02-02",
        "2009-03-16",
        "2009-05-01",
        "2009-09-16",
        "2009-11-16",
        "2009-12-25",
        "2010-01-01",
        "2010-02-01",
        "2010-03-15",
        "2010-05-01",
        "2010-09-16",
        "2010-11-15",
        "2010-12-25",
        "2011-01-01",
        "2011-02-07",
        "2011-03-21",
        "2011-05-01",
        "2011-09-16",
        "2011-11-21",
        "2011-12-25",
        "2012-01-01",
        "2012-02-06",
        "2012-03-19",
        "2012-05-01",
        "2012-09-16",
        "2012-11-19",
        "2012-12-01",
        "2012-12-25",
        "2013-01-01",
        "2013-02-04",
        "2013-03-18",
        "2013-05-01",
        "2013-09-16",
        "2013-11-18",
        "2013-12-25",
        "2014-01-01",
        "2014-02-03",
        "2014-03-17",
        "2014-05-01",
        "2014-09-16",
        "2014-11-17",
        "2014-12-25",
        "2015-01-01",
        "2015-02-02",
        "2015-03-16",
        "2015-05-01",
        "2015-09-16",
        "2015-11-16",
        "2015-12-25",
        "2016-01-01",
        "2016-02-01",
        "2016-03-21",
        "2016-05-01",
        "2016-09-16",
        "2016-11-21",
        "2016-12-25",
        "2017-01-01",
        "2017-02-06",
        "2017-03-20",
        "2017-05-01",
        "2017-09-16",
        "2017-11-20",
        "2017-12-25",
        "2018-01-01",
        "2018-02-05",
        "2018-03-19",
        "2018-05-01",
        "2018-09-16",
        "2018-11-19",
        "2018-12-01",
        "2018-12-25",
        "2019-01-01",
        "2019-02-04",
        "2019-03-18",
        "2019-05-01",
        "2019-09-16",
        "2019-11-18",
        "2019-12-25",
        "2020-01-01",
        "2020-02-03",
        "2020-03-16",
        "2020-05-01",
        "2020-09-16",
        "2020-11-16",
        "2020-12-25",
        "2021-01-01",
        "2021-02-01",
        "2021-03-15",
        "2021-05-01",
        "2021-09-16",
        "2021-11-15",
        "2021-12-25",
        "2022-01-01",
        "2022-02-07",
        "2022-03-21",
        "2022-05-01",
        "2022-09-16",
        "2022-11-21",
        "2022-12-25",
        "2023-01-01",
        "2023-02-06",
        "2023-03-20",
        "2023-05-01",
        "2023-09-16",
        "2023-11-20",
        "2023-12-25",
        "2024-01-01",
        "2024-02-05",
        "2024-03-18",
        "2024-05-01",
        "2024-09-16",
        "2024-11-18",
        "2024-12-01",
        "2024-12-25",
        "2025-01-01",
        "2025-02-03",
        "2025-03-17",
        "2025-05-01",
        "2025-09-16",
        "2025-11-17",
        "2025-12-25",
        "2026-01-01",
        "2026-02-02",
        "2026-03-16",
        "2026-05-01",
        "2026-09-16",
        "2026-11-16",
        "2026-12-25",
        "2027-01-01",
        "2027-02-01",
        "2027-03-15",
        "2027-05-01",
        "2027-09-16",
        "2027-11-15",
        "2027-12-25",
        "2028-01-01",
        "2028-02-07",
        "2028-03-20",
        "2028-05-01",
        "2028-09-16",
        "2028-11-20",
        "2028-12-25",
        "2029-01-01",
        "2029-02-05",
        "2029-03-19",
        "2029-05-01",
        "2029-09-16",
        "2029-11-19",
        "2029-12-25",
        "2030-01-01",
        "2030-02-04",
        "2030-03-18",
        "2030-05-01",
        "2030-09-16",
        "2030-11-18",
        "2030-12-01",
        "2030-12-25",
        "2031-01-01",
        "2031-02-03",
        "2031-03-17",
        "2031-05-01",
        "2031-09-16",
        "2031-11-17",
        "2031-12-25",
        "2032-01-01",
        "2032-02-02",
        "2032-03-15",
        "2032-05-01",
        "2032-09-16",
        "2032-11-15",
        "2032-12-25",
        "2033-01-01",
        "2033-02-07",
        "2033-03-21",
        "2033-05-01",
        "2033-09-16",
        "2033-11-21",
        "2033-12-25",
        "2034-01-01",
        "2034-02-06",
        "2034-03-20",
        "2034-05-01",
        "2034-09-16",
        "2034-11-20",
        "2034-12-25",
        "2035-01-01",
        "2035-02-05",
        "2035-03-19",
        "2035-05-01",
        "2035-09-16",
        "2035-11-19",
        "2035-12-25",
        "2036-01-01",
        "2036-02-04",
        "2036-03-17",
        "2036-05-01",
        "2036-09-16",
        "2036-11-17",
        "2036-12-01",
        "2036-12-25",
        "2037-01-01",
        "2037-02-02",
        "2037-03-16",
        "2037-05-01",
        "2037-09-16",
        "2037-11-16",
        "2037-12-25",
        "2038-01-01",
        "2038-02-01",
        "2038-03-15",
        "2038-05-01",
        "2038-09-16",
        "2038-11-15",
        "2038-12-25",
        "2039-01-01",
        "2039-02-07",
        "2039-03-21",
        "2039-05-01",
        "2039-09-16",
        "2039-11-21",
        "2039-12-25",
        "2040-01-01",
        "2040-02-06",
        "2040-03-19",
        "2040-05-01",
        "2040-09-16",
        "2040-11-19",
        "2040-12-25",
        "2041-01-01",
        "2041-02-04",
        "2041-03-18",
        "2041-05-01",
        "2041-09-16",
        "2041-11-18",
        "2041-12-25",
        "2042-01-01",
        "2042-02-03",
        "2042-03-17",
        "2042-05-01",
        "2042-09-16",
        "2042-11-17",
        "2042-12-01",
        "2042-12-25",
        "2043-01-01",
        "2043-02-02",
        "2043-03-16",
        "2043-05-01",
        "2043-09-16",
        "2043-11-16",
        "2043-12-25",
        "2044-01-01",
        "2044-02-01",
        "2044-03-21",
        "2044-05-01",
        "2044-09-16",
        "2044-11-21",
        "2044-12-25",
        "2045-01-01",
        "2045-02-06",
        "2045-03-20",
        "2045-05-01",
        "2045-09-16",
        "2045-11-20",
        "2045-12-25",
        "2046-01-01",
        "2046-02-05",
        "2046-03-19",
        "2046-05-01",
        "2046-09-16",
        "2046-11-19",
        "2046-12-25",
        "2047-01-01",
        "2047-02-04",
        "2047-03-18",
        "2047-05-01",
        "2047-09-16",
        "2047-11-18",
        "2047-12-25",
        "2048-01-01",
        "2048-02-03",
        "2048-03-16",
        "2048-05-01",
        "2048-09-16",
        "2048-11-16",
        "2048-12-01",
        "2048-12-25",
        "2049-01-01",
        "2049-02-01",
        "2049-03-15",
        "2049-05-01",
        "2049-09-16",
        "2049-11-15",
        "2049-12-25",
    ]


def __getholidaysBrazil__():
    return [
        "2000-01-01",
        "2000-03-06",
        "2000-03-07",
        "2000-03-08",
        "2000-04-21",
        "2000-05-01",
        "2000-06-22",
        "2000-09-07",
        "2000-10-12",
        "2000-10-28",
        "2000-11-02",
        "2000-11-15",
        "2000-12-24",
        "2000-12-25",
        "2000-12-31",
        "2001-01-01",
        "2001-02-26",
        "2001-02-27",
        "2001-02-28",
        "2001-04-13",
        "2001-04-21",
        "2001-05-01",
        "2001-06-14",
        "2001-09-07",
        "2001-10-12",
        "2001-10-28",
        "2001-11-02",
        "2001-11-15",
        "2001-12-24",
        "2001-12-25",
        "2001-12-31",
        "2002-01-01",
        "2002-02-11",
        "2002-02-12",
        "2002-02-13",
        "2002-03-29",
        "2002-04-21",
        "2002-05-01",
        "2002-05-30",
        "2002-09-07",
        "2002-10-12",
        "2002-10-28",
        "2002-11-02",
        "2002-11-15",
        "2002-12-24",
        "2002-12-25",
        "2002-12-31",
        "2003-01-01",
        "2003-03-03",
        "2003-03-04",
        "2003-03-05",
        "2003-04-18",
        "2003-04-21",
        "2003-05-01",
        "2003-06-19",
        "2003-09-07",
        "2003-10-12",
        "2003-10-28",
        "2003-11-02",
        "2003-11-15",
        "2003-12-24",
        "2003-12-25",
        "2003-12-31",
        "2004-01-01",
        "2004-02-23",
        "2004-02-24",
        "2004-02-25",
        "2004-04-09",
        "2004-04-21",
        "2004-05-01",
        "2004-06-10",
        "2004-09-07",
        "2004-10-12",
        "2004-10-28",
        "2004-11-02",
        "2004-11-15",
        "2004-12-24",
        "2004-12-25",
        "2004-12-31",
        "2005-01-01",
        "2005-02-07",
        "2005-02-08",
        "2005-02-09",
        "2005-03-25",
        "2005-04-21",
        "2005-05-01",
        "2005-05-26",
        "2005-09-07",
        "2005-10-12",
        "2005-10-28",
        "2005-11-02",
        "2005-11-15",
        "2005-12-24",
        "2005-12-25",
        "2005-12-31",
        "2006-01-01",
        "2006-02-27",
        "2006-02-28",
        "2006-03-01",
        "2006-04-14",
        "2006-04-21",
        "2006-05-01",
        "2006-06-15",
        "2006-09-07",
        "2006-10-12",
        "2006-10-28",
        "2006-11-02",
        "2006-11-15",
        "2006-12-24",
        "2006-12-25",
        "2006-12-31",
        "2007-01-01",
        "2007-02-19",
        "2007-02-20",
        "2007-02-21",
        "2007-04-06",
        "2007-04-21",
        "2007-05-01",
        "2007-06-07",
        "2007-09-07",
        "2007-10-12",
        "2007-10-28",
        "2007-11-02",
        "2007-11-15",
        "2007-12-24",
        "2007-12-25",
        "2007-12-31",
        "2008-01-01",
        "2008-02-04",
        "2008-02-05",
        "2008-02-06",
        "2008-03-21",
        "2008-04-21",
        "2008-05-01",
        "2008-05-22",
        "2008-09-07",
        "2008-10-12",
        "2008-10-28",
        "2008-11-02",
        "2008-11-15",
        "2008-12-24",
        "2008-12-25",
        "2008-12-31",
        "2009-01-01",
        "2009-02-23",
        "2009-02-24",
        "2009-02-25",
        "2009-04-10",
        "2009-04-21",
        "2009-05-01",
        "2009-06-11",
        "2009-09-07",
        "2009-10-12",
        "2009-10-28",
        "2009-11-02",
        "2009-11-15",
        "2009-12-24",
        "2009-12-25",
        "2009-12-31",
        "2010-01-01",
        "2010-02-15",
        "2010-02-16",
        "2010-02-17",
        "2010-04-02",
        "2010-04-21",
        "2010-05-01",
        "2010-06-03",
        "2010-09-07",
        "2010-10-12",
        "2010-10-28",
        "2010-11-02",
        "2010-11-15",
        "2010-12-24",
        "2010-12-25",
        "2010-12-31",
        "2011-01-01",
        "2011-03-07",
        "2011-03-08",
        "2011-03-09",
        "2011-04-21",
        "2011-04-22",
        "2011-05-01",
        "2011-06-23",
        "2011-09-07",
        "2011-10-12",
        "2011-10-28",
        "2011-11-02",
        "2011-11-15",
        "2011-12-24",
        "2011-12-25",
        "2011-12-31",
        "2012-01-01",
        "2012-02-20",
        "2012-02-21",
        "2012-02-22",
        "2012-04-06",
        "2012-04-21",
        "2012-05-01",
        "2012-06-07",
        "2012-09-07",
        "2012-10-12",
        "2012-10-28",
        "2012-11-02",
        "2012-11-15",
        "2012-12-24",
        "2012-12-25",
        "2012-12-31",
        "2013-01-01",
        "2013-02-11",
        "2013-02-12",
        "2013-02-13",
        "2013-03-29",
        "2013-04-21",
        "2013-05-01",
        "2013-05-30",
        "2013-09-07",
        "2013-10-12",
        "2013-10-28",
        "2013-11-02",
        "2013-11-15",
        "2013-12-24",
        "2013-12-25",
        "2013-12-31",
        "2014-01-01",
        "2014-03-03",
        "2014-03-04",
        "2014-03-05",
        "2014-04-18",
        "2014-04-21",
        "2014-05-01",
        "2014-06-19",
        "2014-09-07",
        "2014-10-12",
        "2014-10-28",
        "2014-11-02",
        "2014-11-15",
        "2014-12-24",
        "2014-12-25",
        "2014-12-31",
        "2015-01-01",
        "2015-02-16",
        "2015-02-17",
        "2015-02-18",
        "2015-04-03",
        "2015-04-21",
        "2015-05-01",
        "2015-06-04",
        "2015-09-07",
        "2015-10-12",
        "2015-10-28",
        "2015-11-02",
        "2015-11-15",
        "2015-12-24",
        "2015-12-25",
        "2015-12-31",
        "2016-01-01",
        "2016-02-08",
        "2016-02-09",
        "2016-02-10",
        "2016-03-25",
        "2016-04-21",
        "2016-05-01",
        "2016-05-26",
        "2016-09-07",
        "2016-10-12",
        "2016-10-28",
        "2016-11-02",
        "2016-11-15",
        "2016-12-24",
        "2016-12-25",
        "2016-12-31",
        "2017-01-01",
        "2017-02-27",
        "2017-02-28",
        "2017-03-01",
        "2017-04-14",
        "2017-04-21",
        "2017-05-01",
        "2017-06-15",
        "2017-09-07",
        "2017-10-12",
        "2017-10-28",
        "2017-11-02",
        "2017-11-15",
        "2017-12-24",
        "2017-12-25",
        "2017-12-31",
        "2018-01-01",
        "2018-02-12",
        "2018-02-13",
        "2018-02-14",
        "2018-03-30",
        "2018-04-21",
        "2018-05-01",
        "2018-05-31",
        "2018-09-07",
        "2018-10-12",
        "2018-10-28",
        "2018-11-02",
        "2018-11-15",
        "2018-12-24",
        "2018-12-25",
        "2018-12-31",
        "2019-01-01",
        "2019-03-04",
        "2019-03-05",
        "2019-03-06",
        "2019-04-19",
        "2019-04-21",
        "2019-05-01",
        "2019-06-20",
        "2019-09-07",
        "2019-10-12",
        "2019-10-28",
        "2019-11-02",
        "2019-11-15",
        "2019-12-24",
        "2019-12-25",
        "2019-12-31",
        "2020-01-01",
        "2020-02-24",
        "2020-02-25",
        "2020-02-26",
        "2020-04-10",
        "2020-04-21",
        "2020-05-01",
        "2020-06-11",
        "2020-09-07",
        "2020-10-12",
        "2020-10-28",
        "2020-11-02",
        "2020-11-15",
        "2020-12-24",
        "2020-12-25",
        "2020-12-31",
        "2021-01-01",
        "2021-02-15",
        "2021-02-16",
        "2021-02-17",
        "2021-04-02",
        "2021-04-21",
        "2021-05-01",
        "2021-06-03",
        "2021-09-07",
        "2021-10-12",
        "2021-10-28",
        "2021-11-02",
        "2021-11-15",
        "2021-12-24",
        "2021-12-25",
        "2021-12-31",
        "2022-01-01",
        "2022-02-28",
        "2022-03-01",
        "2022-03-02",
        "2022-04-15",
        "2022-04-21",
        "2022-05-01",
        "2022-06-16",
        "2022-09-07",
        "2022-10-12",
        "2022-10-28",
        "2022-11-02",
        "2022-11-15",
        "2022-12-24",
        "2022-12-25",
        "2022-12-31",
        "2023-01-01",
        "2023-02-20",
        "2023-02-21",
        "2023-02-22",
        "2023-04-07",
        "2023-04-21",
        "2023-05-01",
        "2023-06-08",
        "2023-09-07",
        "2023-10-12",
        "2023-10-28",
        "2023-11-02",
        "2023-11-15",
        "2023-12-24",
        "2023-12-25",
        "2023-12-31",
        "2024-01-01",
        "2024-02-12",
        "2024-02-13",
        "2024-02-14",
        "2024-03-29",
        "2024-04-21",
        "2024-05-01",
        "2024-05-30",
        "2024-09-07",
        "2024-10-12",
        "2024-10-28",
        "2024-11-02",
        "2024-11-15",
        "2024-12-24",
        "2024-12-25",
        "2024-12-31",
        "2025-01-01",
        "2025-03-03",
        "2025-03-04",
        "2025-03-05",
        "2025-04-18",
        "2025-04-21",
        "2025-05-01",
        "2025-06-19",
        "2025-09-07",
        "2025-10-12",
        "2025-10-28",
        "2025-11-02",
        "2025-11-15",
        "2025-12-24",
        "2025-12-25",
        "2025-12-31",
        "2026-01-01",
        "2026-02-16",
        "2026-02-17",
        "2026-02-18",
        "2026-04-03",
        "2026-04-21",
        "2026-05-01",
        "2026-06-04",
        "2026-09-07",
        "2026-10-12",
        "2026-10-28",
        "2026-11-02",
        "2026-11-15",
        "2026-12-24",
        "2026-12-25",
        "2026-12-31",
        "2027-01-01",
        "2027-02-08",
        "2027-02-09",
        "2027-02-10",
        "2027-03-26",
        "2027-04-21",
        "2027-05-01",
        "2027-05-27",
        "2027-09-07",
        "2027-10-12",
        "2027-10-28",
        "2027-11-02",
        "2027-11-15",
        "2027-12-24",
        "2027-12-25",
        "2027-12-31",
        "2028-01-01",
        "2028-02-28",
        "2028-02-29",
        "2028-03-01",
        "2028-04-14",
        "2028-04-21",
        "2028-05-01",
        "2028-06-15",
        "2028-09-07",
        "2028-10-12",
        "2028-10-28",
        "2028-11-02",
        "2028-11-15",
        "2028-12-24",
        "2028-12-25",
        "2028-12-31",
        "2029-01-01",
        "2029-02-12",
        "2029-02-13",
        "2029-02-14",
        "2029-03-30",
        "2029-04-21",
        "2029-05-01",
        "2029-05-31",
        "2029-09-07",
        "2029-10-12",
        "2029-10-28",
        "2029-11-02",
        "2029-11-15",
        "2029-12-24",
        "2029-12-25",
        "2029-12-31",
        "2030-01-01",
        "2030-03-04",
        "2030-03-05",
        "2030-03-06",
        "2030-04-19",
        "2030-04-21",
        "2030-05-01",
        "2030-06-20",
        "2030-09-07",
        "2030-10-12",
        "2030-10-28",
        "2030-11-02",
        "2030-11-15",
        "2030-12-24",
        "2030-12-25",
        "2030-12-31",
        "2031-01-01",
        "2031-02-24",
        "2031-02-25",
        "2031-02-26",
        "2031-04-11",
        "2031-04-21",
        "2031-05-01",
        "2031-06-12",
        "2031-09-07",
        "2031-10-12",
        "2031-10-28",
        "2031-11-02",
        "2031-11-15",
        "2031-12-24",
        "2031-12-25",
        "2031-12-31",
        "2032-01-01",
        "2032-02-09",
        "2032-02-10",
        "2032-02-11",
        "2032-03-26",
        "2032-04-21",
        "2032-05-01",
        "2032-05-27",
        "2032-09-07",
        "2032-10-12",
        "2032-10-28",
        "2032-11-02",
        "2032-11-15",
        "2032-12-24",
        "2032-12-25",
        "2032-12-31",
        "2033-01-01",
        "2033-02-28",
        "2033-03-01",
        "2033-03-02",
        "2033-04-15",
        "2033-04-21",
        "2033-05-01",
        "2033-06-16",
        "2033-09-07",
        "2033-10-12",
        "2033-10-28",
        "2033-11-02",
        "2033-11-15",
        "2033-12-24",
        "2033-12-25",
        "2033-12-31",
        "2034-01-01",
        "2034-02-20",
        "2034-02-21",
        "2034-02-22",
        "2034-04-07",
        "2034-04-21",
        "2034-05-01",
        "2034-06-08",
        "2034-09-07",
        "2034-10-12",
        "2034-10-28",
        "2034-11-02",
        "2034-11-15",
        "2034-12-24",
        "2034-12-25",
        "2034-12-31",
        "2035-01-01",
        "2035-02-05",
        "2035-02-06",
        "2035-02-07",
        "2035-03-23",
        "2035-04-21",
        "2035-05-01",
        "2035-05-24",
        "2035-09-07",
        "2035-10-12",
        "2035-10-28",
        "2035-11-02",
        "2035-11-15",
        "2035-12-24",
        "2035-12-25",
        "2035-12-31",
        "2036-01-01",
        "2036-02-25",
        "2036-02-26",
        "2036-02-27",
        "2036-04-11",
        "2036-04-21",
        "2036-05-01",
        "2036-06-12",
        "2036-09-07",
        "2036-10-12",
        "2036-10-28",
        "2036-11-02",
        "2036-11-15",
        "2036-12-24",
        "2036-12-25",
        "2036-12-31",
        "2037-01-01",
        "2037-02-16",
        "2037-02-17",
        "2037-02-18",
        "2037-04-03",
        "2037-04-21",
        "2037-05-01",
        "2037-06-04",
        "2037-09-07",
        "2037-10-12",
        "2037-10-28",
        "2037-11-02",
        "2037-11-15",
        "2037-12-24",
        "2037-12-25",
        "2037-12-31",
        "2038-01-01",
        "2038-03-08",
        "2038-03-09",
        "2038-03-10",
        "2038-04-21",
        "2038-04-23",
        "2038-05-01",
        "2038-06-24",
        "2038-09-07",
        "2038-10-12",
        "2038-10-28",
        "2038-11-02",
        "2038-11-15",
        "2038-12-24",
        "2038-12-25",
        "2038-12-31",
        "2039-01-01",
        "2039-02-21",
        "2039-02-22",
        "2039-02-23",
        "2039-04-08",
        "2039-04-21",
        "2039-05-01",
        "2039-06-09",
        "2039-09-07",
        "2039-10-12",
        "2039-10-28",
        "2039-11-02",
        "2039-11-15",
        "2039-12-24",
        "2039-12-25",
        "2039-12-31",
        "2040-01-01",
        "2040-02-13",
        "2040-02-14",
        "2040-02-15",
        "2040-03-30",
        "2040-04-21",
        "2040-05-01",
        "2040-05-31",
        "2040-09-07",
        "2040-10-12",
        "2040-10-28",
        "2040-11-02",
        "2040-11-15",
        "2040-12-24",
        "2040-12-25",
        "2040-12-31",
        "2041-01-01",
        "2041-03-04",
        "2041-03-05",
        "2041-03-06",
        "2041-04-19",
        "2041-04-21",
        "2041-05-01",
        "2041-06-20",
        "2041-09-07",
        "2041-10-12",
        "2041-10-28",
        "2041-11-02",
        "2041-11-15",
        "2041-12-24",
        "2041-12-25",
        "2041-12-31",
        "2042-01-01",
        "2042-02-17",
        "2042-02-18",
        "2042-02-19",
        "2042-04-04",
        "2042-04-21",
        "2042-05-01",
        "2042-06-05",
        "2042-09-07",
        "2042-10-12",
        "2042-10-28",
        "2042-11-02",
        "2042-11-15",
        "2042-12-24",
        "2042-12-25",
        "2042-12-31",
        "2043-01-01",
        "2043-02-09",
        "2043-02-10",
        "2043-02-11",
        "2043-03-27",
        "2043-04-21",
        "2043-05-01",
        "2043-05-28",
        "2043-09-07",
        "2043-10-12",
        "2043-10-28",
        "2043-11-02",
        "2043-11-15",
        "2043-12-24",
        "2043-12-25",
        "2043-12-31",
        "2044-01-01",
        "2044-02-29",
        "2044-03-01",
        "2044-03-02",
        "2044-04-15",
        "2044-04-21",
        "2044-05-01",
        "2044-06-16",
        "2044-09-07",
        "2044-10-12",
        "2044-10-28",
        "2044-11-02",
        "2044-11-15",
        "2044-12-24",
        "2044-12-25",
        "2044-12-31",
        "2045-01-01",
        "2045-02-20",
        "2045-02-21",
        "2045-02-22",
        "2045-04-07",
        "2045-04-21",
        "2045-05-01",
        "2045-06-08",
        "2045-09-07",
        "2045-10-12",
        "2045-10-28",
        "2045-11-02",
        "2045-11-15",
        "2045-12-24",
        "2045-12-25",
        "2045-12-31",
        "2046-01-01",
        "2046-02-05",
        "2046-02-06",
        "2046-02-07",
        "2046-03-23",
        "2046-04-21",
        "2046-05-01",
        "2046-05-24",
        "2046-09-07",
        "2046-10-12",
        "2046-10-28",
        "2046-11-02",
        "2046-11-15",
        "2046-12-24",
        "2046-12-25",
        "2046-12-31",
        "2047-01-01",
        "2047-02-25",
        "2047-02-26",
        "2047-02-27",
        "2047-04-12",
        "2047-04-21",
        "2047-05-01",
        "2047-06-13",
        "2047-09-07",
        "2047-10-12",
        "2047-10-28",
        "2047-11-02",
        "2047-11-15",
        "2047-12-24",
        "2047-12-25",
        "2047-12-31",
        "2048-01-01",
        "2048-02-17",
        "2048-02-18",
        "2048-02-19",
        "2048-04-03",
        "2048-04-21",
        "2048-05-01",
        "2048-06-04",
        "2048-09-07",
        "2048-10-12",
        "2048-10-28",
        "2048-11-02",
        "2048-11-15",
        "2048-12-24",
        "2048-12-25",
        "2048-12-31",
        "2049-01-01",
        "2049-03-01",
        "2049-03-02",
        "2049-03-03",
        "2049-04-16",
        "2049-04-21",
        "2049-05-01",
        "2049-06-17",
        "2049-09-07",
        "2049-10-12",
        "2049-10-28",
        "2049-11-02",
        "2049-11-15",
        "2049-12-24",
        "2049-12-25",
        "2049-12-31",
    ]


def __getholidaysChina__():
    return [
        "2000-01-01",
        "2000-02-05",
        "2000-02-06",
        "2000-02-07",
        "2000-05-01",
        "2000-05-02",
        "2000-05-03",
        "2000-10-01",
        "2000-10-02",
        "2000-10-03",
        "2001-01-01",
        "2001-01-24",
        "2001-01-25",
        "2001-01-26",
        "2001-05-01",
        "2001-05-02",
        "2001-05-03",
        "2001-10-01",
        "2001-10-02",
        "2001-10-03",
        "2002-01-01",
        "2002-02-12",
        "2002-02-13",
        "2002-02-14",
        "2002-05-01",
        "2002-05-02",
        "2002-05-03",
        "2002-10-01",
        "2002-10-02",
        "2002-10-03",
        "2003-01-01",
        "2003-02-01",
        "2003-02-02",
        "2003-02-03",
        "2003-05-01",
        "2003-05-02",
        "2003-05-03",
        "2003-10-01",
        "2003-10-02",
        "2003-10-03",
        "2004-01-01",
        "2004-01-22",
        "2004-01-23",
        "2004-01-24",
        "2004-05-01",
        "2004-05-02",
        "2004-05-03",
        "2004-10-01",
        "2004-10-02",
        "2004-10-03",
        "2005-01-01",
        "2005-02-09",
        "2005-02-10",
        "2005-02-11",
        "2005-05-01",
        "2005-05-02",
        "2005-05-03",
        "2005-10-01",
        "2005-10-02",
        "2005-10-03",
        "2006-01-01",
        "2006-01-29",
        "2006-01-30",
        "2006-01-31",
        "2006-05-01",
        "2006-05-02",
        "2006-05-03",
        "2006-10-01",
        "2006-10-02",
        "2006-10-03",
        "2007-01-01",
        "2007-02-18",
        "2007-02-19",
        "2007-02-20",
        "2007-05-01",
        "2007-05-02",
        "2007-05-03",
        "2007-10-01",
        "2007-10-02",
        "2007-10-03",
        "2008-01-01",
        "2008-02-06",
        "2008-02-07",
        "2008-02-08",
        "2008-04-04",
        "2008-05-01",
        "2008-06-08",
        "2008-09-14",
        "2008-10-01",
        "2008-10-02",
        "2008-10-03",
        "2009-01-01",
        "2009-01-25",
        "2009-01-26",
        "2009-01-27",
        "2009-04-04",
        "2009-05-01",
        "2009-05-28",
        "2009-10-01",
        "2009-10-02",
        "2009-10-03",
        "2010-01-01",
        "2010-02-13",
        "2010-02-14",
        "2010-02-15",
        "2010-04-05",
        "2010-05-01",
        "2010-06-16",
        "2010-09-22",
        "2010-10-01",
        "2010-10-02",
        "2010-10-03",
        "2011-01-01",
        "2011-02-02",
        "2011-02-03",
        "2011-02-04",
        "2011-04-05",
        "2011-05-01",
        "2011-06-06",
        "2011-09-12",
        "2011-10-01",
        "2011-10-02",
        "2011-10-03",
        "2012-01-01",
        "2012-01-22",
        "2012-01-23",
        "2012-01-24",
        "2012-04-04",
        "2012-05-01",
        "2012-06-23",
        "2012-09-30",
        "2012-10-01",
        "2012-10-02",
        "2012-10-03",
        "2013-01-01",
        "2013-02-09",
        "2013-02-10",
        "2013-02-11",
        "2013-04-04",
        "2013-05-01",
        "2013-06-12",
        "2013-09-19",
        "2013-10-01",
        "2013-10-02",
        "2013-10-03",
        "2014-01-01",
        "2014-01-31",
        "2014-02-01",
        "2014-02-02",
        "2014-04-05",
        "2014-05-01",
        "2014-06-02",
        "2014-09-08",
        "2014-10-01",
        "2014-10-02",
        "2014-10-03",
        "2015-01-01",
        "2015-02-19",
        "2015-02-20",
        "2015-02-21",
        "2015-04-05",
        "2015-05-01",
        "2015-06-20",
        "2015-09-27",
        "2015-10-01",
        "2015-10-02",
        "2015-10-03",
        "2016-01-01",
        "2016-02-08",
        "2016-02-09",
        "2016-02-10",
        "2016-04-04",
        "2016-05-01",
        "2016-06-09",
        "2016-09-15",
        "2016-10-01",
        "2016-10-02",
        "2016-10-03",
        "2017-01-01",
        "2017-01-28",
        "2017-01-29",
        "2017-01-30",
        "2017-04-04",
        "2017-05-01",
        "2017-05-30",
        "2017-10-01",
        "2017-10-02",
        "2017-10-03",
        "2017-10-04",
        "2018-01-01",
        "2018-02-16",
        "2018-02-17",
        "2018-02-18",
        "2018-04-05",
        "2018-05-01",
        "2018-06-18",
        "2018-09-24",
        "2018-10-01",
        "2018-10-02",
        "2018-10-03",
        "2019-01-01",
        "2019-02-05",
        "2019-02-06",
        "2019-02-07",
        "2019-04-05",
        "2019-05-01",
        "2019-06-07",
        "2019-09-13",
        "2019-10-01",
        "2019-10-02",
        "2019-10-03",
        "2020-01-01",
        "2020-01-25",
        "2020-01-26",
        "2020-01-27",
        "2020-04-04",
        "2020-05-01",
        "2020-06-25",
        "2020-10-01",
        "2020-10-02",
        "2020-10-03",
        "2021-01-01",
        "2021-02-12",
        "2021-02-13",
        "2021-02-14",
        "2021-04-04",
        "2021-05-01",
        "2021-06-14",
        "2021-09-21",
        "2021-10-01",
        "2021-10-02",
        "2021-10-03",
        "2022-01-01",
        "2022-02-01",
        "2022-02-02",
        "2022-02-03",
        "2022-04-05",
        "2022-05-01",
        "2022-06-03",
        "2022-09-10",
        "2022-10-01",
        "2022-10-02",
        "2022-10-03",
        "2023-01-01",
        "2023-01-22",
        "2023-01-23",
        "2023-01-24",
        "2023-04-05",
        "2023-05-01",
        "2023-06-22",
        "2023-09-29",
        "2023-10-01",
        "2023-10-02",
        "2023-10-03",
        "2024-01-01",
        "2024-02-10",
        "2024-02-11",
        "2024-02-12",
        "2024-04-04",
        "2024-05-01",
        "2024-06-10",
        "2024-09-17",
        "2024-10-01",
        "2024-10-02",
        "2024-10-03",
        "2025-01-01",
        "2025-01-29",
        "2025-01-30",
        "2025-01-31",
        "2025-04-04",
        "2025-05-01",
        "2025-05-31",
        "2025-10-01",
        "2025-10-02",
        "2025-10-03",
        "2025-10-06",
        "2026-01-01",
        "2026-02-17",
        "2026-02-18",
        "2026-02-19",
        "2026-04-05",
        "2026-05-01",
        "2026-06-19",
        "2026-09-25",
        "2026-10-01",
        "2026-10-02",
        "2026-10-03",
        "2027-01-01",
        "2027-02-06",
        "2027-02-07",
        "2027-02-08",
        "2027-04-05",
        "2027-05-01",
        "2027-06-09",
        "2027-09-15",
        "2027-10-01",
        "2027-10-02",
        "2027-10-03",
        "2028-01-01",
        "2028-01-26",
        "2028-01-27",
        "2028-01-28",
        "2028-04-04",
        "2028-05-01",
        "2028-05-28",
        "2028-10-01",
        "2028-10-02",
        "2028-10-03",
        "2029-01-01",
        "2029-02-13",
        "2029-02-14",
        "2029-02-15",
        "2029-04-04",
        "2029-05-01",
        "2029-06-16",
        "2029-09-22",
        "2029-10-01",
        "2029-10-02",
        "2029-10-03",
        "2030-01-01",
        "2030-02-03",
        "2030-02-04",
        "2030-02-05",
        "2030-04-05",
        "2030-05-01",
        "2030-06-05",
        "2030-09-12",
        "2030-10-01",
        "2030-10-02",
        "2030-10-03",
        "2031-01-01",
        "2031-01-23",
        "2031-01-24",
        "2031-01-25",
        "2031-04-05",
        "2031-05-01",
        "2031-06-24",
        "2031-10-01",
        "2031-10-02",
        "2031-10-03",
        "2032-01-01",
        "2032-02-11",
        "2032-02-12",
        "2032-02-13",
        "2032-04-04",
        "2032-05-01",
        "2032-06-12",
        "2032-09-19",
        "2032-10-01",
        "2032-10-02",
        "2032-10-03",
        "2033-01-01",
        "2033-01-31",
        "2033-02-01",
        "2033-02-02",
        "2033-04-04",
        "2033-05-01",
        "2033-06-01",
        "2033-09-08",
        "2033-10-01",
        "2033-10-02",
        "2033-10-03",
        "2034-01-01",
        "2034-02-19",
        "2034-02-20",
        "2034-02-21",
        "2034-04-05",
        "2034-05-01",
        "2034-06-20",
        "2034-09-27",
        "2034-10-01",
        "2034-10-02",
        "2034-10-03",
        "2035-01-01",
        "2035-02-08",
        "2035-02-09",
        "2035-02-10",
        "2035-04-05",
        "2035-05-01",
        "2035-06-10",
        "2035-09-16",
        "2035-10-01",
        "2035-10-02",
        "2035-10-03",
        "2036-01-01",
        "2036-01-28",
        "2036-01-29",
        "2036-01-30",
        "2036-04-04",
        "2036-05-01",
        "2036-05-30",
        "2036-10-01",
        "2036-10-02",
        "2036-10-03",
        "2036-10-04",
        "2037-01-01",
        "2037-02-15",
        "2037-02-16",
        "2037-02-17",
        "2037-04-04",
        "2037-05-01",
        "2037-06-18",
        "2037-09-24",
        "2037-10-01",
        "2037-10-02",
        "2037-10-03",
        "2038-01-01",
        "2038-02-04",
        "2038-02-05",
        "2038-02-06",
        "2038-04-05",
        "2038-05-01",
        "2038-06-07",
        "2038-09-13",
        "2038-10-01",
        "2038-10-02",
        "2038-10-03",
        "2039-01-01",
        "2039-01-24",
        "2039-01-25",
        "2039-01-26",
        "2039-04-05",
        "2039-05-01",
        "2039-05-27",
        "2039-10-01",
        "2039-10-02",
        "2039-10-03",
        "2040-01-01",
        "2040-02-12",
        "2040-02-13",
        "2040-02-14",
        "2040-04-04",
        "2040-05-01",
        "2040-06-14",
        "2040-09-20",
        "2040-10-01",
        "2040-10-02",
        "2040-10-03",
        "2041-01-01",
        "2041-02-01",
        "2041-02-02",
        "2041-02-03",
        "2041-04-04",
        "2041-05-01",
        "2041-06-03",
        "2041-09-10",
        "2041-10-01",
        "2041-10-02",
        "2041-10-03",
        "2042-01-01",
        "2042-01-22",
        "2042-01-23",
        "2042-01-24",
        "2042-04-05",
        "2042-05-01",
        "2042-06-22",
        "2042-09-28",
        "2042-10-01",
        "2042-10-02",
        "2042-10-03",
        "2043-01-01",
        "2043-02-10",
        "2043-02-11",
        "2043-02-12",
        "2043-04-05",
        "2043-05-01",
        "2043-06-11",
        "2043-09-17",
        "2043-10-01",
        "2043-10-02",
        "2043-10-03",
        "2044-01-01",
        "2044-01-30",
        "2044-01-31",
        "2044-02-01",
        "2044-04-04",
        "2044-05-01",
        "2044-05-31",
        "2044-10-01",
        "2044-10-02",
        "2044-10-03",
        "2044-10-05",
        "2045-01-01",
        "2045-02-17",
        "2045-02-18",
        "2045-02-19",
        "2045-04-04",
        "2045-05-01",
        "2045-06-19",
        "2045-09-25",
        "2045-10-01",
        "2045-10-02",
        "2045-10-03",
        "2046-01-01",
        "2046-02-06",
        "2046-02-07",
        "2046-02-08",
        "2046-04-05",
        "2046-05-01",
        "2046-06-08",
        "2046-09-15",
        "2046-10-01",
        "2046-10-02",
        "2046-10-03",
        "2047-01-01",
        "2047-01-26",
        "2047-01-27",
        "2047-01-28",
        "2047-04-05",
        "2047-05-01",
        "2047-05-29",
        "2047-10-01",
        "2047-10-02",
        "2047-10-03",
        "2047-10-04",
        "2048-01-01",
        "2048-02-14",
        "2048-02-15",
        "2048-02-16",
        "2048-04-04",
        "2048-05-01",
        "2048-06-15",
        "2048-09-22",
        "2048-10-01",
        "2048-10-02",
        "2048-10-03",
        "2049-01-01",
        "2049-02-02",
        "2049-02-03",
        "2049-02-04",
        "2049-04-04",
        "2049-05-01",
        "2049-06-04",
        "2049-09-11",
        "2049-10-01",
        "2049-10-02",
        "2049-10-03",
    ]


def __getholidaysIndia__():
    return [
        "2000-01-08",
        "2000-01-09",
        "2000-01-14",
        "2000-01-26",
        "2000-03-16",
        "2000-03-17",
        "2000-04-15",
        "2000-04-16",
        "2000-04-21",
        "2000-04-23",
        "2000-05-01",
        "2000-06-11",
        "2000-06-14",
        "2000-08-15",
        "2000-10-02",
        "2000-12-25",
        "2000-12-27",
        "2000-12-28",
        "2001-01-14",
        "2001-01-26",
        "2001-03-05",
        "2001-03-06",
        "2001-03-10",
        "2001-04-04",
        "2001-04-08",
        "2001-04-13",
        "2001-04-15",
        "2001-05-01",
        "2001-06-03",
        "2001-06-04",
        "2001-08-15",
        "2001-10-02",
        "2001-11-14",
        "2001-12-16",
        "2001-12-17",
        "2001-12-25",
        "2002-01-14",
        "2002-01-26",
        "2002-02-22",
        "2002-02-23",
        "2002-03-24",
        "2002-03-29",
        "2002-03-31",
        "2002-05-01",
        "2002-05-19",
        "2002-05-24",
        "2002-08-15",
        "2002-10-02",
        "2002-11-04",
        "2002-12-05",
        "2002-12-06",
        "2002-12-25",
        "2003-01-14",
        "2003-01-26",
        "2003-02-11",
        "2003-02-12",
        "2003-03-13",
        "2003-03-18",
        "2003-04-13",
        "2003-04-18",
        "2003-04-20",
        "2003-05-01",
        "2003-05-13",
        "2003-06-08",
        "2003-08-15",
        "2003-10-02",
        "2003-10-25",
        "2003-11-25",
        "2003-11-26",
        "2003-12-25",
        "2004-01-14",
        "2004-01-26",
        "2004-02-01",
        "2004-02-02",
        "2004-03-01",
        "2004-03-07",
        "2004-04-04",
        "2004-04-09",
        "2004-04-11",
        "2004-05-01",
        "2004-05-30",
        "2004-08-15",
        "2004-10-02",
        "2004-11-12",
        "2004-11-14",
        "2004-11-15",
        "2004-12-25",
        "2005-01-14",
        "2005-01-21",
        "2005-01-22",
        "2005-01-26",
        "2005-02-19",
        "2005-03-20",
        "2005-03-25",
        "2005-03-26",
        "2005-03-27",
        "2005-04-21",
        "2005-05-01",
        "2005-05-15",
        "2005-08-15",
        "2005-10-02",
        "2005-11-01",
        "2005-11-03",
        "2005-11-04",
        "2005-12-25",
        "2006-01-10",
        "2006-01-11",
        "2006-01-14",
        "2006-01-26",
        "2006-02-09",
        "2006-03-15",
        "2006-04-09",
        "2006-04-10",
        "2006-04-14",
        "2006-04-16",
        "2006-05-01",
        "2006-06-04",
        "2006-08-15",
        "2006-10-02",
        "2006-10-21",
        "2006-10-23",
        "2006-10-24",
        "2006-12-25",
        "2006-12-31",
        "2007-01-01",
        "2007-01-14",
        "2007-01-26",
        "2007-01-29",
        "2007-03-04",
        "2007-03-31",
        "2007-04-01",
        "2007-04-06",
        "2007-04-08",
        "2007-05-01",
        "2007-05-27",
        "2007-08-15",
        "2007-10-02",
        "2007-10-13",
        "2007-10-14",
        "2007-11-09",
        "2007-12-20",
        "2007-12-21",
        "2007-12-25",
        "2008-01-14",
        "2008-01-19",
        "2008-01-26",
        "2008-03-16",
        "2008-03-20",
        "2008-03-21",
        "2008-03-22",
        "2008-03-23",
        "2008-05-01",
        "2008-05-11",
        "2008-08-15",
        "2008-10-01",
        "2008-10-02",
        "2008-10-28",
        "2008-12-08",
        "2008-12-09",
        "2008-12-25",
        "2009-01-07",
        "2009-01-14",
        "2009-01-26",
        "2009-03-09",
        "2009-03-11",
        "2009-04-05",
        "2009-04-10",
        "2009-04-12",
        "2009-05-01",
        "2009-05-31",
        "2009-08-15",
        "2009-09-20",
        "2009-09-21",
        "2009-10-02",
        "2009-10-17",
        "2009-11-27",
        "2009-11-28",
        "2009-12-25",
        "2009-12-27",
        "2010-01-14",
        "2010-01-26",
        "2010-02-26",
        "2010-03-01",
        "2010-03-28",
        "2010-04-02",
        "2010-04-04",
        "2010-05-01",
        "2010-05-23",
        "2010-08-15",
        "2010-09-10",
        "2010-09-11",
        "2010-10-02",
        "2010-11-05",
        "2010-11-16",
        "2010-11-17",
        "2010-12-16",
        "2010-12-25",
        "2011-01-14",
        "2011-01-26",
        "2011-02-15",
        "2011-03-20",
        "2011-04-17",
        "2011-04-22",
        "2011-04-24",
        "2011-05-01",
        "2011-06-12",
        "2011-08-15",
        "2011-08-30",
        "2011-08-31",
        "2011-10-02",
        "2011-10-26",
        "2011-11-06",
        "2011-11-07",
        "2011-12-05",
        "2011-12-25",
        "2012-01-14",
        "2012-01-26",
        "2012-02-04",
        "2012-03-08",
        "2012-04-01",
        "2012-04-06",
        "2012-04-08",
        "2012-05-01",
        "2012-05-27",
        "2012-08-15",
        "2012-08-19",
        "2012-08-20",
        "2012-10-02",
        "2012-10-26",
        "2012-10-27",
        "2012-11-13",
        "2012-11-24",
        "2012-12-25",
        "2013-01-14",
        "2013-01-24",
        "2013-01-26",
        "2013-03-24",
        "2013-03-27",
        "2013-03-29",
        "2013-03-31",
        "2013-05-01",
        "2013-05-19",
        "2013-08-08",
        "2013-08-09",
        "2013-08-15",
        "2013-10-02",
        "2013-10-15",
        "2013-10-16",
        "2013-11-03",
        "2013-11-13",
        "2013-12-25",
        "2014-01-13",
        "2014-01-14",
        "2014-01-26",
        "2014-03-17",
        "2014-04-13",
        "2014-04-18",
        "2014-04-20",
        "2014-05-01",
        "2014-06-08",
        "2014-07-28",
        "2014-07-29",
        "2014-08-15",
        "2014-10-02",
        "2014-10-04",
        "2014-10-05",
        "2014-10-23",
        "2014-11-03",
        "2014-12-25",
        "2015-01-03",
        "2015-01-14",
        "2015-01-26",
        "2015-03-06",
        "2015-03-29",
        "2015-04-03",
        "2015-04-05",
        "2015-05-01",
        "2015-05-24",
        "2015-07-17",
        "2015-07-18",
        "2015-08-15",
        "2015-09-23",
        "2015-09-24",
        "2015-10-02",
        "2015-10-23",
        "2015-11-11",
        "2015-12-23",
        "2015-12-25",
        "2016-01-14",
        "2016-01-26",
        "2016-03-20",
        "2016-03-24",
        "2016-03-25",
        "2016-03-27",
        "2016-05-01",
        "2016-05-15",
        "2016-07-06",
        "2016-07-07",
        "2016-08-15",
        "2016-09-11",
        "2016-09-12",
        "2016-10-02",
        "2016-10-11",
        "2016-10-30",
        "2016-12-11",
        "2016-12-25",
        "2017-01-14",
        "2017-01-26",
        "2017-03-13",
        "2017-04-09",
        "2017-04-14",
        "2017-04-16",
        "2017-05-01",
        "2017-06-04",
        "2017-06-25",
        "2017-06-26",
        "2017-08-15",
        "2017-09-01",
        "2017-09-02",
        "2017-09-30",
        "2017-10-02",
        "2017-10-19",
        "2017-11-30",
        "2017-12-25",
        "2018-01-14",
        "2018-01-26",
        "2018-03-02",
        "2018-03-25",
        "2018-03-30",
        "2018-04-01",
        "2018-05-01",
        "2018-05-20",
        "2018-06-15",
        "2018-06-16",
        "2018-08-15",
        "2018-08-21",
        "2018-08-22",
        "2018-09-20",
        "2018-10-02",
        "2018-11-07",
        "2018-11-20",
        "2018-12-25",
        "2019-01-14",
        "2019-01-26",
        "2019-03-21",
        "2019-04-14",
        "2019-04-19",
        "2019-04-21",
        "2019-05-01",
        "2019-06-04",
        "2019-06-05",
        "2019-06-09",
        "2019-08-11",
        "2019-08-12",
        "2019-08-15",
        "2019-09-09",
        "2019-10-02",
        "2019-10-27",
        "2019-11-09",
        "2019-12-25",
        "2020-01-14",
        "2020-01-26",
        "2020-03-10",
        "2020-04-05",
        "2020-04-10",
        "2020-04-12",
        "2020-05-01",
        "2020-05-24",
        "2020-05-25",
        "2020-05-31",
        "2020-07-31",
        "2020-08-01",
        "2020-08-15",
        "2020-08-29",
        "2020-10-02",
        "2020-10-29",
        "2020-11-14",
        "2020-12-25",
        "2021-01-14",
        "2021-01-26",
        "2021-03-28",
        "2021-03-29",
        "2021-04-02",
        "2021-04-04",
        "2021-05-01",
        "2021-05-13",
        "2021-05-14",
        "2021-05-23",
        "2021-07-20",
        "2021-07-21",
        "2021-08-15",
        "2021-08-18",
        "2021-10-02",
        "2021-10-18",
        "2021-11-04",
        "2021-12-25",
        "2022-01-14",
        "2022-01-26",
        "2022-03-18",
        "2022-04-10",
        "2022-04-15",
        "2022-04-17",
        "2022-05-01",
        "2022-05-02",
        "2022-05-03",
        "2022-06-05",
        "2022-07-09",
        "2022-07-10",
        "2022-08-08",
        "2022-08-15",
        "2022-10-02",
        "2022-10-08",
        "2022-10-24",
        "2022-12-25",
        "2023-01-14",
        "2023-01-26",
        "2023-03-08",
        "2023-04-02",
        "2023-04-07",
        "2023-04-09",
        "2023-04-21",
        "2023-04-22",
        "2023-05-01",
        "2023-05-28",
        "2023-06-28",
        "2023-06-29",
        "2023-07-28",
        "2023-08-15",
        "2023-09-27",
        "2023-10-02",
        "2023-11-12",
        "2023-12-25",
        "2024-01-14",
        "2024-01-26",
        "2024-03-24",
        "2024-03-25",
        "2024-03-29",
        "2024-03-31",
        "2024-04-10",
        "2024-04-11",
        "2024-05-01",
        "2024-05-19",
        "2024-06-16",
        "2024-06-17",
        "2024-07-16",
        "2024-08-15",
        "2024-09-15",
        "2024-10-02",
        "2024-11-01",
        "2024-12-25",
        "2025-01-14",
        "2025-01-26",
        "2025-03-14",
        "2025-03-30",
        "2025-03-31",
        "2025-04-13",
        "2025-04-18",
        "2025-04-20",
        "2025-05-01",
        "2025-06-06",
        "2025-06-07",
        "2025-06-08",
        "2025-07-05",
        "2025-08-15",
        "2025-09-04",
        "2025-10-02",
        "2025-10-20",
        "2025-12-25",
        "2026-01-14",
        "2026-01-26",
        "2026-03-04",
        "2026-03-20",
        "2026-03-21",
        "2026-03-29",
        "2026-04-03",
        "2026-04-05",
        "2026-05-01",
        "2026-05-24",
        "2026-05-27",
        "2026-05-28",
        "2026-06-25",
        "2026-08-15",
        "2026-08-25",
        "2026-10-02",
        "2026-11-08",
        "2026-12-25",
        "2027-01-14",
        "2027-01-26",
        "2027-03-09",
        "2027-03-10",
        "2027-03-21",
        "2027-03-22",
        "2027-03-26",
        "2027-03-28",
        "2027-05-01",
        "2027-05-16",
        "2027-05-17",
        "2027-06-15",
        "2027-08-14",
        "2027-08-15",
        "2027-10-02",
        "2027-10-29",
        "2027-12-25",
        "2028-01-14",
        "2028-01-26",
        "2028-02-26",
        "2028-02-27",
        "2028-03-11",
        "2028-04-09",
        "2028-04-14",
        "2028-04-16",
        "2028-05-01",
        "2028-05-05",
        "2028-05-06",
        "2028-06-03",
        "2028-06-04",
        "2028-08-03",
        "2028-08-15",
        "2028-10-02",
        "2028-10-17",
        "2028-12-25",
        "2029-01-14",
        "2029-01-26",
        "2029-02-14",
        "2029-02-15",
        "2029-03-01",
        "2029-03-25",
        "2029-03-30",
        "2029-04-01",
        "2029-04-24",
        "2029-04-25",
        "2029-05-01",
        "2029-05-20",
        "2029-05-23",
        "2029-07-24",
        "2029-08-15",
        "2029-10-02",
        "2029-11-05",
        "2029-12-25",
        "2030-01-14",
        "2030-01-26",
        "2030-02-04",
        "2030-02-05",
        "2030-03-20",
        "2030-04-13",
        "2030-04-14",
        "2030-04-19",
        "2030-04-21",
        "2030-05-01",
        "2030-05-12",
        "2030-06-09",
        "2030-07-13",
        "2030-08-15",
        "2030-10-02",
        "2030-10-26",
        "2030-12-25",
        "2031-01-14",
        "2031-01-24",
        "2031-01-25",
        "2031-01-26",
        "2031-04-02",
        "2031-04-03",
        "2031-04-06",
        "2031-04-11",
        "2031-04-13",
        "2031-05-01",
        "2031-05-02",
        "2031-06-01",
        "2031-07-02",
        "2031-08-15",
        "2031-10-02",
        "2031-12-25",
        "2032-01-14",
        "2032-01-15",
        "2032-01-26",
        "2032-03-21",
        "2032-03-22",
        "2032-03-23",
        "2032-03-26",
        "2032-03-28",
        "2032-04-20",
        "2032-05-01",
        "2032-05-16",
        "2032-06-20",
        "2032-08-15",
        "2032-10-02",
        "2032-12-25",
        "2033-01-02",
        "2033-01-03",
        "2033-01-14",
        "2033-01-26",
        "2033-03-11",
        "2033-03-12",
        "2033-04-10",
        "2033-04-15",
        "2033-04-17",
        "2033-05-01",
        "2033-06-05",
        "2033-06-09",
        "2033-08-15",
        "2033-10-02",
        "2033-12-23",
        "2033-12-24",
        "2033-12-25",
        "2034-01-14",
        "2034-01-26",
        "2034-03-01",
        "2034-03-02",
        "2034-03-30",
        "2034-04-02",
        "2034-04-07",
        "2034-04-09",
        "2034-05-01",
        "2034-05-28",
        "2034-05-30",
        "2034-08-15",
        "2034-10-02",
        "2034-12-12",
        "2034-12-13",
        "2034-12-25",
        "2035-01-14",
        "2035-01-26",
        "2035-02-18",
        "2035-02-19",
        "2035-03-18",
        "2035-03-20",
        "2035-03-23",
        "2035-03-25",
        "2035-05-01",
        "2035-05-13",
        "2035-05-20",
        "2035-08-15",
        "2035-10-02",
        "2035-12-01",
        "2035-12-02",
        "2035-12-25",
        "2036-01-14",
        "2036-01-26",
        "2036-02-07",
        "2036-02-08",
        "2036-03-08",
        "2036-04-06",
        "2036-04-11",
        "2036-04-13",
        "2036-05-01",
        "2036-05-08",
        "2036-06-01",
        "2036-08-15",
        "2036-10-02",
        "2036-11-19",
        "2036-11-20",
        "2036-12-25",
        "2037-01-14",
        "2037-01-26",
        "2037-01-27",
        "2037-02-25",
        "2037-03-29",
        "2037-04-03",
        "2037-04-05",
        "2037-04-28",
        "2037-05-01",
        "2037-05-24",
        "2037-08-15",
        "2037-10-02",
        "2037-11-08",
        "2037-11-09",
        "2037-12-25",
        "2038-01-14",
        "2038-01-16",
        "2038-01-17",
        "2038-01-26",
        "2038-02-14",
        "2038-04-17",
        "2038-04-18",
        "2038-04-23",
        "2038-04-25",
        "2038-05-01",
        "2038-06-13",
        "2038-08-15",
        "2038-10-02",
        "2038-10-29",
        "2038-10-30",
        "2038-12-25",
        "2039-01-05",
        "2039-01-06",
        "2039-01-14",
        "2039-01-26",
        "2039-02-04",
        "2039-04-03",
        "2039-04-06",
        "2039-04-08",
        "2039-04-10",
        "2039-05-01",
        "2039-05-29",
        "2039-08-15",
        "2039-10-02",
        "2039-10-19",
        "2039-10-20",
        "2039-12-25",
        "2039-12-26",
        "2039-12-27",
        "2040-01-14",
        "2040-01-24",
        "2040-01-26",
        "2040-03-25",
        "2040-03-30",
        "2040-04-01",
        "2040-05-01",
        "2040-05-20",
        "2040-08-15",
        "2040-10-02",
        "2040-10-07",
        "2040-10-08",
        "2040-12-14",
        "2040-12-15",
        "2040-12-25",
        "2041-01-13",
        "2041-01-14",
        "2041-01-26",
        "2041-03-15",
        "2041-04-14",
        "2041-04-19",
        "2041-04-21",
        "2041-05-01",
        "2041-06-09",
        "2041-08-15",
        "2041-09-26",
        "2041-09-27",
        "2041-10-02",
        "2041-12-04",
        "2041-12-05",
        "2041-12-25",
        "2042-01-02",
        "2042-01-14",
        "2042-01-26",
        "2042-03-04",
        "2042-03-30",
        "2042-04-04",
        "2042-04-06",
        "2042-05-01",
        "2042-05-25",
        "2042-08-15",
        "2042-09-15",
        "2042-09-16",
        "2042-10-02",
        "2042-11-23",
        "2042-11-24",
        "2042-12-23",
        "2042-12-25",
        "2043-01-14",
        "2043-01-26",
        "2043-02-22",
        "2043-03-22",
        "2043-03-27",
        "2043-03-29",
        "2043-05-01",
        "2043-05-17",
        "2043-08-15",
        "2043-09-04",
        "2043-09-05",
        "2043-10-02",
        "2043-11-12",
        "2043-11-13",
        "2043-12-12",
        "2043-12-25",
        "2044-01-14",
        "2044-01-26",
        "2044-02-11",
        "2044-04-10",
        "2044-04-15",
        "2044-04-17",
        "2044-05-01",
        "2044-06-05",
        "2044-08-15",
        "2044-08-24",
        "2044-08-25",
        "2044-10-02",
        "2044-10-31",
        "2044-11-01",
        "2044-11-30",
        "2044-12-25",
        "2045-01-14",
        "2045-01-26",
        "2045-01-30",
        "2045-04-02",
        "2045-04-07",
        "2045-04-09",
        "2045-05-01",
        "2045-05-28",
        "2045-08-14",
        "2045-08-15",
        "2045-10-02",
        "2045-10-21",
        "2045-10-22",
        "2045-11-19",
        "2045-12-25",
        "2046-01-14",
        "2046-01-19",
        "2046-01-26",
        "2046-03-18",
        "2046-03-23",
        "2046-03-25",
        "2046-05-01",
        "2046-05-13",
        "2046-08-03",
        "2046-08-04",
        "2046-08-15",
        "2046-10-02",
        "2046-10-10",
        "2046-10-11",
        "2046-11-09",
        "2046-12-25",
        "2047-01-08",
        "2047-01-14",
        "2047-01-26",
        "2047-04-07",
        "2047-04-12",
        "2047-04-14",
        "2047-05-01",
        "2047-06-02",
        "2047-07-24",
        "2047-07-25",
        "2047-08-15",
        "2047-09-30",
        "2047-10-01",
        "2047-10-02",
        "2047-10-29",
        "2047-12-25",
        "2047-12-29",
        "2048-01-14",
        "2048-01-26",
        "2048-03-29",
        "2048-04-03",
        "2048-04-05",
        "2048-05-01",
        "2048-05-24",
        "2048-07-12",
        "2048-07-13",
        "2048-08-15",
        "2048-09-19",
        "2048-09-20",
        "2048-10-02",
        "2048-10-18",
        "2048-12-18",
        "2048-12-25",
        "2049-01-14",
        "2049-01-26",
        "2049-04-11",
        "2049-04-16",
        "2049-04-18",
        "2049-05-01",
        "2049-06-06",
        "2049-07-01",
        "2049-07-02",
        "2049-08-15",
        "2049-09-08",
        "2049-09-09",
        "2049-10-02",
        "2049-10-07",
        "2049-12-07",
        "2049-12-25",
    ]


def __getholidaysSouthKorea__():
    return [
        "2000-01-01",
        "2000-02-04",
        "2000-02-05",
        "2000-02-06",
        "2000-03-01",
        "2000-04-05",
        "2000-05-01",
        "2000-05-05",
        "2000-05-11",
        "2000-06-06",
        "2000-07-17",
        "2000-08-15",
        "2000-09-11",
        "2000-09-12",
        "2000-09-13",
        "2000-10-03",
        "2000-12-25",
        "2001-01-01",
        "2001-01-23",
        "2001-01-24",
        "2001-01-25",
        "2001-03-01",
        "2001-04-05",
        "2001-05-01",
        "2001-05-05",
        "2001-06-06",
        "2001-07-17",
        "2001-08-15",
        "2001-09-30",
        "2001-10-01",
        "2001-10-02",
        "2001-10-03",
        "2001-12-25",
        "2002-01-01",
        "2002-02-11",
        "2002-02-12",
        "2002-02-13",
        "2002-03-01",
        "2002-04-05",
        "2002-05-01",
        "2002-05-05",
        "2002-05-19",
        "2002-06-06",
        "2002-07-17",
        "2002-08-15",
        "2002-09-20",
        "2002-09-21",
        "2002-09-22",
        "2002-10-03",
        "2002-12-25",
        "2003-01-01",
        "2003-01-31",
        "2003-02-01",
        "2003-02-02",
        "2003-03-01",
        "2003-04-05",
        "2003-05-01",
        "2003-05-05",
        "2003-05-08",
        "2003-06-06",
        "2003-07-17",
        "2003-08-15",
        "2003-09-10",
        "2003-09-11",
        "2003-09-12",
        "2003-10-03",
        "2003-12-25",
        "2004-01-01",
        "2004-01-21",
        "2004-01-22",
        "2004-01-23",
        "2004-03-01",
        "2004-04-05",
        "2004-05-01",
        "2004-05-05",
        "2004-05-26",
        "2004-06-06",
        "2004-07-17",
        "2004-08-15",
        "2004-09-27",
        "2004-09-28",
        "2004-09-29",
        "2004-10-03",
        "2004-12-25",
        "2005-01-01",
        "2005-02-08",
        "2005-02-09",
        "2005-02-10",
        "2005-03-01",
        "2005-04-05",
        "2005-05-01",
        "2005-05-05",
        "2005-05-15",
        "2005-06-06",
        "2005-07-17",
        "2005-08-15",
        "2005-09-17",
        "2005-09-18",
        "2005-09-19",
        "2005-10-03",
        "2005-12-25",
        "2006-01-01",
        "2006-01-28",
        "2006-01-29",
        "2006-01-30",
        "2006-03-01",
        "2006-05-01",
        "2006-05-05",
        "2006-06-06",
        "2006-07-17",
        "2006-08-15",
        "2006-10-03",
        "2006-10-05",
        "2006-10-06",
        "2006-10-07",
        "2006-12-25",
        "2007-01-01",
        "2007-02-17",
        "2007-02-18",
        "2007-02-19",
        "2007-03-01",
        "2007-05-01",
        "2007-05-05",
        "2007-05-24",
        "2007-06-06",
        "2007-07-17",
        "2007-08-15",
        "2007-09-24",
        "2007-09-25",
        "2007-09-26",
        "2007-10-03",
        "2007-12-25",
        "2008-01-01",
        "2008-02-06",
        "2008-02-07",
        "2008-02-08",
        "2008-03-01",
        "2008-05-01",
        "2008-05-05",
        "2008-05-12",
        "2008-06-06",
        "2008-08-15",
        "2008-09-13",
        "2008-09-14",
        "2008-09-15",
        "2008-10-03",
        "2008-12-25",
        "2009-01-01",
        "2009-01-25",
        "2009-01-26",
        "2009-01-27",
        "2009-03-01",
        "2009-05-01",
        "2009-05-02",
        "2009-05-05",
        "2009-06-06",
        "2009-08-15",
        "2009-10-02",
        "2009-10-03",
        "2009-10-04",
        "2009-12-25",
        "2010-01-01",
        "2010-02-13",
        "2010-02-14",
        "2010-02-15",
        "2010-03-01",
        "2010-05-01",
        "2010-05-05",
        "2010-05-21",
        "2010-06-06",
        "2010-08-15",
        "2010-09-21",
        "2010-09-22",
        "2010-09-23",
        "2010-10-03",
        "2010-12-25",
        "2011-01-01",
        "2011-02-02",
        "2011-02-03",
        "2011-02-04",
        "2011-03-01",
        "2011-05-01",
        "2011-05-05",
        "2011-05-10",
        "2011-06-06",
        "2011-08-15",
        "2011-09-11",
        "2011-09-12",
        "2011-09-13",
        "2011-10-03",
        "2011-12-25",
        "2012-01-01",
        "2012-01-22",
        "2012-01-23",
        "2012-01-24",
        "2012-03-01",
        "2012-05-01",
        "2012-05-05",
        "2012-05-28",
        "2012-06-06",
        "2012-08-15",
        "2012-09-29",
        "2012-09-30",
        "2012-10-01",
        "2012-10-03",
        "2012-12-25",
        "2013-01-01",
        "2013-02-09",
        "2013-02-10",
        "2013-02-11",
        "2013-03-01",
        "2013-05-01",
        "2013-05-05",
        "2013-05-17",
        "2013-06-06",
        "2013-08-15",
        "2013-09-18",
        "2013-09-19",
        "2013-09-20",
        "2013-10-03",
        "2013-10-09",
        "2013-12-25",
        "2014-01-01",
        "2014-01-30",
        "2014-01-31",
        "2014-02-01",
        "2014-03-01",
        "2014-05-01",
        "2014-05-05",
        "2014-05-06",
        "2014-06-06",
        "2014-08-15",
        "2014-09-07",
        "2014-09-08",
        "2014-09-09",
        "2014-09-10",
        "2014-10-03",
        "2014-10-09",
        "2014-12-25",
        "2015-01-01",
        "2015-02-18",
        "2015-02-19",
        "2015-02-20",
        "2015-03-01",
        "2015-05-01",
        "2015-05-05",
        "2015-05-25",
        "2015-06-06",
        "2015-08-15",
        "2015-09-26",
        "2015-09-27",
        "2015-09-28",
        "2015-09-29",
        "2015-10-03",
        "2015-10-09",
        "2015-12-25",
        "2016-01-01",
        "2016-02-07",
        "2016-02-08",
        "2016-02-09",
        "2016-02-10",
        "2016-03-01",
        "2016-05-01",
        "2016-05-05",
        "2016-05-14",
        "2016-06-06",
        "2016-08-15",
        "2016-09-14",
        "2016-09-15",
        "2016-09-16",
        "2016-10-03",
        "2016-10-09",
        "2016-12-25",
        "2017-01-01",
        "2017-01-27",
        "2017-01-28",
        "2017-01-29",
        "2017-01-30",
        "2017-03-01",
        "2017-05-01",
        "2017-05-03",
        "2017-05-05",
        "2017-06-06",
        "2017-08-15",
        "2017-10-03",
        "2017-10-04",
        "2017-10-05",
        "2017-10-09",
        "2017-12-25",
        "2018-01-01",
        "2018-02-15",
        "2018-02-16",
        "2018-02-17",
        "2018-03-01",
        "2018-05-01",
        "2018-05-05",
        "2018-05-07",
        "2018-05-22",
        "2018-06-06",
        "2018-08-15",
        "2018-09-23",
        "2018-09-24",
        "2018-09-25",
        "2018-09-26",
        "2018-10-03",
        "2018-10-09",
        "2018-12-25",
        "2019-01-01",
        "2019-02-04",
        "2019-02-05",
        "2019-02-06",
        "2019-03-01",
        "2019-05-01",
        "2019-05-05",
        "2019-05-06",
        "2019-05-12",
        "2019-06-06",
        "2019-08-15",
        "2019-09-12",
        "2019-09-13",
        "2019-09-14",
        "2019-10-03",
        "2019-10-09",
        "2019-12-25",
        "2020-01-01",
        "2020-01-24",
        "2020-01-25",
        "2020-01-26",
        "2020-01-27",
        "2020-03-01",
        "2020-04-30",
        "2020-05-01",
        "2020-05-05",
        "2020-06-06",
        "2020-08-15",
        "2020-08-17",
        "2020-09-30",
        "2020-10-01",
        "2020-10-02",
        "2020-10-03",
        "2020-10-09",
        "2020-12-25",
        "2021-01-01",
        "2021-02-11",
        "2021-02-12",
        "2021-02-13",
        "2021-03-01",
        "2021-05-01",
        "2021-05-05",
        "2021-05-19",
        "2021-06-06",
        "2021-08-15",
        "2021-08-16",
        "2021-09-20",
        "2021-09-21",
        "2021-09-22",
        "2021-10-03",
        "2021-10-04",
        "2021-10-09",
        "2021-10-11",
        "2021-12-25",
        "2022-01-01",
        "2022-01-31",
        "2022-02-01",
        "2022-02-02",
        "2022-03-01",
        "2022-05-01",
        "2022-05-05",
        "2022-05-08",
        "2022-06-06",
        "2022-08-15",
        "2022-09-09",
        "2022-09-10",
        "2022-09-11",
        "2022-09-12",
        "2022-10-03",
        "2022-10-09",
        "2022-10-10",
        "2022-12-25",
        "2023-01-01",
        "2023-01-21",
        "2023-01-22",
        "2023-01-23",
        "2023-01-24",
        "2023-03-01",
        "2023-05-01",
        "2023-05-05",
        "2023-05-27",
        "2023-05-29",
        "2023-06-06",
        "2023-08-15",
        "2023-09-28",
        "2023-09-29",
        "2023-09-30",
        "2023-10-03",
        "2023-10-09",
        "2023-12-25",
        "2024-01-01",
        "2024-02-09",
        "2024-02-10",
        "2024-02-11",
        "2024-02-12",
        "2024-03-01",
        "2024-05-01",
        "2024-05-05",
        "2024-05-06",
        "2024-05-15",
        "2024-06-06",
        "2024-08-15",
        "2024-09-16",
        "2024-09-17",
        "2024-09-18",
        "2024-10-03",
        "2024-10-09",
        "2024-12-25",
        "2025-01-01",
        "2025-01-28",
        "2025-01-29",
        "2025-01-30",
        "2025-03-01",
        "2025-03-03",
        "2025-05-01",
        "2025-05-05",
        "2025-05-06",
        "2025-06-06",
        "2025-08-15",
        "2025-10-03",
        "2025-10-05",
        "2025-10-06",
        "2025-10-07",
        "2025-10-08",
        "2025-10-09",
        "2025-12-25",
        "2026-01-01",
        "2026-02-16",
        "2026-02-17",
        "2026-02-18",
        "2026-03-01",
        "2026-03-02",
        "2026-05-01",
        "2026-05-05",
        "2026-05-24",
        "2026-05-25",
        "2026-06-06",
        "2026-08-15",
        "2026-08-17",
        "2026-09-24",
        "2026-09-25",
        "2026-09-26",
        "2026-10-03",
        "2026-10-05",
        "2026-10-09",
        "2026-12-25",
        "2027-01-01",
        "2027-02-06",
        "2027-02-07",
        "2027-02-08",
        "2027-02-09",
        "2027-03-01",
        "2027-05-01",
        "2027-05-05",
        "2027-05-13",
        "2027-06-06",
        "2027-08-15",
        "2027-08-16",
        "2027-09-14",
        "2027-09-15",
        "2027-09-16",
        "2027-10-03",
        "2027-10-04",
        "2027-10-09",
        "2027-10-11",
        "2027-12-25",
        "2027-12-27",
        "2028-01-01",
        "2028-01-26",
        "2028-01-27",
        "2028-01-28",
        "2028-03-01",
        "2028-05-01",
        "2028-05-02",
        "2028-05-05",
        "2028-06-06",
        "2028-08-15",
        "2028-10-02",
        "2028-10-03",
        "2028-10-04",
        "2028-10-05",
        "2028-10-09",
        "2028-12-25",
        "2029-01-01",
        "2029-02-12",
        "2029-02-13",
        "2029-02-14",
        "2029-03-01",
        "2029-05-01",
        "2029-05-05",
        "2029-05-07",
        "2029-05-20",
        "2029-05-21",
        "2029-06-06",
        "2029-08-15",
        "2029-09-21",
        "2029-09-22",
        "2029-09-23",
        "2029-09-24",
        "2029-10-03",
        "2029-10-09",
        "2029-12-25",
        "2030-01-01",
        "2030-02-02",
        "2030-02-03",
        "2030-02-04",
        "2030-02-05",
        "2030-03-01",
        "2030-05-01",
        "2030-05-05",
        "2030-05-06",
        "2030-05-09",
        "2030-06-06",
        "2030-08-15",
        "2030-09-11",
        "2030-09-12",
        "2030-09-13",
        "2030-10-03",
        "2030-10-09",
        "2030-12-25",
        "2031-01-01",
        "2031-01-22",
        "2031-01-23",
        "2031-01-24",
        "2031-03-01",
        "2031-03-03",
        "2031-05-01",
        "2031-05-05",
        "2031-05-28",
        "2031-06-06",
        "2031-08-15",
        "2031-09-30",
        "2031-10-01",
        "2031-10-02",
        "2031-10-03",
        "2031-10-09",
        "2031-12-25",
        "2032-01-01",
        "2032-02-10",
        "2032-02-11",
        "2032-02-12",
        "2032-03-01",
        "2032-05-01",
        "2032-05-05",
        "2032-05-16",
        "2032-05-17",
        "2032-06-06",
        "2032-08-15",
        "2032-08-16",
        "2032-09-18",
        "2032-09-19",
        "2032-09-20",
        "2032-09-21",
        "2032-10-03",
        "2032-10-04",
        "2032-10-09",
        "2032-10-11",
        "2032-12-25",
        "2032-12-27",
        "2033-01-01",
        "2033-01-30",
        "2033-01-31",
        "2033-02-01",
        "2033-02-02",
        "2033-03-01",
        "2033-05-01",
        "2033-05-05",
        "2033-05-06",
        "2033-06-06",
        "2033-08-15",
        "2033-09-07",
        "2033-09-08",
        "2033-09-09",
        "2033-10-03",
        "2033-10-09",
        "2033-10-10",
        "2033-12-25",
        "2033-12-26",
        "2034-01-01",
        "2034-02-18",
        "2034-02-19",
        "2034-02-20",
        "2034-02-21",
        "2034-03-01",
        "2034-05-01",
        "2034-05-05",
        "2034-05-25",
        "2034-06-06",
        "2034-08-15",
        "2034-09-26",
        "2034-09-27",
        "2034-09-28",
        "2034-10-03",
        "2034-10-09",
        "2034-12-25",
        "2035-01-01",
        "2035-02-07",
        "2035-02-08",
        "2035-02-09",
        "2035-03-01",
        "2035-05-01",
        "2035-05-05",
        "2035-05-07",
        "2035-05-15",
        "2035-06-06",
        "2035-08-15",
        "2035-09-15",
        "2035-09-16",
        "2035-09-17",
        "2035-09-18",
        "2035-10-03",
        "2035-10-09",
        "2035-12-25",
        "2036-01-01",
        "2036-01-27",
        "2036-01-28",
        "2036-01-29",
        "2036-01-30",
        "2036-03-01",
        "2036-03-03",
        "2036-05-01",
        "2036-05-03",
        "2036-05-05",
        "2036-05-06",
        "2036-06-06",
        "2036-08-15",
        "2036-10-03",
        "2036-10-04",
        "2036-10-05",
        "2036-10-06",
        "2036-10-07",
        "2036-10-09",
        "2036-12-25",
        "2037-01-01",
        "2037-02-14",
        "2037-02-15",
        "2037-02-16",
        "2037-02-17",
        "2037-03-01",
        "2037-03-02",
        "2037-05-01",
        "2037-05-05",
        "2037-05-22",
        "2037-06-06",
        "2037-08-15",
        "2037-08-17",
        "2037-09-23",
        "2037-09-24",
        "2037-09-25",
        "2037-10-03",
        "2037-10-05",
        "2037-10-09",
        "2037-12-25",
        "2038-01-01",
        "2038-02-03",
        "2038-02-04",
        "2038-02-05",
        "2038-03-01",
        "2038-05-01",
        "2038-05-05",
        "2038-05-11",
        "2038-06-06",
        "2038-08-15",
        "2038-08-16",
        "2038-09-12",
        "2038-09-13",
        "2038-09-14",
        "2038-09-15",
        "2038-10-03",
        "2038-10-04",
        "2038-10-09",
        "2038-10-11",
        "2038-12-25",
        "2038-12-27",
        "2039-01-01",
        "2039-01-23",
        "2039-01-24",
        "2039-01-25",
        "2039-01-26",
        "2039-03-01",
        "2039-04-30",
        "2039-05-01",
        "2039-05-02",
        "2039-05-05",
        "2039-06-06",
        "2039-08-15",
        "2039-10-01",
        "2039-10-02",
        "2039-10-03",
        "2039-10-04",
        "2039-10-05",
        "2039-10-09",
        "2039-10-10",
        "2039-12-25",
        "2039-12-26",
        "2040-01-01",
        "2040-02-11",
        "2040-02-12",
        "2040-02-13",
        "2040-02-14",
        "2040-03-01",
        "2040-05-01",
        "2040-05-05",
        "2040-05-07",
        "2040-05-18",
        "2040-06-06",
        "2040-08-15",
        "2040-09-20",
        "2040-09-21",
        "2040-09-22",
        "2040-10-03",
        "2040-10-09",
        "2040-12-25",
        "2041-01-01",
        "2041-01-31",
        "2041-02-01",
        "2041-02-02",
        "2041-03-01",
        "2041-05-01",
        "2041-05-05",
        "2041-05-06",
        "2041-05-07",
        "2041-06-06",
        "2041-08-15",
        "2041-09-09",
        "2041-09-10",
        "2041-09-11",
        "2041-10-03",
        "2041-10-09",
        "2041-12-25",
        "2042-01-01",
        "2042-01-21",
        "2042-01-22",
        "2042-01-23",
        "2042-03-01",
        "2042-03-03",
        "2042-05-01",
        "2042-05-05",
        "2042-05-26",
        "2042-06-06",
        "2042-08-15",
        "2042-09-27",
        "2042-09-28",
        "2042-09-29",
        "2042-09-30",
        "2042-10-03",
        "2042-10-09",
        "2042-12-25",
        "2043-01-01",
        "2043-02-09",
        "2043-02-10",
        "2043-02-11",
        "2043-03-01",
        "2043-03-02",
        "2043-05-01",
        "2043-05-05",
        "2043-05-16",
        "2043-05-18",
        "2043-06-06",
        "2043-08-15",
        "2043-08-17",
        "2043-09-16",
        "2043-09-17",
        "2043-09-18",
        "2043-10-03",
        "2043-10-05",
        "2043-10-09",
        "2043-12-25",
        "2044-01-01",
        "2044-01-29",
        "2044-01-30",
        "2044-01-31",
        "2044-02-01",
        "2044-03-01",
        "2044-05-01",
        "2044-05-05",
        "2044-05-06",
        "2044-06-06",
        "2044-08-15",
        "2044-10-03",
        "2044-10-04",
        "2044-10-05",
        "2044-10-06",
        "2044-10-09",
        "2044-10-10",
        "2044-12-25",
        "2044-12-26",
        "2045-01-01",
        "2045-02-16",
        "2045-02-17",
        "2045-02-18",
        "2045-03-01",
        "2045-05-01",
        "2045-05-05",
        "2045-05-24",
        "2045-06-06",
        "2045-08-15",
        "2045-09-24",
        "2045-09-25",
        "2045-09-26",
        "2045-09-27",
        "2045-10-03",
        "2045-10-09",
        "2045-12-25",
        "2046-01-01",
        "2046-02-05",
        "2046-02-06",
        "2046-02-07",
        "2046-03-01",
        "2046-05-01",
        "2046-05-05",
        "2046-05-07",
        "2046-05-13",
        "2046-05-14",
        "2046-06-06",
        "2046-08-15",
        "2046-09-14",
        "2046-09-15",
        "2046-09-16",
        "2046-09-17",
        "2046-10-03",
        "2046-10-09",
        "2046-12-25",
        "2047-01-01",
        "2047-01-25",
        "2047-01-26",
        "2047-01-27",
        "2047-01-28",
        "2047-03-01",
        "2047-05-01",
        "2047-05-02",
        "2047-05-05",
        "2047-05-06",
        "2047-06-06",
        "2047-08-15",
        "2047-10-03",
        "2047-10-04",
        "2047-10-05",
        "2047-10-07",
        "2047-10-09",
        "2047-12-25",
        "2048-01-01",
        "2048-02-13",
        "2048-02-14",
        "2048-02-15",
        "2048-03-01",
        "2048-03-02",
        "2048-05-01",
        "2048-05-05",
        "2048-05-20",
        "2048-06-06",
        "2048-08-15",
        "2048-08-17",
        "2048-09-21",
        "2048-09-22",
        "2048-09-23",
        "2048-10-03",
        "2048-10-05",
        "2048-10-09",
        "2048-12-25",
        "2049-01-01",
        "2049-02-01",
        "2049-02-02",
        "2049-02-03",
        "2049-03-01",
        "2049-05-01",
        "2049-05-05",
        "2049-05-09",
        "2049-05-10",
        "2049-06-06",
        "2049-08-15",
        "2049-08-16",
        "2049-09-10",
        "2049-09-11",
        "2049-09-12",
        "2049-09-13",
        "2049-10-03",
        "2049-10-04",
        "2049-10-09",
        "2049-10-11",
        "2049-12-25",
        "2049-12-27",
    ]


def __getholidaysRussia__():
    return [
        "2000-01-01",
        "2000-01-02",
        "2000-01-07",
        "2000-03-08",
        "2000-05-01",
        "2000-05-02",
        "2000-05-09",
        "2000-06-12",
        "2000-11-07",
        "2001-01-01",
        "2001-01-02",
        "2001-01-07",
        "2001-03-08",
        "2001-05-01",
        "2001-05-02",
        "2001-05-09",
        "2001-06-12",
        "2001-11-07",
        "2002-01-01",
        "2002-01-02",
        "2002-01-07",
        "2002-02-23",
        "2002-03-08",
        "2002-05-01",
        "2002-05-02",
        "2002-05-09",
        "2002-06-12",
        "2002-11-07",
        "2003-01-01",
        "2003-01-02",
        "2003-01-07",
        "2003-02-23",
        "2003-03-08",
        "2003-05-01",
        "2003-05-02",
        "2003-05-09",
        "2003-06-12",
        "2003-11-07",
        "2004-01-01",
        "2004-01-02",
        "2004-01-07",
        "2004-02-23",
        "2004-03-08",
        "2004-05-01",
        "2004-05-02",
        "2004-05-09",
        "2004-06-12",
        "2004-11-07",
        "2005-01-01",
        "2005-01-02",
        "2005-01-03",
        "2005-01-04",
        "2005-01-05",
        "2005-01-07",
        "2005-02-23",
        "2005-03-08",
        "2005-05-01",
        "2005-05-09",
        "2005-06-12",
        "2005-11-04",
        "2006-01-01",
        "2006-01-02",
        "2006-01-03",
        "2006-01-04",
        "2006-01-05",
        "2006-01-07",
        "2006-02-23",
        "2006-03-08",
        "2006-05-01",
        "2006-05-09",
        "2006-06-12",
        "2006-11-04",
        "2007-01-01",
        "2007-01-02",
        "2007-01-03",
        "2007-01-04",
        "2007-01-05",
        "2007-01-07",
        "2007-02-23",
        "2007-03-08",
        "2007-05-01",
        "2007-05-09",
        "2007-06-12",
        "2007-11-04",
        "2008-01-01",
        "2008-01-02",
        "2008-01-03",
        "2008-01-04",
        "2008-01-05",
        "2008-01-07",
        "2008-02-23",
        "2008-03-08",
        "2008-05-01",
        "2008-05-09",
        "2008-06-12",
        "2008-11-04",
        "2009-01-01",
        "2009-01-02",
        "2009-01-03",
        "2009-01-04",
        "2009-01-05",
        "2009-01-07",
        "2009-02-23",
        "2009-03-08",
        "2009-05-01",
        "2009-05-09",
        "2009-06-12",
        "2009-11-04",
        "2010-01-01",
        "2010-01-02",
        "2010-01-03",
        "2010-01-04",
        "2010-01-05",
        "2010-01-07",
        "2010-02-23",
        "2010-03-08",
        "2010-05-01",
        "2010-05-09",
        "2010-06-12",
        "2010-11-04",
        "2011-01-01",
        "2011-01-02",
        "2011-01-03",
        "2011-01-04",
        "2011-01-05",
        "2011-01-07",
        "2011-02-23",
        "2011-03-08",
        "2011-05-01",
        "2011-05-09",
        "2011-06-12",
        "2011-11-04",
        "2012-01-01",
        "2012-01-02",
        "2012-01-03",
        "2012-01-04",
        "2012-01-05",
        "2012-01-07",
        "2012-02-23",
        "2012-03-08",
        "2012-05-01",
        "2012-05-09",
        "2012-06-12",
        "2012-11-04",
        "2013-01-01",
        "2013-01-02",
        "2013-01-03",
        "2013-01-04",
        "2013-01-05",
        "2013-01-06",
        "2013-01-07",
        "2013-01-08",
        "2013-02-23",
        "2013-03-08",
        "2013-05-01",
        "2013-05-09",
        "2013-06-12",
        "2013-11-04",
        "2014-01-01",
        "2014-01-02",
        "2014-01-03",
        "2014-01-04",
        "2014-01-05",
        "2014-01-06",
        "2014-01-07",
        "2014-01-08",
        "2014-02-23",
        "2014-03-08",
        "2014-05-01",
        "2014-05-09",
        "2014-06-12",
        "2014-11-04",
        "2015-01-01",
        "2015-01-02",
        "2015-01-03",
        "2015-01-04",
        "2015-01-05",
        "2015-01-06",
        "2015-01-07",
        "2015-01-08",
        "2015-02-23",
        "2015-03-08",
        "2015-05-01",
        "2015-05-09",
        "2015-06-12",
        "2015-11-04",
        "2016-01-01",
        "2016-01-02",
        "2016-01-03",
        "2016-01-04",
        "2016-01-05",
        "2016-01-06",
        "2016-01-07",
        "2016-01-08",
        "2016-02-23",
        "2016-03-08",
        "2016-05-01",
        "2016-05-09",
        "2016-06-12",
        "2016-11-04",
        "2017-01-01",
        "2017-01-02",
        "2017-01-03",
        "2017-01-04",
        "2017-01-05",
        "2017-01-06",
        "2017-01-07",
        "2017-01-08",
        "2017-02-23",
        "2017-03-08",
        "2017-05-01",
        "2017-05-09",
        "2017-06-12",
        "2017-11-04",
        "2018-01-01",
        "2018-01-02",
        "2018-01-03",
        "2018-01-04",
        "2018-01-05",
        "2018-01-06",
        "2018-01-07",
        "2018-01-08",
        "2018-02-23",
        "2018-03-08",
        "2018-05-01",
        "2018-05-09",
        "2018-06-12",
        "2018-11-04",
        "2019-01-01",
        "2019-01-02",
        "2019-01-03",
        "2019-01-04",
        "2019-01-05",
        "2019-01-06",
        "2019-01-07",
        "2019-01-08",
        "2019-02-23",
        "2019-03-08",
        "2019-05-01",
        "2019-05-09",
        "2019-06-12",
        "2019-11-04",
        "2020-01-01",
        "2020-01-02",
        "2020-01-03",
        "2020-01-04",
        "2020-01-05",
        "2020-01-06",
        "2020-01-07",
        "2020-01-08",
        "2020-02-23",
        "2020-03-08",
        "2020-05-01",
        "2020-05-09",
        "2020-06-12",
        "2020-11-04",
        "2021-01-01",
        "2021-01-02",
        "2021-01-03",
        "2021-01-04",
        "2021-01-05",
        "2021-01-06",
        "2021-01-07",
        "2021-01-08",
        "2021-02-23",
        "2021-03-08",
        "2021-05-01",
        "2021-05-09",
        "2021-06-12",
        "2021-11-04",
        "2022-01-01",
        "2022-01-02",
        "2022-01-03",
        "2022-01-04",
        "2022-01-05",
        "2022-01-06",
        "2022-01-07",
        "2022-01-08",
        "2022-02-23",
        "2022-03-08",
        "2022-05-01",
        "2022-05-09",
        "2022-06-12",
        "2022-11-04",
        "2023-01-01",
        "2023-01-02",
        "2023-01-03",
        "2023-01-04",
        "2023-01-05",
        "2023-01-06",
        "2023-01-07",
        "2023-01-08",
        "2023-02-23",
        "2023-02-24",
        "2023-03-08",
        "2023-05-01",
        "2023-05-08",
        "2023-05-09",
        "2023-06-12",
        "2023-11-04",
        "2024-01-01",
        "2024-01-02",
        "2024-01-03",
        "2024-01-04",
        "2024-01-05",
        "2024-01-06",
        "2024-01-07",
        "2024-01-08",
        "2024-02-23",
        "2024-03-08",
        "2024-05-01",
        "2024-05-09",
        "2024-06-12",
        "2024-11-04",
        "2025-01-01",
        "2025-01-02",
        "2025-01-03",
        "2025-01-04",
        "2025-01-05",
        "2025-01-06",
        "2025-01-07",
        "2025-01-08",
        "2025-02-23",
        "2025-03-08",
        "2025-05-01",
        "2025-05-09",
        "2025-06-12",
        "2025-11-04",
        "2026-01-01",
        "2026-01-02",
        "2026-01-03",
        "2026-01-04",
        "2026-01-05",
        "2026-01-06",
        "2026-01-07",
        "2026-01-08",
        "2026-02-23",
        "2026-03-08",
        "2026-05-01",
        "2026-05-09",
        "2026-06-12",
        "2026-11-04",
        "2027-01-01",
        "2027-01-02",
        "2027-01-03",
        "2027-01-04",
        "2027-01-05",
        "2027-01-06",
        "2027-01-07",
        "2027-01-08",
        "2027-02-23",
        "2027-03-08",
        "2027-05-01",
        "2027-05-09",
        "2027-06-12",
        "2027-11-04",
        "2028-01-01",
        "2028-01-02",
        "2028-01-03",
        "2028-01-04",
        "2028-01-05",
        "2028-01-06",
        "2028-01-07",
        "2028-01-08",
        "2028-02-23",
        "2028-03-08",
        "2028-05-01",
        "2028-05-09",
        "2028-06-12",
        "2028-11-04",
        "2029-01-01",
        "2029-01-02",
        "2029-01-03",
        "2029-01-04",
        "2029-01-05",
        "2029-01-06",
        "2029-01-07",
        "2029-01-08",
        "2029-02-23",
        "2029-03-08",
        "2029-05-01",
        "2029-05-09",
        "2029-06-12",
        "2029-11-04",
        "2030-01-01",
        "2030-01-02",
        "2030-01-03",
        "2030-01-04",
        "2030-01-05",
        "2030-01-06",
        "2030-01-07",
        "2030-01-08",
        "2030-02-23",
        "2030-03-08",
        "2030-05-01",
        "2030-05-09",
        "2030-06-12",
        "2030-11-04",
        "2031-01-01",
        "2031-01-02",
        "2031-01-03",
        "2031-01-04",
        "2031-01-05",
        "2031-01-06",
        "2031-01-07",
        "2031-01-08",
        "2031-02-23",
        "2031-03-08",
        "2031-05-01",
        "2031-05-09",
        "2031-06-12",
        "2031-11-04",
        "2032-01-01",
        "2032-01-02",
        "2032-01-03",
        "2032-01-04",
        "2032-01-05",
        "2032-01-06",
        "2032-01-07",
        "2032-01-08",
        "2032-02-23",
        "2032-03-08",
        "2032-05-01",
        "2032-05-09",
        "2032-06-12",
        "2032-11-04",
        "2033-01-01",
        "2033-01-02",
        "2033-01-03",
        "2033-01-04",
        "2033-01-05",
        "2033-01-06",
        "2033-01-07",
        "2033-01-08",
        "2033-02-23",
        "2033-03-08",
        "2033-05-01",
        "2033-05-09",
        "2033-06-12",
        "2033-11-04",
        "2034-01-01",
        "2034-01-02",
        "2034-01-03",
        "2034-01-04",
        "2034-01-05",
        "2034-01-06",
        "2034-01-07",
        "2034-01-08",
        "2034-02-23",
        "2034-03-08",
        "2034-05-01",
        "2034-05-09",
        "2034-06-12",
        "2034-11-04",
        "2035-01-01",
        "2035-01-02",
        "2035-01-03",
        "2035-01-04",
        "2035-01-05",
        "2035-01-06",
        "2035-01-07",
        "2035-01-08",
        "2035-02-23",
        "2035-03-08",
        "2035-05-01",
        "2035-05-09",
        "2035-06-12",
        "2035-11-04",
        "2036-01-01",
        "2036-01-02",
        "2036-01-03",
        "2036-01-04",
        "2036-01-05",
        "2036-01-06",
        "2036-01-07",
        "2036-01-08",
        "2036-02-23",
        "2036-03-08",
        "2036-05-01",
        "2036-05-09",
        "2036-06-12",
        "2036-11-04",
        "2037-01-01",
        "2037-01-02",
        "2037-01-03",
        "2037-01-04",
        "2037-01-05",
        "2037-01-06",
        "2037-01-07",
        "2037-01-08",
        "2037-02-23",
        "2037-03-08",
        "2037-05-01",
        "2037-05-09",
        "2037-06-12",
        "2037-11-04",
        "2038-01-01",
        "2038-01-02",
        "2038-01-03",
        "2038-01-04",
        "2038-01-05",
        "2038-01-06",
        "2038-01-07",
        "2038-01-08",
        "2038-02-23",
        "2038-03-08",
        "2038-05-01",
        "2038-05-09",
        "2038-06-12",
        "2038-11-04",
        "2039-01-01",
        "2039-01-02",
        "2039-01-03",
        "2039-01-04",
        "2039-01-05",
        "2039-01-06",
        "2039-01-07",
        "2039-01-08",
        "2039-02-23",
        "2039-03-08",
        "2039-05-01",
        "2039-05-09",
        "2039-06-12",
        "2039-11-04",
        "2040-01-01",
        "2040-01-02",
        "2040-01-03",
        "2040-01-04",
        "2040-01-05",
        "2040-01-06",
        "2040-01-07",
        "2040-01-08",
        "2040-02-23",
        "2040-03-08",
        "2040-05-01",
        "2040-05-09",
        "2040-06-12",
        "2040-11-04",
        "2041-01-01",
        "2041-01-02",
        "2041-01-03",
        "2041-01-04",
        "2041-01-05",
        "2041-01-06",
        "2041-01-07",
        "2041-01-08",
        "2041-02-23",
        "2041-03-08",
        "2041-05-01",
        "2041-05-09",
        "2041-06-12",
        "2041-11-04",
        "2042-01-01",
        "2042-01-02",
        "2042-01-03",
        "2042-01-04",
        "2042-01-05",
        "2042-01-06",
        "2042-01-07",
        "2042-01-08",
        "2042-02-23",
        "2042-03-08",
        "2042-05-01",
        "2042-05-09",
        "2042-06-12",
        "2042-11-04",
        "2043-01-01",
        "2043-01-02",
        "2043-01-03",
        "2043-01-04",
        "2043-01-05",
        "2043-01-06",
        "2043-01-07",
        "2043-01-08",
        "2043-02-23",
        "2043-03-08",
        "2043-05-01",
        "2043-05-09",
        "2043-06-12",
        "2043-11-04",
        "2044-01-01",
        "2044-01-02",
        "2044-01-03",
        "2044-01-04",
        "2044-01-05",
        "2044-01-06",
        "2044-01-07",
        "2044-01-08",
        "2044-02-23",
        "2044-03-08",
        "2044-05-01",
        "2044-05-09",
        "2044-06-12",
        "2044-11-04",
        "2045-01-01",
        "2045-01-02",
        "2045-01-03",
        "2045-01-04",
        "2045-01-05",
        "2045-01-06",
        "2045-01-07",
        "2045-01-08",
        "2045-02-23",
        "2045-03-08",
        "2045-05-01",
        "2045-05-09",
        "2045-06-12",
        "2045-11-04",
        "2046-01-01",
        "2046-01-02",
        "2046-01-03",
        "2046-01-04",
        "2046-01-05",
        "2046-01-06",
        "2046-01-07",
        "2046-01-08",
        "2046-02-23",
        "2046-03-08",
        "2046-05-01",
        "2046-05-09",
        "2046-06-12",
        "2046-11-04",
        "2047-01-01",
        "2047-01-02",
        "2047-01-03",
        "2047-01-04",
        "2047-01-05",
        "2047-01-06",
        "2047-01-07",
        "2047-01-08",
        "2047-02-23",
        "2047-03-08",
        "2047-05-01",
        "2047-05-09",
        "2047-06-12",
        "2047-11-04",
        "2048-01-01",
        "2048-01-02",
        "2048-01-03",
        "2048-01-04",
        "2048-01-05",
        "2048-01-06",
        "2048-01-07",
        "2048-01-08",
        "2048-02-23",
        "2048-03-08",
        "2048-05-01",
        "2048-05-09",
        "2048-06-12",
        "2048-11-04",
        "2049-01-01",
        "2049-01-02",
        "2049-01-03",
        "2049-01-04",
        "2049-01-05",
        "2049-01-06",
        "2049-01-07",
        "2049-01-08",
        "2049-02-23",
        "2049-03-08",
        "2049-05-01",
        "2049-05-09",
        "2049-06-12",
        "2049-11-04",
    ]


def __getholidaysJapan__():
    return [
        "2000-01-01",
        "2000-01-10",
        "2000-02-11",
        "2000-03-20",
        "2000-04-29",
        "2000-05-03",
        "2000-05-04",
        "2000-05-05",
        "2000-07-20",
        "2000-09-15",
        "2000-09-23",
        "2000-10-09",
        "2000-11-03",
        "2000-11-23",
        "2000-12-23",
        "2001-01-01",
        "2001-01-08",
        "2001-02-11",
        "2001-02-12",
        "2001-03-20",
        "2001-04-29",
        "2001-04-30",
        "2001-05-03",
        "2001-05-04",
        "2001-05-05",
        "2001-07-20",
        "2001-09-15",
        "2001-09-23",
        "2001-09-24",
        "2001-10-08",
        "2001-11-03",
        "2001-11-23",
        "2001-12-23",
        "2001-12-24",
        "2002-01-01",
        "2002-01-14",
        "2002-02-11",
        "2002-03-21",
        "2002-04-29",
        "2002-05-03",
        "2002-05-04",
        "2002-05-05",
        "2002-05-06",
        "2002-07-20",
        "2002-09-15",
        "2002-09-16",
        "2002-09-23",
        "2002-10-14",
        "2002-11-03",
        "2002-11-04",
        "2002-11-23",
        "2002-12-23",
        "2003-01-01",
        "2003-01-13",
        "2003-02-11",
        "2003-03-21",
        "2003-04-29",
        "2003-05-03",
        "2003-05-05",
        "2003-07-21",
        "2003-09-15",
        "2003-09-23",
        "2003-10-13",
        "2003-11-03",
        "2003-11-23",
        "2003-11-24",
        "2003-12-23",
        "2004-01-01",
        "2004-01-12",
        "2004-02-11",
        "2004-03-20",
        "2004-04-29",
        "2004-05-03",
        "2004-05-04",
        "2004-05-05",
        "2004-07-19",
        "2004-09-20",
        "2004-09-23",
        "2004-10-11",
        "2004-11-03",
        "2004-11-23",
        "2004-12-23",
        "2005-01-01",
        "2005-01-10",
        "2005-02-11",
        "2005-03-20",
        "2005-03-21",
        "2005-04-29",
        "2005-05-03",
        "2005-05-04",
        "2005-05-05",
        "2005-07-18",
        "2005-09-19",
        "2005-09-23",
        "2005-10-10",
        "2005-11-03",
        "2005-11-23",
        "2005-12-23",
        "2006-01-01",
        "2006-01-02",
        "2006-01-09",
        "2006-02-11",
        "2006-03-21",
        "2006-04-29",
        "2006-05-03",
        "2006-05-04",
        "2006-05-05",
        "2006-07-17",
        "2006-09-18",
        "2006-09-23",
        "2006-10-09",
        "2006-11-03",
        "2006-11-23",
        "2006-12-23",
        "2007-01-01",
        "2007-01-08",
        "2007-02-11",
        "2007-02-12",
        "2007-03-21",
        "2007-04-29",
        "2007-04-30",
        "2007-05-03",
        "2007-05-04",
        "2007-05-05",
        "2007-07-16",
        "2007-09-17",
        "2007-09-23",
        "2007-09-24",
        "2007-10-08",
        "2007-11-03",
        "2007-11-23",
        "2007-12-23",
        "2007-12-24",
        "2008-01-01",
        "2008-01-14",
        "2008-02-11",
        "2008-03-20",
        "2008-04-29",
        "2008-05-03",
        "2008-05-04",
        "2008-05-05",
        "2008-05-06",
        "2008-07-21",
        "2008-09-15",
        "2008-09-23",
        "2008-10-13",
        "2008-11-03",
        "2008-11-23",
        "2008-11-24",
        "2008-12-23",
        "2009-01-01",
        "2009-01-12",
        "2009-02-11",
        "2009-03-20",
        "2009-04-29",
        "2009-05-03",
        "2009-05-04",
        "2009-05-05",
        "2009-05-06",
        "2009-07-20",
        "2009-09-21",
        "2009-09-22",
        "2009-09-23",
        "2009-10-12",
        "2009-11-03",
        "2009-11-23",
        "2009-12-23",
        "2010-01-01",
        "2010-01-11",
        "2010-02-11",
        "2010-03-21",
        "2010-03-22",
        "2010-04-29",
        "2010-05-03",
        "2010-05-04",
        "2010-05-05",
        "2010-07-19",
        "2010-09-20",
        "2010-09-23",
        "2010-10-11",
        "2010-11-03",
        "2010-11-23",
        "2010-12-23",
        "2011-01-01",
        "2011-01-10",
        "2011-02-11",
        "2011-03-21",
        "2011-04-29",
        "2011-05-03",
        "2011-05-04",
        "2011-05-05",
        "2011-07-18",
        "2011-09-19",
        "2011-09-23",
        "2011-10-10",
        "2011-11-03",
        "2011-11-23",
        "2011-12-23",
        "2012-01-01",
        "2012-01-02",
        "2012-01-09",
        "2012-02-11",
        "2012-03-20",
        "2012-04-29",
        "2012-04-30",
        "2012-05-03",
        "2012-05-04",
        "2012-05-05",
        "2012-07-16",
        "2012-09-17",
        "2012-09-22",
        "2012-10-08",
        "2012-11-03",
        "2012-11-23",
        "2012-12-23",
        "2012-12-24",
        "2013-01-01",
        "2013-01-14",
        "2013-02-11",
        "2013-03-20",
        "2013-04-29",
        "2013-05-03",
        "2013-05-04",
        "2013-05-05",
        "2013-05-06",
        "2013-07-15",
        "2013-09-16",
        "2013-09-23",
        "2013-10-14",
        "2013-11-03",
        "2013-11-04",
        "2013-11-23",
        "2013-12-23",
        "2014-01-01",
        "2014-01-13",
        "2014-02-11",
        "2014-03-21",
        "2014-04-29",
        "2014-05-03",
        "2014-05-04",
        "2014-05-05",
        "2014-05-06",
        "2014-07-21",
        "2014-09-15",
        "2014-09-23",
        "2014-10-13",
        "2014-11-03",
        "2014-11-23",
        "2014-11-24",
        "2014-12-23",
        "2015-01-01",
        "2015-01-12",
        "2015-02-11",
        "2015-03-21",
        "2015-04-29",
        "2015-05-03",
        "2015-05-04",
        "2015-05-05",
        "2015-05-06",
        "2015-07-20",
        "2015-09-21",
        "2015-09-22",
        "2015-09-23",
        "2015-10-12",
        "2015-11-03",
        "2015-11-23",
        "2015-12-23",
        "2016-01-01",
        "2016-01-11",
        "2016-02-11",
        "2016-03-20",
        "2016-03-21",
        "2016-04-29",
        "2016-05-03",
        "2016-05-04",
        "2016-05-05",
        "2016-07-18",
        "2016-08-11",
        "2016-09-19",
        "2016-09-22",
        "2016-10-10",
        "2016-11-03",
        "2016-11-23",
        "2016-12-23",
        "2017-01-01",
        "2017-01-02",
        "2017-01-09",
        "2017-02-11",
        "2017-03-20",
        "2017-04-29",
        "2017-05-03",
        "2017-05-04",
        "2017-05-05",
        "2017-07-17",
        "2017-08-11",
        "2017-09-18",
        "2017-09-23",
        "2017-10-09",
        "2017-11-03",
        "2017-11-23",
        "2017-12-23",
        "2018-01-01",
        "2018-01-08",
        "2018-02-11",
        "2018-02-12",
        "2018-03-21",
        "2018-04-29",
        "2018-04-30",
        "2018-05-03",
        "2018-05-04",
        "2018-05-05",
        "2018-07-16",
        "2018-08-11",
        "2018-09-17",
        "2018-09-23",
        "2018-09-24",
        "2018-10-08",
        "2018-11-03",
        "2018-11-23",
        "2018-12-23",
        "2018-12-24",
        "2019-01-01",
        "2019-01-14",
        "2019-02-11",
        "2019-03-21",
        "2019-04-29",
        "2019-04-30",
        "2019-05-01",
        "2019-05-02",
        "2019-05-03",
        "2019-05-04",
        "2019-05-05",
        "2019-05-06",
        "2019-07-15",
        "2019-08-11",
        "2019-08-12",
        "2019-09-16",
        "2019-09-23",
        "2019-10-14",
        "2019-10-22",
        "2019-11-03",
        "2019-11-04",
        "2019-11-23",
        "2020-01-01",
        "2020-01-13",
        "2020-02-11",
        "2020-02-23",
        "2020-02-24",
        "2020-03-20",
        "2020-04-29",
        "2020-05-03",
        "2020-05-04",
        "2020-05-05",
        "2020-05-06",
        "2020-07-23",
        "2020-07-24",
        "2020-08-10",
        "2020-09-21",
        "2020-09-22",
        "2020-11-03",
        "2020-11-23",
        "2021-01-01",
        "2021-01-11",
        "2021-02-11",
        "2021-02-23",
        "2021-03-20",
        "2021-04-29",
        "2021-05-03",
        "2021-05-04",
        "2021-05-05",
        "2021-07-22",
        "2021-07-23",
        "2021-08-08",
        "2021-08-09",
        "2021-09-20",
        "2021-09-23",
        "2021-11-03",
        "2021-11-23",
        "2022-01-01",
        "2022-01-10",
        "2022-02-11",
        "2022-02-23",
        "2022-03-21",
        "2022-04-29",
        "2022-05-03",
        "2022-05-04",
        "2022-05-05",
        "2022-07-18",
        "2022-08-11",
        "2022-09-19",
        "2022-09-23",
        "2022-10-10",
        "2022-11-03",
        "2022-11-23",
        "2023-01-01",
        "2023-01-02",
        "2023-01-09",
        "2023-02-11",
        "2023-02-23",
        "2023-03-21",
        "2023-04-29",
        "2023-05-03",
        "2023-05-04",
        "2023-05-05",
        "2023-07-17",
        "2023-08-11",
        "2023-09-18",
        "2023-09-23",
        "2023-10-09",
        "2023-11-03",
        "2023-11-23",
        "2024-01-01",
        "2024-01-08",
        "2024-02-11",
        "2024-02-12",
        "2024-02-23",
        "2024-03-20",
        "2024-04-29",
        "2024-05-03",
        "2024-05-04",
        "2024-05-05",
        "2024-05-06",
        "2024-07-15",
        "2024-08-11",
        "2024-08-12",
        "2024-09-16",
        "2024-09-22",
        "2024-09-23",
        "2024-10-14",
        "2024-11-03",
        "2024-11-04",
        "2024-11-23",
        "2025-01-01",
        "2025-01-13",
        "2025-02-11",
        "2025-02-23",
        "2025-02-24",
        "2025-03-20",
        "2025-04-29",
        "2025-05-03",
        "2025-05-04",
        "2025-05-05",
        "2025-05-06",
        "2025-07-21",
        "2025-08-11",
        "2025-09-15",
        "2025-09-23",
        "2025-10-13",
        "2025-11-03",
        "2025-11-23",
        "2025-11-24",
        "2026-01-01",
        "2026-01-12",
        "2026-02-11",
        "2026-02-23",
        "2026-03-20",
        "2026-04-29",
        "2026-05-03",
        "2026-05-04",
        "2026-05-05",
        "2026-05-06",
        "2026-07-20",
        "2026-08-11",
        "2026-09-21",
        "2026-09-22",
        "2026-09-23",
        "2026-10-12",
        "2026-11-03",
        "2026-11-23",
        "2027-01-01",
        "2027-01-11",
        "2027-02-11",
        "2027-02-23",
        "2027-03-21",
        "2027-03-22",
        "2027-04-29",
        "2027-05-03",
        "2027-05-04",
        "2027-05-05",
        "2027-07-19",
        "2027-08-11",
        "2027-09-20",
        "2027-09-23",
        "2027-10-11",
        "2027-11-03",
        "2027-11-23",
        "2028-01-01",
        "2028-01-10",
        "2028-02-11",
        "2028-02-23",
        "2028-03-20",
        "2028-04-29",
        "2028-05-03",
        "2028-05-04",
        "2028-05-05",
        "2028-07-17",
        "2028-08-11",
        "2028-09-18",
        "2028-09-22",
        "2028-10-09",
        "2028-11-03",
        "2028-11-23",
        "2029-01-01",
        "2029-01-08",
        "2029-02-11",
        "2029-02-12",
        "2029-02-23",
        "2029-03-20",
        "2029-04-29",
        "2029-04-30",
        "2029-05-03",
        "2029-05-04",
        "2029-05-05",
        "2029-07-16",
        "2029-08-11",
        "2029-09-17",
        "2029-09-23",
        "2029-09-24",
        "2029-10-08",
        "2029-11-03",
        "2029-11-23",
        "2030-01-01",
        "2030-01-14",
        "2030-02-11",
        "2030-02-23",
        "2030-03-20",
        "2030-04-29",
        "2030-05-03",
        "2030-05-04",
        "2030-05-05",
        "2030-05-06",
        "2030-07-15",
        "2030-08-11",
        "2030-08-12",
        "2030-09-16",
        "2030-09-23",
        "2030-10-14",
        "2030-11-03",
        "2030-11-04",
        "2030-11-23",
        "2031-01-01",
        "2031-01-13",
        "2031-02-11",
        "2031-02-23",
        "2031-02-24",
        "2031-03-21",
        "2031-04-29",
        "2031-05-03",
        "2031-05-04",
        "2031-05-05",
        "2031-05-06",
        "2031-07-21",
        "2031-08-11",
        "2031-09-15",
        "2031-09-23",
        "2031-10-13",
        "2031-11-03",
        "2031-11-23",
        "2031-11-24",
        "2032-01-01",
        "2032-01-12",
        "2032-02-11",
        "2032-02-23",
        "2032-03-20",
        "2032-04-29",
        "2032-05-03",
        "2032-05-04",
        "2032-05-05",
        "2032-07-19",
        "2032-08-11",
        "2032-09-20",
        "2032-09-21",
        "2032-09-22",
        "2032-10-11",
        "2032-11-03",
        "2032-11-23",
        "2033-01-01",
        "2033-01-10",
        "2033-02-11",
        "2033-02-23",
        "2033-03-20",
        "2033-03-21",
        "2033-04-29",
        "2033-05-03",
        "2033-05-04",
        "2033-05-05",
        "2033-07-18",
        "2033-08-11",
        "2033-09-19",
        "2033-09-23",
        "2033-10-10",
        "2033-11-03",
        "2033-11-23",
        "2034-01-01",
        "2034-01-02",
        "2034-01-09",
        "2034-02-11",
        "2034-02-23",
        "2034-03-20",
        "2034-04-29",
        "2034-05-03",
        "2034-05-04",
        "2034-05-05",
        "2034-07-17",
        "2034-08-11",
        "2034-09-18",
        "2034-09-23",
        "2034-10-09",
        "2034-11-03",
        "2034-11-23",
        "2035-01-01",
        "2035-01-08",
        "2035-02-11",
        "2035-02-12",
        "2035-02-23",
        "2035-03-21",
        "2035-04-29",
        "2035-04-30",
        "2035-05-03",
        "2035-05-04",
        "2035-05-05",
        "2035-07-16",
        "2035-08-11",
        "2035-09-17",
        "2035-09-23",
        "2035-09-24",
        "2035-10-08",
        "2035-11-03",
        "2035-11-23",
        "2036-01-01",
        "2036-01-14",
        "2036-02-11",
        "2036-02-23",
        "2036-03-20",
        "2036-04-29",
        "2036-05-03",
        "2036-05-04",
        "2036-05-05",
        "2036-05-06",
        "2036-07-21",
        "2036-08-11",
        "2036-09-15",
        "2036-09-22",
        "2036-10-13",
        "2036-11-03",
        "2036-11-23",
        "2036-11-24",
        "2037-01-01",
        "2037-01-12",
        "2037-02-11",
        "2037-02-23",
        "2037-03-20",
        "2037-04-29",
        "2037-05-03",
        "2037-05-04",
        "2037-05-05",
        "2037-05-06",
        "2037-07-20",
        "2037-08-11",
        "2037-09-21",
        "2037-09-22",
        "2037-09-23",
        "2037-10-12",
        "2037-11-03",
        "2037-11-23",
        "2038-01-01",
        "2038-01-11",
        "2038-02-11",
        "2038-02-23",
        "2038-03-20",
        "2038-04-29",
        "2038-05-03",
        "2038-05-04",
        "2038-05-05",
        "2038-07-19",
        "2038-08-11",
        "2038-09-20",
        "2038-09-23",
        "2038-10-11",
        "2038-11-03",
        "2038-11-23",
        "2039-01-01",
        "2039-01-10",
        "2039-02-11",
        "2039-02-23",
        "2039-03-21",
        "2039-04-29",
        "2039-05-03",
        "2039-05-04",
        "2039-05-05",
        "2039-07-18",
        "2039-08-11",
        "2039-09-19",
        "2039-09-23",
        "2039-10-10",
        "2039-11-03",
        "2039-11-23",
        "2040-01-01",
        "2040-01-02",
        "2040-01-09",
        "2040-02-11",
        "2040-02-23",
        "2040-03-20",
        "2040-04-29",
        "2040-04-30",
        "2040-05-03",
        "2040-05-04",
        "2040-05-05",
        "2040-07-16",
        "2040-08-11",
        "2040-09-17",
        "2040-09-22",
        "2040-10-08",
        "2040-11-03",
        "2040-11-23",
        "2041-01-01",
        "2041-01-14",
        "2041-02-11",
        "2041-02-23",
        "2041-03-20",
        "2041-04-29",
        "2041-05-03",
        "2041-05-04",
        "2041-05-05",
        "2041-05-06",
        "2041-07-15",
        "2041-08-11",
        "2041-08-12",
        "2041-09-16",
        "2041-09-23",
        "2041-10-14",
        "2041-11-03",
        "2041-11-04",
        "2041-11-23",
        "2042-01-01",
        "2042-01-13",
        "2042-02-11",
        "2042-02-23",
        "2042-02-24",
        "2042-03-20",
        "2042-04-29",
        "2042-05-03",
        "2042-05-04",
        "2042-05-05",
        "2042-05-06",
        "2042-07-21",
        "2042-08-11",
        "2042-09-15",
        "2042-09-23",
        "2042-10-13",
        "2042-11-03",
        "2042-11-23",
        "2042-11-24",
        "2043-01-01",
        "2043-01-12",
        "2043-02-11",
        "2043-02-23",
        "2043-03-21",
        "2043-04-29",
        "2043-05-03",
        "2043-05-04",
        "2043-05-05",
        "2043-05-06",
        "2043-07-20",
        "2043-08-11",
        "2043-09-21",
        "2043-09-22",
        "2043-09-23",
        "2043-10-12",
        "2043-11-03",
        "2043-11-23",
        "2044-01-01",
        "2044-01-11",
        "2044-02-11",
        "2044-02-23",
        "2044-03-20",
        "2044-03-21",
        "2044-04-29",
        "2044-05-03",
        "2044-05-04",
        "2044-05-05",
        "2044-07-18",
        "2044-08-11",
        "2044-09-19",
        "2044-09-22",
        "2044-10-10",
        "2044-11-03",
        "2044-11-23",
        "2045-01-01",
        "2045-01-02",
        "2045-01-09",
        "2045-02-11",
        "2045-02-23",
        "2045-03-20",
        "2045-04-29",
        "2045-05-03",
        "2045-05-04",
        "2045-05-05",
        "2045-07-17",
        "2045-08-11",
        "2045-09-18",
        "2045-09-22",
        "2045-10-09",
        "2045-11-03",
        "2045-11-23",
        "2046-01-01",
        "2046-01-08",
        "2046-02-11",
        "2046-02-12",
        "2046-02-23",
        "2046-03-20",
        "2046-04-29",
        "2046-04-30",
        "2046-05-03",
        "2046-05-04",
        "2046-05-05",
        "2046-07-16",
        "2046-08-11",
        "2046-09-17",
        "2046-09-23",
        "2046-09-24",
        "2046-10-08",
        "2046-11-03",
        "2046-11-23",
        "2047-01-01",
        "2047-01-14",
        "2047-02-11",
        "2047-02-23",
        "2047-03-21",
        "2047-04-29",
        "2047-05-03",
        "2047-05-04",
        "2047-05-05",
        "2047-05-06",
        "2047-07-15",
        "2047-08-11",
        "2047-08-12",
        "2047-09-16",
        "2047-09-23",
        "2047-10-14",
        "2047-11-03",
        "2047-11-04",
        "2047-11-23",
        "2048-01-01",
        "2048-01-13",
        "2048-02-11",
        "2048-02-23",
        "2048-02-24",
        "2048-03-20",
        "2048-04-29",
        "2048-05-03",
        "2048-05-04",
        "2048-05-05",
        "2048-05-06",
        "2048-07-20",
        "2048-08-11",
        "2048-09-21",
        "2048-09-22",
        "2048-10-12",
        "2048-11-03",
        "2048-11-23",
        "2049-01-01",
        "2049-01-11",
        "2049-02-11",
        "2049-02-23",
        "2049-03-20",
        "2049-04-29",
        "2049-05-03",
        "2049-05-04",
        "2049-05-05",
        "2049-07-19",
        "2049-08-11",
        "2049-09-20",
        "2049-09-21",
        "2049-09-22",
        "2049-10-11",
        "2049-11-03",
        "2049-11-23",
    ]


def __getholidaysUK__():
    return [
        "2000-01-01",
        "2000-01-03",
        "2000-04-21",
        "2000-05-01",
        "2000-05-29",
        "2000-12-25",
        "2000-12-26",
        "2001-01-01",
        "2001-04-13",
        "2001-05-07",
        "2001-05-28",
        "2001-12-25",
        "2001-12-26",
        "2002-01-01",
        "2002-03-29",
        "2002-05-06",
        "2002-06-03",
        "2002-06-04",
        "2002-12-25",
        "2002-12-26",
        "2003-01-01",
        "2003-04-18",
        "2003-05-05",
        "2003-05-26",
        "2003-12-25",
        "2003-12-26",
        "2004-01-01",
        "2004-04-09",
        "2004-05-03",
        "2004-05-31",
        "2004-12-25",
        "2004-12-26",
        "2004-12-27",
        "2004-12-28",
        "2005-01-01",
        "2005-01-03",
        "2005-03-25",
        "2005-05-02",
        "2005-05-30",
        "2005-12-25",
        "2005-12-26",
        "2005-12-27",
        "2006-01-01",
        "2006-01-02",
        "2006-04-14",
        "2006-05-01",
        "2006-05-29",
        "2006-12-25",
        "2006-12-26",
        "2007-01-01",
        "2007-04-06",
        "2007-05-07",
        "2007-05-28",
        "2007-12-25",
        "2007-12-26",
        "2008-01-01",
        "2008-03-21",
        "2008-05-05",
        "2008-05-26",
        "2008-12-25",
        "2008-12-26",
        "2009-01-01",
        "2009-04-10",
        "2009-05-04",
        "2009-05-25",
        "2009-12-25",
        "2009-12-26",
        "2009-12-28",
        "2010-01-01",
        "2010-04-02",
        "2010-05-03",
        "2010-05-31",
        "2010-12-25",
        "2010-12-26",
        "2010-12-27",
        "2010-12-28",
        "2011-01-01",
        "2011-01-03",
        "2011-04-22",
        "2011-04-29",
        "2011-05-02",
        "2011-05-30",
        "2011-12-25",
        "2011-12-26",
        "2011-12-27",
        "2012-01-01",
        "2012-01-02",
        "2012-04-06",
        "2012-05-07",
        "2012-06-04",
        "2012-06-05",
        "2012-12-25",
        "2012-12-26",
        "2013-01-01",
        "2013-03-29",
        "2013-05-06",
        "2013-05-27",
        "2013-12-25",
        "2013-12-26",
        "2014-01-01",
        "2014-04-18",
        "2014-05-05",
        "2014-05-26",
        "2014-12-25",
        "2014-12-26",
        "2015-01-01",
        "2015-04-03",
        "2015-05-04",
        "2015-05-25",
        "2015-12-25",
        "2015-12-26",
        "2015-12-28",
        "2016-01-01",
        "2016-03-25",
        "2016-05-02",
        "2016-05-30",
        "2016-12-25",
        "2016-12-26",
        "2016-12-27",
        "2017-01-01",
        "2017-01-02",
        "2017-04-14",
        "2017-05-01",
        "2017-05-29",
        "2017-12-25",
        "2017-12-26",
        "2018-01-01",
        "2018-03-30",
        "2018-05-07",
        "2018-05-28",
        "2018-12-25",
        "2018-12-26",
        "2019-01-01",
        "2019-04-19",
        "2019-05-06",
        "2019-05-27",
        "2019-12-25",
        "2019-12-26",
        "2020-01-01",
        "2020-04-10",
        "2020-05-08",
        "2020-05-25",
        "2020-12-25",
        "2020-12-26",
        "2020-12-28",
        "2021-01-01",
        "2021-04-02",
        "2021-05-03",
        "2021-05-31",
        "2021-12-25",
        "2021-12-26",
        "2021-12-27",
        "2021-12-28",
        "2022-01-01",
        "2022-01-03",
        "2022-04-15",
        "2022-05-02",
        "2022-06-02",
        "2022-06-03",
        "2022-09-19",
        "2022-12-25",
        "2022-12-26",
        "2022-12-27",
        "2023-01-01",
        "2023-01-02",
        "2023-04-07",
        "2023-05-01",
        "2023-05-08",
        "2023-05-29",
        "2023-12-25",
        "2023-12-26",
        "2024-01-01",
        "2024-03-29",
        "2024-05-06",
        "2024-05-27",
        "2024-12-25",
        "2024-12-26",
        "2025-01-01",
        "2025-04-18",
        "2025-05-05",
        "2025-05-26",
        "2025-12-25",
        "2025-12-26",
        "2026-01-01",
        "2026-04-03",
        "2026-05-04",
        "2026-05-25",
        "2026-12-25",
        "2026-12-26",
        "2026-12-28",
        "2027-01-01",
        "2027-03-26",
        "2027-05-03",
        "2027-05-31",
        "2027-12-25",
        "2027-12-26",
        "2027-12-27",
        "2027-12-28",
        "2028-01-01",
        "2028-01-03",
        "2028-04-14",
        "2028-05-01",
        "2028-05-29",
        "2028-12-25",
        "2028-12-26",
        "2029-01-01",
        "2029-03-30",
        "2029-05-07",
        "2029-05-28",
        "2029-12-25",
        "2029-12-26",
        "2030-01-01",
        "2030-04-19",
        "2030-05-06",
        "2030-05-27",
        "2030-12-25",
        "2030-12-26",
        "2031-01-01",
        "2031-04-11",
        "2031-05-05",
        "2031-05-26",
        "2031-12-25",
        "2031-12-26",
        "2032-01-01",
        "2032-03-26",
        "2032-05-03",
        "2032-05-31",
        "2032-12-25",
        "2032-12-26",
        "2032-12-27",
        "2032-12-28",
        "2033-01-01",
        "2033-01-03",
        "2033-04-15",
        "2033-05-02",
        "2033-05-30",
        "2033-12-25",
        "2033-12-26",
        "2033-12-27",
        "2034-01-01",
        "2034-01-02",
        "2034-04-07",
        "2034-05-01",
        "2034-05-29",
        "2034-12-25",
        "2034-12-26",
        "2035-01-01",
        "2035-03-23",
        "2035-05-07",
        "2035-05-28",
        "2035-12-25",
        "2035-12-26",
        "2036-01-01",
        "2036-04-11",
        "2036-05-05",
        "2036-05-26",
        "2036-12-25",
        "2036-12-26",
        "2037-01-01",
        "2037-04-03",
        "2037-05-04",
        "2037-05-25",
        "2037-12-25",
        "2037-12-26",
        "2037-12-28",
        "2038-01-01",
        "2038-04-23",
        "2038-05-03",
        "2038-05-31",
        "2038-12-25",
        "2038-12-26",
        "2038-12-27",
        "2038-12-28",
        "2039-01-01",
        "2039-01-03",
        "2039-04-08",
        "2039-05-02",
        "2039-05-30",
        "2039-12-25",
        "2039-12-26",
        "2039-12-27",
        "2040-01-01",
        "2040-01-02",
        "2040-03-30",
        "2040-05-07",
        "2040-05-28",
        "2040-12-25",
        "2040-12-26",
        "2041-01-01",
        "2041-04-19",
        "2041-05-06",
        "2041-05-27",
        "2041-12-25",
        "2041-12-26",
        "2042-01-01",
        "2042-04-04",
        "2042-05-05",
        "2042-05-26",
        "2042-12-25",
        "2042-12-26",
        "2043-01-01",
        "2043-03-27",
        "2043-05-04",
        "2043-05-25",
        "2043-12-25",
        "2043-12-26",
        "2043-12-28",
        "2044-01-01",
        "2044-04-15",
        "2044-05-02",
        "2044-05-30",
        "2044-12-25",
        "2044-12-26",
        "2044-12-27",
        "2045-01-01",
        "2045-01-02",
        "2045-04-07",
        "2045-05-01",
        "2045-05-29",
        "2045-12-25",
        "2045-12-26",
        "2046-01-01",
        "2046-03-23",
        "2046-05-07",
        "2046-05-28",
        "2046-12-25",
        "2046-12-26",
        "2047-01-01",
        "2047-04-12",
        "2047-05-06",
        "2047-05-27",
        "2047-12-25",
        "2047-12-26",
        "2048-01-01",
        "2048-04-03",
        "2048-05-04",
        "2048-05-25",
        "2048-12-25",
        "2048-12-26",
        "2048-12-28",
        "2049-01-01",
        "2049-04-16",
        "2049-05-03",
        "2049-05-31",
        "2049-12-25",
        "2049-12-26",
        "2049-12-27",
        "2049-12-28",
    ]


def __getholidaysFrance__():
    return [
        "2000-01-01",
        "2000-04-24",
        "2000-05-01",
        "2000-05-08",
        "2000-06-01",
        "2000-06-12",
        "2000-07-14",
        "2000-08-15",
        "2000-11-01",
        "2000-11-11",
        "2000-12-25",
        "2001-01-01",
        "2001-04-16",
        "2001-05-01",
        "2001-05-08",
        "2001-05-24",
        "2001-06-04",
        "2001-07-14",
        "2001-08-15",
        "2001-11-01",
        "2001-11-11",
        "2001-12-25",
        "2002-01-01",
        "2002-04-01",
        "2002-05-01",
        "2002-05-08",
        "2002-05-09",
        "2002-05-20",
        "2002-07-14",
        "2002-08-15",
        "2002-11-01",
        "2002-11-11",
        "2002-12-25",
        "2003-01-01",
        "2003-04-21",
        "2003-05-01",
        "2003-05-08",
        "2003-05-29",
        "2003-06-09",
        "2003-07-14",
        "2003-08-15",
        "2003-11-01",
        "2003-11-11",
        "2003-12-25",
        "2004-01-01",
        "2004-04-12",
        "2004-05-01",
        "2004-05-08",
        "2004-05-20",
        "2004-05-31",
        "2004-07-14",
        "2004-08-15",
        "2004-11-01",
        "2004-11-11",
        "2004-12-25",
        "2005-01-01",
        "2005-03-28",
        "2005-05-01",
        "2005-05-05",
        "2005-05-08",
        "2005-07-14",
        "2005-08-15",
        "2005-11-01",
        "2005-11-11",
        "2005-12-25",
        "2006-01-01",
        "2006-04-17",
        "2006-05-01",
        "2006-05-08",
        "2006-05-25",
        "2006-07-14",
        "2006-08-15",
        "2006-11-01",
        "2006-11-11",
        "2006-12-25",
        "2007-01-01",
        "2007-04-09",
        "2007-05-01",
        "2007-05-08",
        "2007-05-17",
        "2007-07-14",
        "2007-08-15",
        "2007-11-01",
        "2007-11-11",
        "2007-12-25",
        "2008-01-01",
        "2008-03-24",
        "2008-05-01",
        "2008-05-08",
        "2008-05-12",
        "2008-07-14",
        "2008-08-15",
        "2008-11-01",
        "2008-11-11",
        "2008-12-25",
        "2009-01-01",
        "2009-04-13",
        "2009-05-01",
        "2009-05-08",
        "2009-05-21",
        "2009-06-01",
        "2009-07-14",
        "2009-08-15",
        "2009-11-01",
        "2009-11-11",
        "2009-12-25",
        "2010-01-01",
        "2010-04-05",
        "2010-05-01",
        "2010-05-08",
        "2010-05-13",
        "2010-05-24",
        "2010-07-14",
        "2010-08-15",
        "2010-11-01",
        "2010-11-11",
        "2010-12-25",
        "2011-01-01",
        "2011-04-25",
        "2011-05-01",
        "2011-05-08",
        "2011-06-02",
        "2011-06-13",
        "2011-07-14",
        "2011-08-15",
        "2011-11-01",
        "2011-11-11",
        "2011-12-25",
        "2012-01-01",
        "2012-04-09",
        "2012-05-01",
        "2012-05-08",
        "2012-05-17",
        "2012-05-28",
        "2012-07-14",
        "2012-08-15",
        "2012-11-01",
        "2012-11-11",
        "2012-12-25",
        "2013-01-01",
        "2013-04-01",
        "2013-05-01",
        "2013-05-08",
        "2013-05-09",
        "2013-05-20",
        "2013-07-14",
        "2013-08-15",
        "2013-11-01",
        "2013-11-11",
        "2013-12-25",
        "2014-01-01",
        "2014-04-21",
        "2014-05-01",
        "2014-05-08",
        "2014-05-29",
        "2014-06-09",
        "2014-07-14",
        "2014-08-15",
        "2014-11-01",
        "2014-11-11",
        "2014-12-25",
        "2015-01-01",
        "2015-04-06",
        "2015-05-01",
        "2015-05-08",
        "2015-05-14",
        "2015-05-25",
        "2015-07-14",
        "2015-08-15",
        "2015-11-01",
        "2015-11-11",
        "2015-12-25",
        "2016-01-01",
        "2016-03-28",
        "2016-05-01",
        "2016-05-05",
        "2016-05-08",
        "2016-05-16",
        "2016-07-14",
        "2016-08-15",
        "2016-11-01",
        "2016-11-11",
        "2016-12-25",
        "2017-01-01",
        "2017-04-17",
        "2017-05-01",
        "2017-05-08",
        "2017-05-25",
        "2017-06-05",
        "2017-07-14",
        "2017-08-15",
        "2017-11-01",
        "2017-11-11",
        "2017-12-25",
        "2018-01-01",
        "2018-04-02",
        "2018-05-01",
        "2018-05-08",
        "2018-05-10",
        "2018-05-21",
        "2018-07-14",
        "2018-08-15",
        "2018-11-01",
        "2018-11-11",
        "2018-12-25",
        "2019-01-01",
        "2019-04-22",
        "2019-05-01",
        "2019-05-08",
        "2019-05-30",
        "2019-06-10",
        "2019-07-14",
        "2019-08-15",
        "2019-11-01",
        "2019-11-11",
        "2019-12-25",
        "2020-01-01",
        "2020-04-13",
        "2020-05-01",
        "2020-05-08",
        "2020-05-21",
        "2020-06-01",
        "2020-07-14",
        "2020-08-15",
        "2020-11-01",
        "2020-11-11",
        "2020-12-25",
        "2021-01-01",
        "2021-04-05",
        "2021-05-01",
        "2021-05-08",
        "2021-05-13",
        "2021-05-24",
        "2021-07-14",
        "2021-08-15",
        "2021-11-01",
        "2021-11-11",
        "2021-12-25",
        "2022-01-01",
        "2022-04-18",
        "2022-05-01",
        "2022-05-08",
        "2022-05-26",
        "2022-06-06",
        "2022-07-14",
        "2022-08-15",
        "2022-11-01",
        "2022-11-11",
        "2022-12-25",
        "2023-01-01",
        "2023-04-10",
        "2023-05-01",
        "2023-05-08",
        "2023-05-18",
        "2023-05-29",
        "2023-07-14",
        "2023-08-15",
        "2023-11-01",
        "2023-11-11",
        "2023-12-25",
        "2024-01-01",
        "2024-04-01",
        "2024-05-01",
        "2024-05-08",
        "2024-05-09",
        "2024-05-20",
        "2024-07-14",
        "2024-08-15",
        "2024-11-01",
        "2024-11-11",
        "2024-12-25",
        "2025-01-01",
        "2025-04-21",
        "2025-05-01",
        "2025-05-08",
        "2025-05-29",
        "2025-06-09",
        "2025-07-14",
        "2025-08-15",
        "2025-11-01",
        "2025-11-11",
        "2025-12-25",
        "2026-01-01",
        "2026-04-06",
        "2026-05-01",
        "2026-05-08",
        "2026-05-14",
        "2026-05-25",
        "2026-07-14",
        "2026-08-15",
        "2026-11-01",
        "2026-11-11",
        "2026-12-25",
        "2027-01-01",
        "2027-03-29",
        "2027-05-01",
        "2027-05-06",
        "2027-05-08",
        "2027-05-17",
        "2027-07-14",
        "2027-08-15",
        "2027-11-01",
        "2027-11-11",
        "2027-12-25",
        "2028-01-01",
        "2028-04-17",
        "2028-05-01",
        "2028-05-08",
        "2028-05-25",
        "2028-06-05",
        "2028-07-14",
        "2028-08-15",
        "2028-11-01",
        "2028-11-11",
        "2028-12-25",
        "2029-01-01",
        "2029-04-02",
        "2029-05-01",
        "2029-05-08",
        "2029-05-10",
        "2029-05-21",
        "2029-07-14",
        "2029-08-15",
        "2029-11-01",
        "2029-11-11",
        "2029-12-25",
        "2030-01-01",
        "2030-04-22",
        "2030-05-01",
        "2030-05-08",
        "2030-05-30",
        "2030-06-10",
        "2030-07-14",
        "2030-08-15",
        "2030-11-01",
        "2030-11-11",
        "2030-12-25",
        "2031-01-01",
        "2031-04-14",
        "2031-05-01",
        "2031-05-08",
        "2031-05-22",
        "2031-06-02",
        "2031-07-14",
        "2031-08-15",
        "2031-11-01",
        "2031-11-11",
        "2031-12-25",
        "2032-01-01",
        "2032-03-29",
        "2032-05-01",
        "2032-05-06",
        "2032-05-08",
        "2032-05-17",
        "2032-07-14",
        "2032-08-15",
        "2032-11-01",
        "2032-11-11",
        "2032-12-25",
        "2033-01-01",
        "2033-04-18",
        "2033-05-01",
        "2033-05-08",
        "2033-05-26",
        "2033-06-06",
        "2033-07-14",
        "2033-08-15",
        "2033-11-01",
        "2033-11-11",
        "2033-12-25",
        "2034-01-01",
        "2034-04-10",
        "2034-05-01",
        "2034-05-08",
        "2034-05-18",
        "2034-05-29",
        "2034-07-14",
        "2034-08-15",
        "2034-11-01",
        "2034-11-11",
        "2034-12-25",
        "2035-01-01",
        "2035-03-26",
        "2035-05-01",
        "2035-05-03",
        "2035-05-08",
        "2035-05-14",
        "2035-07-14",
        "2035-08-15",
        "2035-11-01",
        "2035-11-11",
        "2035-12-25",
        "2036-01-01",
        "2036-04-14",
        "2036-05-01",
        "2036-05-08",
        "2036-05-22",
        "2036-06-02",
        "2036-07-14",
        "2036-08-15",
        "2036-11-01",
        "2036-11-11",
        "2036-12-25",
        "2037-01-01",
        "2037-04-06",
        "2037-05-01",
        "2037-05-08",
        "2037-05-14",
        "2037-05-25",
        "2037-07-14",
        "2037-08-15",
        "2037-11-01",
        "2037-11-11",
        "2037-12-25",
        "2038-01-01",
        "2038-04-26",
        "2038-05-01",
        "2038-05-08",
        "2038-06-03",
        "2038-06-14",
        "2038-07-14",
        "2038-08-15",
        "2038-11-01",
        "2038-11-11",
        "2038-12-25",
        "2039-01-01",
        "2039-04-11",
        "2039-05-01",
        "2039-05-08",
        "2039-05-19",
        "2039-05-30",
        "2039-07-14",
        "2039-08-15",
        "2039-11-01",
        "2039-11-11",
        "2039-12-25",
        "2040-01-01",
        "2040-04-02",
        "2040-05-01",
        "2040-05-08",
        "2040-05-10",
        "2040-05-21",
        "2040-07-14",
        "2040-08-15",
        "2040-11-01",
        "2040-11-11",
        "2040-12-25",
        "2041-01-01",
        "2041-04-22",
        "2041-05-01",
        "2041-05-08",
        "2041-05-30",
        "2041-06-10",
        "2041-07-14",
        "2041-08-15",
        "2041-11-01",
        "2041-11-11",
        "2041-12-25",
        "2042-01-01",
        "2042-04-07",
        "2042-05-01",
        "2042-05-08",
        "2042-05-15",
        "2042-05-26",
        "2042-07-14",
        "2042-08-15",
        "2042-11-01",
        "2042-11-11",
        "2042-12-25",
        "2043-01-01",
        "2043-03-30",
        "2043-05-01",
        "2043-05-07",
        "2043-05-08",
        "2043-05-18",
        "2043-07-14",
        "2043-08-15",
        "2043-11-01",
        "2043-11-11",
        "2043-12-25",
        "2044-01-01",
        "2044-04-18",
        "2044-05-01",
        "2044-05-08",
        "2044-05-26",
        "2044-06-06",
        "2044-07-14",
        "2044-08-15",
        "2044-11-01",
        "2044-11-11",
        "2044-12-25",
        "2045-01-01",
        "2045-04-10",
        "2045-05-01",
        "2045-05-08",
        "2045-05-18",
        "2045-05-29",
        "2045-07-14",
        "2045-08-15",
        "2045-11-01",
        "2045-11-11",
        "2045-12-25",
        "2046-01-01",
        "2046-03-26",
        "2046-05-01",
        "2046-05-03",
        "2046-05-08",
        "2046-05-14",
        "2046-07-14",
        "2046-08-15",
        "2046-11-01",
        "2046-11-11",
        "2046-12-25",
        "2047-01-01",
        "2047-04-15",
        "2047-05-01",
        "2047-05-08",
        "2047-05-23",
        "2047-06-03",
        "2047-07-14",
        "2047-08-15",
        "2047-11-01",
        "2047-11-11",
        "2047-12-25",
        "2048-01-01",
        "2048-04-06",
        "2048-05-01",
        "2048-05-08",
        "2048-05-14",
        "2048-05-25",
        "2048-07-14",
        "2048-08-15",
        "2048-11-01",
        "2048-11-11",
        "2048-12-25",
        "2049-01-01",
        "2049-04-19",
        "2049-05-01",
        "2049-05-08",
        "2049-05-27",
        "2049-06-07",
        "2049-07-14",
        "2049-08-15",
        "2049-11-01",
        "2049-11-11",
        "2049-12-25",
    ]


def __getholidaysGermany__():
    return [
        "2000-01-01",
        "2000-04-21",
        "2000-04-24",
        "2000-05-01",
        "2000-06-01",
        "2000-06-12",
        "2000-10-03",
        "2000-12-25",
        "2000-12-26",
        "2001-01-01",
        "2001-04-13",
        "2001-04-16",
        "2001-05-01",
        "2001-05-24",
        "2001-06-04",
        "2001-10-03",
        "2001-12-25",
        "2001-12-26",
        "2002-01-01",
        "2002-03-29",
        "2002-04-01",
        "2002-05-01",
        "2002-05-09",
        "2002-05-20",
        "2002-10-03",
        "2002-12-25",
        "2002-12-26",
        "2003-01-01",
        "2003-04-18",
        "2003-04-21",
        "2003-05-01",
        "2003-05-29",
        "2003-06-09",
        "2003-10-03",
        "2003-12-25",
        "2003-12-26",
        "2004-01-01",
        "2004-04-09",
        "2004-04-12",
        "2004-05-01",
        "2004-05-20",
        "2004-05-31",
        "2004-10-03",
        "2004-12-25",
        "2004-12-26",
        "2005-01-01",
        "2005-03-25",
        "2005-03-28",
        "2005-05-01",
        "2005-05-05",
        "2005-05-16",
        "2005-10-03",
        "2005-12-25",
        "2005-12-26",
        "2006-01-01",
        "2006-04-14",
        "2006-04-17",
        "2006-05-01",
        "2006-05-25",
        "2006-06-05",
        "2006-10-03",
        "2006-12-25",
        "2006-12-26",
        "2007-01-01",
        "2007-04-06",
        "2007-04-09",
        "2007-05-01",
        "2007-05-17",
        "2007-05-28",
        "2007-10-03",
        "2007-12-25",
        "2007-12-26",
        "2008-01-01",
        "2008-03-21",
        "2008-03-24",
        "2008-05-01",
        "2008-05-12",
        "2008-10-03",
        "2008-12-25",
        "2008-12-26",
        "2009-01-01",
        "2009-04-10",
        "2009-04-13",
        "2009-05-01",
        "2009-05-21",
        "2009-06-01",
        "2009-10-03",
        "2009-12-25",
        "2009-12-26",
        "2010-01-01",
        "2010-04-02",
        "2010-04-05",
        "2010-05-01",
        "2010-05-13",
        "2010-05-24",
        "2010-10-03",
        "2010-12-25",
        "2010-12-26",
        "2011-01-01",
        "2011-04-22",
        "2011-04-25",
        "2011-05-01",
        "2011-06-02",
        "2011-06-13",
        "2011-10-03",
        "2011-12-25",
        "2011-12-26",
        "2012-01-01",
        "2012-04-06",
        "2012-04-09",
        "2012-05-01",
        "2012-05-17",
        "2012-05-28",
        "2012-10-03",
        "2012-12-25",
        "2012-12-26",
        "2013-01-01",
        "2013-03-29",
        "2013-04-01",
        "2013-05-01",
        "2013-05-09",
        "2013-05-20",
        "2013-10-03",
        "2013-12-25",
        "2013-12-26",
        "2014-01-01",
        "2014-04-18",
        "2014-04-21",
        "2014-05-01",
        "2014-05-29",
        "2014-06-09",
        "2014-10-03",
        "2014-12-25",
        "2014-12-26",
        "2015-01-01",
        "2015-04-03",
        "2015-04-06",
        "2015-05-01",
        "2015-05-14",
        "2015-05-25",
        "2015-10-03",
        "2015-12-25",
        "2015-12-26",
        "2016-01-01",
        "2016-03-25",
        "2016-03-28",
        "2016-05-01",
        "2016-05-05",
        "2016-05-16",
        "2016-10-03",
        "2016-12-25",
        "2016-12-26",
        "2017-01-01",
        "2017-04-14",
        "2017-04-17",
        "2017-05-01",
        "2017-05-25",
        "2017-06-05",
        "2017-10-03",
        "2017-10-31",
        "2017-12-25",
        "2017-12-26",
        "2018-01-01",
        "2018-03-30",
        "2018-04-02",
        "2018-05-01",
        "2018-05-10",
        "2018-05-21",
        "2018-10-03",
        "2018-12-25",
        "2018-12-26",
        "2019-01-01",
        "2019-04-19",
        "2019-04-22",
        "2019-05-01",
        "2019-05-30",
        "2019-06-10",
        "2019-10-03",
        "2019-12-25",
        "2019-12-26",
        "2020-01-01",
        "2020-04-10",
        "2020-04-13",
        "2020-05-01",
        "2020-05-21",
        "2020-06-01",
        "2020-10-03",
        "2020-12-25",
        "2020-12-26",
        "2021-01-01",
        "2021-04-02",
        "2021-04-05",
        "2021-05-01",
        "2021-05-13",
        "2021-05-24",
        "2021-10-03",
        "2021-12-25",
        "2021-12-26",
        "2022-01-01",
        "2022-04-15",
        "2022-04-18",
        "2022-05-01",
        "2022-05-26",
        "2022-06-06",
        "2022-10-03",
        "2022-12-25",
        "2022-12-26",
        "2023-01-01",
        "2023-04-07",
        "2023-04-10",
        "2023-05-01",
        "2023-05-18",
        "2023-05-29",
        "2023-10-03",
        "2023-12-25",
        "2023-12-26",
        "2024-01-01",
        "2024-03-29",
        "2024-04-01",
        "2024-05-01",
        "2024-05-09",
        "2024-05-20",
        "2024-10-03",
        "2024-12-25",
        "2024-12-26",
        "2025-01-01",
        "2025-04-18",
        "2025-04-21",
        "2025-05-01",
        "2025-05-29",
        "2025-06-09",
        "2025-10-03",
        "2025-12-25",
        "2025-12-26",
        "2026-01-01",
        "2026-04-03",
        "2026-04-06",
        "2026-05-01",
        "2026-05-14",
        "2026-05-25",
        "2026-10-03",
        "2026-12-25",
        "2026-12-26",
        "2027-01-01",
        "2027-03-26",
        "2027-03-29",
        "2027-05-01",
        "2027-05-06",
        "2027-05-17",
        "2027-10-03",
        "2027-12-25",
        "2027-12-26",
        "2028-01-01",
        "2028-04-14",
        "2028-04-17",
        "2028-05-01",
        "2028-05-25",
        "2028-06-05",
        "2028-10-03",
        "2028-12-25",
        "2028-12-26",
        "2029-01-01",
        "2029-03-30",
        "2029-04-02",
        "2029-05-01",
        "2029-05-10",
        "2029-05-21",
        "2029-10-03",
        "2029-12-25",
        "2029-12-26",
        "2030-01-01",
        "2030-04-19",
        "2030-04-22",
        "2030-05-01",
        "2030-05-30",
        "2030-06-10",
        "2030-10-03",
        "2030-12-25",
        "2030-12-26",
        "2031-01-01",
        "2031-04-11",
        "2031-04-14",
        "2031-05-01",
        "2031-05-22",
        "2031-06-02",
        "2031-10-03",
        "2031-12-25",
        "2031-12-26",
        "2032-01-01",
        "2032-03-26",
        "2032-03-29",
        "2032-05-01",
        "2032-05-06",
        "2032-05-17",
        "2032-10-03",
        "2032-12-25",
        "2032-12-26",
        "2033-01-01",
        "2033-04-15",
        "2033-04-18",
        "2033-05-01",
        "2033-05-26",
        "2033-06-06",
        "2033-10-03",
        "2033-12-25",
        "2033-12-26",
        "2034-01-01",
        "2034-04-07",
        "2034-04-10",
        "2034-05-01",
        "2034-05-18",
        "2034-05-29",
        "2034-10-03",
        "2034-12-25",
        "2034-12-26",
        "2035-01-01",
        "2035-03-23",
        "2035-03-26",
        "2035-05-01",
        "2035-05-03",
        "2035-05-14",
        "2035-10-03",
        "2035-12-25",
        "2035-12-26",
        "2036-01-01",
        "2036-04-11",
        "2036-04-14",
        "2036-05-01",
        "2036-05-22",
        "2036-06-02",
        "2036-10-03",
        "2036-12-25",
        "2036-12-26",
        "2037-01-01",
        "2037-04-03",
        "2037-04-06",
        "2037-05-01",
        "2037-05-14",
        "2037-05-25",
        "2037-10-03",
        "2037-12-25",
        "2037-12-26",
        "2038-01-01",
        "2038-04-23",
        "2038-04-26",
        "2038-05-01",
        "2038-06-03",
        "2038-06-14",
        "2038-10-03",
        "2038-12-25",
        "2038-12-26",
        "2039-01-01",
        "2039-04-08",
        "2039-04-11",
        "2039-05-01",
        "2039-05-19",
        "2039-05-30",
        "2039-10-03",
        "2039-12-25",
        "2039-12-26",
        "2040-01-01",
        "2040-03-30",
        "2040-04-02",
        "2040-05-01",
        "2040-05-10",
        "2040-05-21",
        "2040-10-03",
        "2040-12-25",
        "2040-12-26",
        "2041-01-01",
        "2041-04-19",
        "2041-04-22",
        "2041-05-01",
        "2041-05-30",
        "2041-06-10",
        "2041-10-03",
        "2041-12-25",
        "2041-12-26",
        "2042-01-01",
        "2042-04-04",
        "2042-04-07",
        "2042-05-01",
        "2042-05-15",
        "2042-05-26",
        "2042-10-03",
        "2042-12-25",
        "2042-12-26",
        "2043-01-01",
        "2043-03-27",
        "2043-03-30",
        "2043-05-01",
        "2043-05-07",
        "2043-05-18",
        "2043-10-03",
        "2043-12-25",
        "2043-12-26",
        "2044-01-01",
        "2044-04-15",
        "2044-04-18",
        "2044-05-01",
        "2044-05-26",
        "2044-06-06",
        "2044-10-03",
        "2044-12-25",
        "2044-12-26",
        "2045-01-01",
        "2045-04-07",
        "2045-04-10",
        "2045-05-01",
        "2045-05-18",
        "2045-05-29",
        "2045-10-03",
        "2045-12-25",
        "2045-12-26",
        "2046-01-01",
        "2046-03-23",
        "2046-03-26",
        "2046-05-01",
        "2046-05-03",
        "2046-05-14",
        "2046-10-03",
        "2046-12-25",
        "2046-12-26",
        "2047-01-01",
        "2047-04-12",
        "2047-04-15",
        "2047-05-01",
        "2047-05-23",
        "2047-06-03",
        "2047-10-03",
        "2047-12-25",
        "2047-12-26",
        "2048-01-01",
        "2048-04-03",
        "2048-04-06",
        "2048-05-01",
        "2048-05-14",
        "2048-05-25",
        "2048-10-03",
        "2048-12-25",
        "2048-12-26",
        "2049-01-01",
        "2049-04-16",
        "2049-04-19",
        "2049-05-01",
        "2049-05-27",
        "2049-06-07",
        "2049-10-03",
        "2049-12-25",
        "2049-12-26",
    ]


def __getholidaysItaly__():
    return [
        "2000-01-01",
        "2000-01-06",
        "2000-04-23",
        "2000-04-24",
        "2000-04-25",
        "2000-05-01",
        "2000-06-02",
        "2000-08-15",
        "2000-11-01",
        "2000-12-08",
        "2000-12-25",
        "2000-12-26",
        "2001-01-01",
        "2001-01-06",
        "2001-04-15",
        "2001-04-16",
        "2001-04-25",
        "2001-05-01",
        "2001-06-02",
        "2001-08-15",
        "2001-11-01",
        "2001-12-08",
        "2001-12-25",
        "2001-12-26",
        "2002-01-01",
        "2002-01-06",
        "2002-03-31",
        "2002-04-01",
        "2002-04-25",
        "2002-05-01",
        "2002-06-02",
        "2002-08-15",
        "2002-11-01",
        "2002-12-08",
        "2002-12-25",
        "2002-12-26",
        "2003-01-01",
        "2003-01-06",
        "2003-04-20",
        "2003-04-21",
        "2003-04-25",
        "2003-05-01",
        "2003-06-02",
        "2003-08-15",
        "2003-11-01",
        "2003-12-08",
        "2003-12-25",
        "2003-12-26",
        "2004-01-01",
        "2004-01-06",
        "2004-04-11",
        "2004-04-12",
        "2004-04-25",
        "2004-05-01",
        "2004-06-02",
        "2004-08-15",
        "2004-11-01",
        "2004-12-08",
        "2004-12-25",
        "2004-12-26",
        "2005-01-01",
        "2005-01-06",
        "2005-03-27",
        "2005-03-28",
        "2005-04-25",
        "2005-05-01",
        "2005-06-02",
        "2005-08-15",
        "2005-11-01",
        "2005-12-08",
        "2005-12-25",
        "2005-12-26",
        "2006-01-01",
        "2006-01-06",
        "2006-04-16",
        "2006-04-17",
        "2006-04-25",
        "2006-05-01",
        "2006-06-02",
        "2006-08-15",
        "2006-11-01",
        "2006-12-08",
        "2006-12-25",
        "2006-12-26",
        "2007-01-01",
        "2007-01-06",
        "2007-04-08",
        "2007-04-09",
        "2007-04-25",
        "2007-05-01",
        "2007-06-02",
        "2007-08-15",
        "2007-11-01",
        "2007-12-08",
        "2007-12-25",
        "2007-12-26",
        "2008-01-01",
        "2008-01-06",
        "2008-03-23",
        "2008-03-24",
        "2008-04-25",
        "2008-05-01",
        "2008-06-02",
        "2008-08-15",
        "2008-11-01",
        "2008-12-08",
        "2008-12-25",
        "2008-12-26",
        "2009-01-01",
        "2009-01-06",
        "2009-04-12",
        "2009-04-13",
        "2009-04-25",
        "2009-05-01",
        "2009-06-02",
        "2009-08-15",
        "2009-11-01",
        "2009-12-08",
        "2009-12-25",
        "2009-12-26",
        "2010-01-01",
        "2010-01-06",
        "2010-04-04",
        "2010-04-05",
        "2010-04-25",
        "2010-05-01",
        "2010-06-02",
        "2010-08-15",
        "2010-11-01",
        "2010-12-08",
        "2010-12-25",
        "2010-12-26",
        "2011-01-01",
        "2011-01-06",
        "2011-04-24",
        "2011-04-25",
        "2011-05-01",
        "2011-06-02",
        "2011-08-15",
        "2011-11-01",
        "2011-12-08",
        "2011-12-25",
        "2011-12-26",
        "2012-01-01",
        "2012-01-06",
        "2012-04-08",
        "2012-04-09",
        "2012-04-25",
        "2012-05-01",
        "2012-06-02",
        "2012-08-15",
        "2012-11-01",
        "2012-12-08",
        "2012-12-25",
        "2012-12-26",
        "2013-01-01",
        "2013-01-06",
        "2013-03-31",
        "2013-04-01",
        "2013-04-25",
        "2013-05-01",
        "2013-06-02",
        "2013-08-15",
        "2013-11-01",
        "2013-12-08",
        "2013-12-25",
        "2013-12-26",
        "2014-01-01",
        "2014-01-06",
        "2014-04-20",
        "2014-04-21",
        "2014-04-25",
        "2014-05-01",
        "2014-06-02",
        "2014-08-15",
        "2014-11-01",
        "2014-12-08",
        "2014-12-25",
        "2014-12-26",
        "2015-01-01",
        "2015-01-06",
        "2015-04-05",
        "2015-04-06",
        "2015-04-25",
        "2015-05-01",
        "2015-06-02",
        "2015-08-15",
        "2015-11-01",
        "2015-12-08",
        "2015-12-25",
        "2015-12-26",
        "2016-01-01",
        "2016-01-06",
        "2016-03-27",
        "2016-03-28",
        "2016-04-25",
        "2016-05-01",
        "2016-06-02",
        "2016-08-15",
        "2016-11-01",
        "2016-12-08",
        "2016-12-25",
        "2016-12-26",
        "2017-01-01",
        "2017-01-06",
        "2017-04-16",
        "2017-04-17",
        "2017-04-25",
        "2017-05-01",
        "2017-06-02",
        "2017-08-15",
        "2017-11-01",
        "2017-12-08",
        "2017-12-25",
        "2017-12-26",
        "2018-01-01",
        "2018-01-06",
        "2018-04-01",
        "2018-04-02",
        "2018-04-25",
        "2018-05-01",
        "2018-06-02",
        "2018-08-15",
        "2018-11-01",
        "2018-12-08",
        "2018-12-25",
        "2018-12-26",
        "2019-01-01",
        "2019-01-06",
        "2019-04-21",
        "2019-04-22",
        "2019-04-25",
        "2019-05-01",
        "2019-06-02",
        "2019-08-15",
        "2019-11-01",
        "2019-12-08",
        "2019-12-25",
        "2019-12-26",
        "2020-01-01",
        "2020-01-06",
        "2020-04-12",
        "2020-04-13",
        "2020-04-25",
        "2020-05-01",
        "2020-06-02",
        "2020-08-15",
        "2020-11-01",
        "2020-12-08",
        "2020-12-25",
        "2020-12-26",
        "2021-01-01",
        "2021-01-06",
        "2021-04-04",
        "2021-04-05",
        "2021-04-25",
        "2021-05-01",
        "2021-06-02",
        "2021-08-15",
        "2021-11-01",
        "2021-12-08",
        "2021-12-25",
        "2021-12-26",
        "2022-01-01",
        "2022-01-06",
        "2022-04-17",
        "2022-04-18",
        "2022-04-25",
        "2022-05-01",
        "2022-06-02",
        "2022-08-15",
        "2022-11-01",
        "2022-12-08",
        "2022-12-25",
        "2022-12-26",
        "2023-01-01",
        "2023-01-06",
        "2023-04-09",
        "2023-04-10",
        "2023-04-25",
        "2023-05-01",
        "2023-06-02",
        "2023-08-15",
        "2023-11-01",
        "2023-12-08",
        "2023-12-25",
        "2023-12-26",
        "2024-01-01",
        "2024-01-06",
        "2024-03-31",
        "2024-04-01",
        "2024-04-25",
        "2024-05-01",
        "2024-06-02",
        "2024-08-15",
        "2024-11-01",
        "2024-12-08",
        "2024-12-25",
        "2024-12-26",
        "2025-01-01",
        "2025-01-06",
        "2025-04-20",
        "2025-04-21",
        "2025-04-25",
        "2025-05-01",
        "2025-06-02",
        "2025-08-15",
        "2025-11-01",
        "2025-12-08",
        "2025-12-25",
        "2025-12-26",
        "2026-01-01",
        "2026-01-06",
        "2026-04-05",
        "2026-04-06",
        "2026-04-25",
        "2026-05-01",
        "2026-06-02",
        "2026-08-15",
        "2026-11-01",
        "2026-12-08",
        "2026-12-25",
        "2026-12-26",
        "2027-01-01",
        "2027-01-06",
        "2027-03-28",
        "2027-03-29",
        "2027-04-25",
        "2027-05-01",
        "2027-06-02",
        "2027-08-15",
        "2027-11-01",
        "2027-12-08",
        "2027-12-25",
        "2027-12-26",
        "2028-01-01",
        "2028-01-06",
        "2028-04-16",
        "2028-04-17",
        "2028-04-25",
        "2028-05-01",
        "2028-06-02",
        "2028-08-15",
        "2028-11-01",
        "2028-12-08",
        "2028-12-25",
        "2028-12-26",
        "2029-01-01",
        "2029-01-06",
        "2029-04-01",
        "2029-04-02",
        "2029-04-25",
        "2029-05-01",
        "2029-06-02",
        "2029-08-15",
        "2029-11-01",
        "2029-12-08",
        "2029-12-25",
        "2029-12-26",
        "2030-01-01",
        "2030-01-06",
        "2030-04-21",
        "2030-04-22",
        "2030-04-25",
        "2030-05-01",
        "2030-06-02",
        "2030-08-15",
        "2030-11-01",
        "2030-12-08",
        "2030-12-25",
        "2030-12-26",
        "2031-01-01",
        "2031-01-06",
        "2031-04-13",
        "2031-04-14",
        "2031-04-25",
        "2031-05-01",
        "2031-06-02",
        "2031-08-15",
        "2031-11-01",
        "2031-12-08",
        "2031-12-25",
        "2031-12-26",
        "2032-01-01",
        "2032-01-06",
        "2032-03-28",
        "2032-03-29",
        "2032-04-25",
        "2032-05-01",
        "2032-06-02",
        "2032-08-15",
        "2032-11-01",
        "2032-12-08",
        "2032-12-25",
        "2032-12-26",
        "2033-01-01",
        "2033-01-06",
        "2033-04-17",
        "2033-04-18",
        "2033-04-25",
        "2033-05-01",
        "2033-06-02",
        "2033-08-15",
        "2033-11-01",
        "2033-12-08",
        "2033-12-25",
        "2033-12-26",
        "2034-01-01",
        "2034-01-06",
        "2034-04-09",
        "2034-04-10",
        "2034-04-25",
        "2034-05-01",
        "2034-06-02",
        "2034-08-15",
        "2034-11-01",
        "2034-12-08",
        "2034-12-25",
        "2034-12-26",
        "2035-01-01",
        "2035-01-06",
        "2035-03-25",
        "2035-03-26",
        "2035-04-25",
        "2035-05-01",
        "2035-06-02",
        "2035-08-15",
        "2035-11-01",
        "2035-12-08",
        "2035-12-25",
        "2035-12-26",
        "2036-01-01",
        "2036-01-06",
        "2036-04-13",
        "2036-04-14",
        "2036-04-25",
        "2036-05-01",
        "2036-06-02",
        "2036-08-15",
        "2036-11-01",
        "2036-12-08",
        "2036-12-25",
        "2036-12-26",
        "2037-01-01",
        "2037-01-06",
        "2037-04-05",
        "2037-04-06",
        "2037-04-25",
        "2037-05-01",
        "2037-06-02",
        "2037-08-15",
        "2037-11-01",
        "2037-12-08",
        "2037-12-25",
        "2037-12-26",
        "2038-01-01",
        "2038-01-06",
        "2038-04-25",
        "2038-04-26",
        "2038-05-01",
        "2038-06-02",
        "2038-08-15",
        "2038-11-01",
        "2038-12-08",
        "2038-12-25",
        "2038-12-26",
        "2039-01-01",
        "2039-01-06",
        "2039-04-10",
        "2039-04-11",
        "2039-04-25",
        "2039-05-01",
        "2039-06-02",
        "2039-08-15",
        "2039-11-01",
        "2039-12-08",
        "2039-12-25",
        "2039-12-26",
        "2040-01-01",
        "2040-01-06",
        "2040-04-01",
        "2040-04-02",
        "2040-04-25",
        "2040-05-01",
        "2040-06-02",
        "2040-08-15",
        "2040-11-01",
        "2040-12-08",
        "2040-12-25",
        "2040-12-26",
        "2041-01-01",
        "2041-01-06",
        "2041-04-21",
        "2041-04-22",
        "2041-04-25",
        "2041-05-01",
        "2041-06-02",
        "2041-08-15",
        "2041-11-01",
        "2041-12-08",
        "2041-12-25",
        "2041-12-26",
        "2042-01-01",
        "2042-01-06",
        "2042-04-06",
        "2042-04-07",
        "2042-04-25",
        "2042-05-01",
        "2042-06-02",
        "2042-08-15",
        "2042-11-01",
        "2042-12-08",
        "2042-12-25",
        "2042-12-26",
        "2043-01-01",
        "2043-01-06",
        "2043-03-29",
        "2043-03-30",
        "2043-04-25",
        "2043-05-01",
        "2043-06-02",
        "2043-08-15",
        "2043-11-01",
        "2043-12-08",
        "2043-12-25",
        "2043-12-26",
        "2044-01-01",
        "2044-01-06",
        "2044-04-17",
        "2044-04-18",
        "2044-04-25",
        "2044-05-01",
        "2044-06-02",
        "2044-08-15",
        "2044-11-01",
        "2044-12-08",
        "2044-12-25",
        "2044-12-26",
        "2045-01-01",
        "2045-01-06",
        "2045-04-09",
        "2045-04-10",
        "2045-04-25",
        "2045-05-01",
        "2045-06-02",
        "2045-08-15",
        "2045-11-01",
        "2045-12-08",
        "2045-12-25",
        "2045-12-26",
        "2046-01-01",
        "2046-01-06",
        "2046-03-25",
        "2046-03-26",
        "2046-04-25",
        "2046-05-01",
        "2046-06-02",
        "2046-08-15",
        "2046-11-01",
        "2046-12-08",
        "2046-12-25",
        "2046-12-26",
        "2047-01-01",
        "2047-01-06",
        "2047-04-14",
        "2047-04-15",
        "2047-04-25",
        "2047-05-01",
        "2047-06-02",
        "2047-08-15",
        "2047-11-01",
        "2047-12-08",
        "2047-12-25",
        "2047-12-26",
        "2048-01-01",
        "2048-01-06",
        "2048-04-05",
        "2048-04-06",
        "2048-04-25",
        "2048-05-01",
        "2048-06-02",
        "2048-08-15",
        "2048-11-01",
        "2048-12-08",
        "2048-12-25",
        "2048-12-26",
        "2049-01-01",
        "2049-01-06",
        "2049-04-18",
        "2049-04-19",
        "2049-04-25",
        "2049-05-01",
        "2049-06-02",
        "2049-08-15",
        "2049-11-01",
        "2049-12-08",
        "2049-12-25",
        "2049-12-26",
    ]


def __getholidaysAustralia__():
    return [
        "2000-01-01",
        "2000-01-03",
        "2000-01-26",
        "2000-04-21",
        "2000-04-24",
        "2000-04-25",
        "2000-12-25",
        "2000-12-26",
        "2001-01-01",
        "2001-01-26",
        "2001-04-13",
        "2001-04-16",
        "2001-04-25",
        "2001-12-25",
        "2001-12-26",
        "2002-01-01",
        "2002-01-26",
        "2002-01-28",
        "2002-03-29",
        "2002-04-01",
        "2002-04-25",
        "2002-12-25",
        "2002-12-26",
        "2003-01-01",
        "2003-01-26",
        "2003-01-27",
        "2003-04-18",
        "2003-04-21",
        "2003-04-25",
        "2003-12-25",
        "2003-12-26",
        "2004-01-01",
        "2004-01-26",
        "2004-04-09",
        "2004-04-12",
        "2004-04-25",
        "2004-12-25",
        "2004-12-26",
        "2004-12-27",
        "2004-12-28",
        "2005-01-01",
        "2005-01-03",
        "2005-01-26",
        "2005-03-25",
        "2005-03-28",
        "2005-04-25",
        "2005-12-25",
        "2005-12-26",
        "2005-12-27",
        "2006-01-01",
        "2006-01-02",
        "2006-01-26",
        "2006-04-14",
        "2006-04-17",
        "2006-04-25",
        "2006-12-25",
        "2006-12-26",
        "2007-01-01",
        "2007-01-26",
        "2007-04-06",
        "2007-04-09",
        "2007-04-25",
        "2007-12-25",
        "2007-12-26",
        "2008-01-01",
        "2008-01-26",
        "2008-01-28",
        "2008-03-21",
        "2008-03-24",
        "2008-04-25",
        "2008-12-25",
        "2008-12-26",
        "2009-01-01",
        "2009-01-26",
        "2009-04-10",
        "2009-04-13",
        "2009-04-25",
        "2009-12-25",
        "2009-12-26",
        "2009-12-28",
        "2010-01-01",
        "2010-01-26",
        "2010-04-02",
        "2010-04-05",
        "2010-04-25",
        "2010-12-25",
        "2010-12-26",
        "2010-12-27",
        "2010-12-28",
        "2011-01-01",
        "2011-01-03",
        "2011-01-26",
        "2011-04-22",
        "2011-04-25",
        "2011-12-25",
        "2011-12-26",
        "2011-12-27",
        "2012-01-01",
        "2012-01-02",
        "2012-01-26",
        "2012-04-06",
        "2012-04-09",
        "2012-04-25",
        "2012-12-25",
        "2012-12-26",
        "2013-01-01",
        "2013-01-26",
        "2013-01-28",
        "2013-03-29",
        "2013-04-01",
        "2013-04-25",
        "2013-12-25",
        "2013-12-26",
        "2014-01-01",
        "2014-01-26",
        "2014-01-27",
        "2014-04-18",
        "2014-04-21",
        "2014-04-25",
        "2014-12-25",
        "2014-12-26",
        "2015-01-01",
        "2015-01-26",
        "2015-04-03",
        "2015-04-06",
        "2015-04-25",
        "2015-12-25",
        "2015-12-26",
        "2015-12-28",
        "2016-01-01",
        "2016-01-26",
        "2016-03-25",
        "2016-03-28",
        "2016-04-25",
        "2016-12-25",
        "2016-12-26",
        "2016-12-27",
        "2017-01-01",
        "2017-01-02",
        "2017-01-26",
        "2017-04-14",
        "2017-04-17",
        "2017-04-25",
        "2017-12-25",
        "2017-12-26",
        "2018-01-01",
        "2018-01-26",
        "2018-03-30",
        "2018-04-02",
        "2018-04-25",
        "2018-12-25",
        "2018-12-26",
        "2019-01-01",
        "2019-01-26",
        "2019-01-28",
        "2019-04-19",
        "2019-04-22",
        "2019-04-25",
        "2019-12-25",
        "2019-12-26",
        "2020-01-01",
        "2020-01-26",
        "2020-01-27",
        "2020-04-10",
        "2020-04-13",
        "2020-04-25",
        "2020-12-25",
        "2020-12-26",
        "2020-12-28",
        "2021-01-01",
        "2021-01-26",
        "2021-04-02",
        "2021-04-05",
        "2021-04-25",
        "2021-12-25",
        "2021-12-26",
        "2021-12-27",
        "2021-12-28",
        "2022-01-01",
        "2022-01-03",
        "2022-01-26",
        "2022-04-15",
        "2022-04-18",
        "2022-04-25",
        "2022-09-22",
        "2022-12-25",
        "2022-12-26",
        "2022-12-27",
        "2023-01-01",
        "2023-01-02",
        "2023-01-26",
        "2023-04-07",
        "2023-04-10",
        "2023-04-25",
        "2023-12-25",
        "2023-12-26",
        "2024-01-01",
        "2024-01-26",
        "2024-03-29",
        "2024-04-01",
        "2024-04-25",
        "2024-12-25",
        "2024-12-26",
        "2025-01-01",
        "2025-01-26",
        "2025-01-27",
        "2025-04-18",
        "2025-04-21",
        "2025-04-25",
        "2025-12-25",
        "2025-12-26",
        "2026-01-01",
        "2026-01-26",
        "2026-04-03",
        "2026-04-06",
        "2026-04-25",
        "2026-12-25",
        "2026-12-26",
        "2026-12-28",
        "2027-01-01",
        "2027-01-26",
        "2027-03-26",
        "2027-03-29",
        "2027-04-25",
        "2027-12-25",
        "2027-12-26",
        "2027-12-27",
        "2027-12-28",
        "2028-01-01",
        "2028-01-03",
        "2028-01-26",
        "2028-04-14",
        "2028-04-17",
        "2028-04-25",
        "2028-12-25",
        "2028-12-26",
        "2029-01-01",
        "2029-01-26",
        "2029-03-30",
        "2029-04-02",
        "2029-04-25",
        "2029-12-25",
        "2029-12-26",
        "2030-01-01",
        "2030-01-26",
        "2030-01-28",
        "2030-04-19",
        "2030-04-22",
        "2030-04-25",
        "2030-12-25",
        "2030-12-26",
        "2031-01-01",
        "2031-01-26",
        "2031-01-27",
        "2031-04-11",
        "2031-04-14",
        "2031-04-25",
        "2031-12-25",
        "2031-12-26",
        "2032-01-01",
        "2032-01-26",
        "2032-03-26",
        "2032-03-29",
        "2032-04-25",
        "2032-12-25",
        "2032-12-26",
        "2032-12-27",
        "2032-12-28",
        "2033-01-01",
        "2033-01-03",
        "2033-01-26",
        "2033-04-15",
        "2033-04-18",
        "2033-04-25",
        "2033-12-25",
        "2033-12-26",
        "2033-12-27",
        "2034-01-01",
        "2034-01-02",
        "2034-01-26",
        "2034-04-07",
        "2034-04-10",
        "2034-04-25",
        "2034-12-25",
        "2034-12-26",
        "2035-01-01",
        "2035-01-26",
        "2035-03-23",
        "2035-03-26",
        "2035-04-25",
        "2035-12-25",
        "2035-12-26",
        "2036-01-01",
        "2036-01-26",
        "2036-01-28",
        "2036-04-11",
        "2036-04-14",
        "2036-04-25",
        "2036-12-25",
        "2036-12-26",
        "2037-01-01",
        "2037-01-26",
        "2037-04-03",
        "2037-04-06",
        "2037-04-25",
        "2037-12-25",
        "2037-12-26",
        "2037-12-28",
        "2038-01-01",
        "2038-01-26",
        "2038-04-23",
        "2038-04-25",
        "2038-04-26",
        "2038-12-25",
        "2038-12-26",
        "2038-12-27",
        "2038-12-28",
        "2039-01-01",
        "2039-01-03",
        "2039-01-26",
        "2039-04-08",
        "2039-04-11",
        "2039-04-25",
        "2039-12-25",
        "2039-12-26",
        "2039-12-27",
        "2040-01-01",
        "2040-01-02",
        "2040-01-26",
        "2040-03-30",
        "2040-04-02",
        "2040-04-25",
        "2040-12-25",
        "2040-12-26",
        "2041-01-01",
        "2041-01-26",
        "2041-01-28",
        "2041-04-19",
        "2041-04-22",
        "2041-04-25",
        "2041-12-25",
        "2041-12-26",
        "2042-01-01",
        "2042-01-26",
        "2042-01-27",
        "2042-04-04",
        "2042-04-07",
        "2042-04-25",
        "2042-12-25",
        "2042-12-26",
        "2043-01-01",
        "2043-01-26",
        "2043-03-27",
        "2043-03-30",
        "2043-04-25",
        "2043-12-25",
        "2043-12-26",
        "2043-12-28",
        "2044-01-01",
        "2044-01-26",
        "2044-04-15",
        "2044-04-18",
        "2044-04-25",
        "2044-12-25",
        "2044-12-26",
        "2044-12-27",
        "2045-01-01",
        "2045-01-02",
        "2045-01-26",
        "2045-04-07",
        "2045-04-10",
        "2045-04-25",
        "2045-12-25",
        "2045-12-26",
        "2046-01-01",
        "2046-01-26",
        "2046-03-23",
        "2046-03-26",
        "2046-04-25",
        "2046-12-25",
        "2046-12-26",
        "2047-01-01",
        "2047-01-26",
        "2047-01-28",
        "2047-04-12",
        "2047-04-15",
        "2047-04-25",
        "2047-12-25",
        "2047-12-26",
        "2048-01-01",
        "2048-01-26",
        "2048-01-27",
        "2048-04-03",
        "2048-04-06",
        "2048-04-25",
        "2048-12-25",
        "2048-12-26",
        "2048-12-28",
        "2049-01-01",
        "2049-01-26",
        "2049-04-16",
        "2049-04-19",
        "2049-04-25",
        "2049-12-25",
        "2049-12-26",
        "2049-12-27",
        "2049-12-28",
    ]
